queue_ucPortCountLeadingZeros:
;portmacro.h,183 :: 		static inline uint8_t ucPortCountLeadingZeros(uint32_t ulBitmap)
;portmacro.h,185 :: 		asm CLZ R0, R0;
CLZ	R0, R0
;portmacro.h,186 :: 		return R0;
UXTB	R0, R0
;portmacro.h,187 :: 		}
L_end_ucPortCountLeadingZeros:
BX	LR
; end of queue_ucPortCountLeadingZeros
queue_vPortRaiseBASEPRI:
;portmacro.h,229 :: 		portFORCE_INLINE static void vPortRaiseBASEPRI( void )
;portmacro.h,234 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,236 :: 		asm ISB;
ISB	#15
;portmacro.h,237 :: 		asm DSB;
DSB	#15
;portmacro.h,238 :: 		}
L_end_vPortRaiseBASEPRI:
BX	LR
; end of queue_vPortRaiseBASEPRI
queue_ulPortRaiseBASEPRI:
;portmacro.h,241 :: 		portFORCE_INLINE static uint32_t ulPortRaiseBASEPRI( void )
;portmacro.h,245 :: 		ulOriginalBASEPRI = CPU_REG_GET(CPU_BASEPRI);
MRS	R12, #17
MOV	R0, R12
; ulOriginalBASEPRI start address is: 4 (R1)
MOV	R1, R0
;portmacro.h,247 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,249 :: 		asm ISB;
ISB	#15
;portmacro.h,250 :: 		asm DSB;
DSB	#15
;portmacro.h,254 :: 		return ulOriginalBASEPRI;
MOV	R0, R1
; ulOriginalBASEPRI end address is: 4 (R1)
;portmacro.h,255 :: 		}
L_end_ulPortRaiseBASEPRI:
BX	LR
; end of queue_ulPortRaiseBASEPRI
queue_vPortSetBASEPRI:
;portmacro.h,258 :: 		portFORCE_INLINE static void vPortSetBASEPRI( uint32_t ulNewMaskValue )
; ulNewMaskValue start address is: 0 (R0)
; ulNewMaskValue end address is: 0 (R0)
; ulNewMaskValue start address is: 0 (R0)
;portmacro.h,260 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewMaskValue);
MOV	R1, R0
; ulNewMaskValue end address is: 0 (R0)
MOV	R12, R1
MSR	#17, R12
;portmacro.h,261 :: 		}
L_end_vPortSetBASEPRI:
BX	LR
; end of queue_vPortSetBASEPRI
_xQueueGenericReset:
;queue.c,279 :: 		BaseType_t xQueueGenericReset( QueueHandle_t xQueue, BaseType_t xNewQueue )
; xNewQueue start address is: 4 (R1)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R2, R0
MOV	R0, R1
; xNewQueue end address is: 4 (R1)
; xQueue end address is: 0 (R0)
; xQueue start address is: 8 (R2)
; xNewQueue start address is: 0 (R0)
;queue.c,281 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 4 (R1)
MOV	R1, R2
;queue.c,283 :: 		configASSERT( pxQueue );
CMP	R2, #0
IT	NE
BNE	L_xQueueGenericReset0
; xQueue end address is: 8 (R2)
; xNewQueue end address is: 0 (R0)
; pxQueue end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericReset1:
IT	AL
BAL	L_xQueueGenericReset1
L_xQueueGenericReset0:
;queue.c,285 :: 		taskENTER_CRITICAL();
; pxQueue start address is: 4 (R1)
; xNewQueue start address is: 0 (R0)
STR	R1, [SP, #4]
STR	R0, [SP, #8]
BL	_vPortEnterCritical+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;queue.c,287 :: 		pxQueue->pcTail = pxQueue->pcHead + ( pxQueue->uxLength * pxQueue->uxItemSize );
ADDS	R5, R1, #4
LDR	R4, [R1, #0]
ADDW	R2, R1, #60
LDR	R3, [R2, #0]
ADDW	R2, R1, #64
LDR	R2, [R2, #0]
MULS	R2, R3, R2
ADDS	R2, R4, R2
STR	R2, [R5, #0]
;queue.c,288 :: 		pxQueue->uxMessagesWaiting = ( UBaseType_t ) 0U;
ADDW	R3, R1, #56
MOV	R2, #0
STR	R2, [R3, #0]
;queue.c,289 :: 		pxQueue->pcWriteTo = pxQueue->pcHead;
ADDW	R3, R1, #8
LDR	R2, [R1, #0]
STR	R2, [R3, #0]
;queue.c,290 :: 		pxQueue->u.pcReadFrom = pxQueue->pcHead + ( ( pxQueue->uxLength - ( UBaseType_t ) 1U ) * pxQueue->uxItemSize );
ADDW	R5, R1, #12
LDR	R4, [R1, #0]
ADDW	R2, R1, #60
LDR	R2, [R2, #0]
SUBS	R3, R2, #1
ADDW	R2, R1, #64
LDR	R2, [R2, #0]
MULS	R2, R3, R2
ADDS	R2, R4, R2
STR	R2, [R5, #0]
;queue.c,291 :: 		pxQueue->cRxLock = queueUNLOCKED;
ADDW	R3, R1, #68
MOVS	R2, #-1
SXTB	R2, R2
STRB	R2, [R3, #0]
;queue.c,292 :: 		pxQueue->cTxLock = queueUNLOCKED;
ADDW	R3, R1, #69
MOVS	R2, #-1
SXTB	R2, R2
STRB	R2, [R3, #0]
;queue.c,294 :: 		if( xNewQueue == pdFALSE )
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericReset3
; xNewQueue end address is: 0 (R0)
;queue.c,301 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
ADDW	R2, R1, #16
LDR	R2, [R2, #0]
CMP	R2, #0
MOVW	R2, #0
BNE	L__xQueueGenericReset292
MOVS	R2, #1
L__xQueueGenericReset292:
CMP	R2, #0
IT	NE
BNE	L_xQueueGenericReset4
;queue.c,303 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
ADDW	R2, R1, #16
; pxQueue end address is: 4 (R1)
MOV	R0, R2
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericReset5
;queue.c,305 :: 		queueYIELD_IF_USING_PREEMPTION();
MOVS	R4, #1
SXTB	R4, R4
MOVW	R3, #lo_addr(PENDSVSET_bit+0)
MOVT	R3, #hi_addr(PENDSVSET_bit+0)
_LX	[R3, ByteOffset(PENDSVSET_bit+0)]
BFI	R2, R4, BitPos(PENDSVSET_bit+0), #1
_SX	[R3, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,306 :: 		}
IT	AL
BAL	L_xQueueGenericReset6
L_xQueueGenericReset5:
;queue.c,310 :: 		}
L_xQueueGenericReset6:
;queue.c,311 :: 		}
IT	AL
BAL	L_xQueueGenericReset7
L_xQueueGenericReset4:
;queue.c,315 :: 		}
L_xQueueGenericReset7:
;queue.c,316 :: 		}
IT	AL
BAL	L_xQueueGenericReset8
L_xQueueGenericReset3:
;queue.c,320 :: 		vListInitialise( &( pxQueue->xTasksWaitingToSend ) );
; pxQueue start address is: 4 (R1)
ADDW	R2, R1, #16
STR	R1, [SP, #4]
MOV	R0, R2
BL	_vListInitialise+0
LDR	R1, [SP, #4]
;queue.c,321 :: 		vListInitialise( &( pxQueue->xTasksWaitingToReceive ) );
ADDW	R2, R1, #36
; pxQueue end address is: 4 (R1)
MOV	R0, R2
BL	_vListInitialise+0
;queue.c,322 :: 		}
L_xQueueGenericReset8:
;queue.c,324 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,328 :: 		return pdPASS;
MOV	R0, #1
;queue.c,329 :: 		}
L_end_xQueueGenericReset:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _xQueueGenericReset
_xQueueGenericCreate:
;queue.c,386 :: 		QueueHandle_t xQueueGenericCreate( const UBaseType_t uxQueueLength, const UBaseType_t uxItemSize, const uint8_t ucQueueType )
; ucQueueType start address is: 8 (R2)
; uxItemSize start address is: 4 (R1)
; uxQueueLength start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
UXTB	R5, R2
MOV	R2, R1
MOV	R1, R0
; ucQueueType end address is: 8 (R2)
; uxItemSize end address is: 4 (R1)
; uxQueueLength end address is: 0 (R0)
; uxQueueLength start address is: 4 (R1)
; uxItemSize start address is: 8 (R2)
; ucQueueType start address is: 20 (R5)
;queue.c,392 :: 		configASSERT( uxQueueLength > ( UBaseType_t ) 0 );
CMP	R1, #0
MOVW	R3, #0
BLS	L__xQueueGenericCreate294
MOVS	R3, #1
L__xQueueGenericCreate294:
CMP	R3, #0
IT	NE
BNE	L_xQueueGenericCreate9
; uxQueueLength end address is: 4 (R1)
; uxItemSize end address is: 8 (R2)
; ucQueueType end address is: 20 (R5)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericCreate10:
IT	AL
BAL	L_xQueueGenericCreate10
L_xQueueGenericCreate9:
;queue.c,394 :: 		if( uxItemSize == ( UBaseType_t ) 0 )
; ucQueueType start address is: 20 (R5)
; uxItemSize start address is: 8 (R2)
; uxQueueLength start address is: 4 (R1)
CMP	R2, #0
IT	NE
BNE	L_xQueueGenericCreate12
;queue.c,397 :: 		xQueueSizeInBytes = ( size_t ) 0;
; xQueueSizeInBytes start address is: 0 (R0)
MOV	R0, #0
;queue.c,398 :: 		}
; xQueueSizeInBytes end address is: 0 (R0)
IT	AL
BAL	L_xQueueGenericCreate13
L_xQueueGenericCreate12:
;queue.c,403 :: 		xQueueSizeInBytes = ( size_t ) ( uxQueueLength * uxItemSize ); /*lint !e961 MISRA exception as the casts are only redundant for some ports. */
MUL	R0, R1, R2
; xQueueSizeInBytes start address is: 0 (R0)
; xQueueSizeInBytes end address is: 0 (R0)
;queue.c,404 :: 		}
L_xQueueGenericCreate13:
;queue.c,406 :: 		pxNewQueue = ( Queue_t * ) pvPortMalloc( sizeof( Queue_t ) + xQueueSizeInBytes );
; xQueueSizeInBytes start address is: 0 (R0)
ADDW	R3, R0, #72
; xQueueSizeInBytes end address is: 0 (R0)
STRB	R5, [SP, #4]
STR	R2, [SP, #8]
STR	R1, [SP, #12]
MOV	R0, R3
BL	_pvPortMalloc+0
LDR	R1, [SP, #12]
LDR	R2, [SP, #8]
LDRB	R5, [SP, #4]
; pxNewQueue start address is: 24 (R6)
MOV	R6, R0
;queue.c,408 :: 		if( pxNewQueue != NULL )
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericCreate14
;queue.c,412 :: 		pucQueueStorage = ( ( uint8_t * ) pxNewQueue ) + sizeof( Queue_t );
ADDW	R4, R6, #72
;queue.c,423 :: 		prvInitialiseNewQueue( uxQueueLength, uxItemSize, pucQueueStorage, ucQueueType, pxNewQueue );
MOV	R3, R6
STR	R6, [SP, #4]
; ucQueueType end address is: 20 (R5)
PUSH	(R3)
UXTB	R3, R5
MOV	R0, R1
MOV	R1, R2
; uxItemSize end address is: 8 (R2)
MOV	R2, R4
; uxQueueLength end address is: 4 (R1)
BL	queue_prvInitialiseNewQueue+0
ADD	SP, SP, #4
LDR	R6, [SP, #4]
;queue.c,424 :: 		}
L_xQueueGenericCreate14:
;queue.c,426 :: 		return pxNewQueue;
MOV	R0, R6
; pxNewQueue end address is: 24 (R6)
;queue.c,427 :: 		}
L_end_xQueueGenericCreate:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _xQueueGenericCreate
queue_prvInitialiseNewQueue:
;queue.c,432 :: 		static void prvInitialiseNewQueue( const UBaseType_t uxQueueLength, const UBaseType_t uxItemSize, uint8_t *pucQueueStorage, const uint8_t ucQueueType, Queue_t *pxNewQueue )
; pucQueueStorage start address is: 8 (R2)
; uxItemSize start address is: 4 (R1)
; uxQueueLength start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R3, R2
; pucQueueStorage end address is: 8 (R2)
; uxItemSize end address is: 4 (R1)
; uxQueueLength end address is: 0 (R0)
; uxQueueLength start address is: 0 (R0)
; uxItemSize start address is: 4 (R1)
; pucQueueStorage start address is: 12 (R3)
; pxNewQueue start address is: 8 (R2)
LDR	R2, [SP, #4]
;queue.c,438 :: 		if( uxItemSize == ( UBaseType_t ) 0 )
CMP	R1, #0
IT	NE
BNE	L_queue_prvInitialiseNewQueue15
; pucQueueStorage end address is: 12 (R3)
;queue.c,444 :: 		pxNewQueue->pcHead = ( int8_t * ) pxNewQueue;
STR	R2, [R2, #0]
;queue.c,445 :: 		}
IT	AL
BAL	L_queue_prvInitialiseNewQueue16
L_queue_prvInitialiseNewQueue15:
;queue.c,449 :: 		pxNewQueue->pcHead = ( int8_t * ) pucQueueStorage;
; pucQueueStorage start address is: 12 (R3)
STR	R3, [R2, #0]
; pucQueueStorage end address is: 12 (R3)
;queue.c,450 :: 		}
L_queue_prvInitialiseNewQueue16:
;queue.c,454 :: 		pxNewQueue->uxLength = uxQueueLength;
ADDW	R4, R2, #60
STR	R0, [R4, #0]
; uxQueueLength end address is: 0 (R0)
;queue.c,455 :: 		pxNewQueue->uxItemSize = uxItemSize;
ADDW	R4, R2, #64
STR	R1, [R4, #0]
; uxItemSize end address is: 4 (R1)
;queue.c,456 :: 		( void ) xQueueGenericReset( pxNewQueue, pdTRUE );
MOV	R1, #1
MOV	R0, R2
; pxNewQueue end address is: 8 (R2)
BL	_xQueueGenericReset+0
;queue.c,471 :: 		}
L_end_prvInitialiseNewQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of queue_prvInitialiseNewQueue
queue_prvInitialiseMutex:
;queue.c,476 :: 		static void prvInitialiseMutex( Queue_t *pxNewQueue )
; pxNewQueue start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; pxNewQueue end address is: 0 (R0)
; pxNewQueue start address is: 0 (R0)
;queue.c,478 :: 		if( pxNewQueue != NULL )
CMP	R0, #0
IT	EQ
BEQ	L_queue_prvInitialiseMutex17
;queue.c,484 :: 		pxNewQueue->pxMutexHolder = NULL;
ADDS	R2, R0, #4
MOVS	R1, #0
STR	R1, [R2, #0]
;queue.c,485 :: 		pxNewQueue->uxQueueType = queueQUEUE_IS_MUTEX;
MOVS	R1, #0
STR	R1, [R0, #0]
;queue.c,488 :: 		pxNewQueue->u.uxRecursiveCallCount = 0;
ADDW	R2, R0, #12
MOVS	R1, #0
STR	R1, [R2, #0]
;queue.c,493 :: 		( void ) xQueueGenericSend( pxNewQueue, NULL, ( TickType_t ) 0U, queueSEND_TO_BACK );
MOV	R3, #0
MOV	R2, #0
MOVS	R1, #0
; pxNewQueue end address is: 0 (R0)
BL	_xQueueGenericSend+0
;queue.c,494 :: 		}
IT	AL
BAL	L_queue_prvInitialiseMutex18
L_queue_prvInitialiseMutex17:
;queue.c,498 :: 		}
L_queue_prvInitialiseMutex18:
;queue.c,499 :: 		}
L_end_prvInitialiseMutex:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of queue_prvInitialiseMutex
_xQueueCreateMutex:
;queue.c,506 :: 		QueueHandle_t xQueueCreateMutex( const uint8_t ucQueueType )
; ucQueueType start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; ucQueueType end address is: 0 (R0)
; ucQueueType start address is: 0 (R0)
;queue.c,511 :: 		pxNewQueue = ( Queue_t * ) xQueueGenericCreate( uxMutexLength, uxMutexSize, ucQueueType );
UXTB	R2, R0
; ucQueueType end address is: 0 (R0)
MOV	R1, #0
MOV	R0, #1
BL	_xQueueGenericCreate+0
STR	R0, [SP, #4]
;queue.c,512 :: 		prvInitialiseMutex( pxNewQueue );
BL	queue_prvInitialiseMutex+0
;queue.c,514 :: 		return pxNewQueue;
LDR	R0, [SP, #4]
;queue.c,515 :: 		}
L_end_xQueueCreateMutex:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _xQueueCreateMutex
_xQueueGiveMutexRecursive:
;queue.c,572 :: 		BaseType_t xQueueGiveMutexRecursive( QueueHandle_t xMutex )
; xMutex start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; xMutex end address is: 0 (R0)
; xMutex start address is: 0 (R0)
;queue.c,575 :: 		Queue_t * const pxMutex = ( Queue_t * ) xMutex;
; pxMutex start address is: 12 (R3)
MOV	R3, R0
;queue.c,577 :: 		configASSERT( pxMutex );
CMP	R0, #0
IT	NE
BNE	L_xQueueGiveMutexRecursive19
; xMutex end address is: 0 (R0)
; pxMutex end address is: 12 (R3)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGiveMutexRecursive20:
IT	AL
BAL	L_xQueueGiveMutexRecursive20
L_xQueueGiveMutexRecursive19:
;queue.c,585 :: 		if( pxMutex->pxMutexHolder == ( void * ) xTaskGetCurrentTaskHandle() ) /*lint !e961 Not a redundant cast as TaskHandle_t is a typedef. */
; pxMutex start address is: 12 (R3)
ADDS	R1, R3, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #8]
STR	R3, [SP, #4]
BL	_xTaskGetCurrentTaskHandle+0
LDR	R3, [SP, #4]
LDR	R1, [SP, #8]
CMP	R1, R0
IT	NE
BNE	L_xQueueGiveMutexRecursive22
;queue.c,594 :: 		( pxMutex->u.uxRecursiveCallCount )--;
ADDW	R2, R3, #12
LDR	R1, [R2, #0]
SUBS	R1, R1, #1
STR	R1, [R2, #0]
;queue.c,597 :: 		if( pxMutex->u.uxRecursiveCallCount == ( UBaseType_t ) 0 )
ADDW	R1, R3, #12
LDR	R1, [R1, #0]
CMP	R1, #0
IT	NE
BNE	L_xQueueGiveMutexRecursive23
;queue.c,601 :: 		( void ) xQueueGenericSend( pxMutex, NULL, queueMUTEX_GIVE_BLOCK_TIME, queueSEND_TO_BACK );
MOV	R2, #0
MOVS	R1, #0
MOV	R0, R3
MOV	R3, #0
; pxMutex end address is: 12 (R3)
BL	_xQueueGenericSend+0
;queue.c,602 :: 		}
IT	AL
BAL	L_xQueueGiveMutexRecursive24
L_xQueueGiveMutexRecursive23:
;queue.c,606 :: 		}
L_xQueueGiveMutexRecursive24:
;queue.c,608 :: 		xReturn = pdPASS;
; xReturn start address is: 0 (R0)
MOV	R0, #1
;queue.c,609 :: 		}
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xQueueGiveMutexRecursive25
L_xQueueGiveMutexRecursive22:
;queue.c,614 :: 		xReturn = pdFAIL;
; xReturn start address is: 0 (R0)
MOV	R0, #0
; xReturn end address is: 0 (R0)
;queue.c,617 :: 		}
L_xQueueGiveMutexRecursive25:
;queue.c,619 :: 		return xReturn;
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
;queue.c,620 :: 		}
L_end_xQueueGiveMutexRecursive:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _xQueueGiveMutexRecursive
_xQueueTakeMutexRecursive:
;queue.c,627 :: 		BaseType_t xQueueTakeMutexRecursive( QueueHandle_t xMutex, TickType_t xTicksToWait )
; xTicksToWait start address is: 4 (R1)
; xMutex start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
MOV	R3, R1
; xTicksToWait end address is: 4 (R1)
; xMutex end address is: 0 (R0)
; xMutex start address is: 0 (R0)
; xTicksToWait start address is: 12 (R3)
;queue.c,630 :: 		Queue_t * const pxMutex = ( Queue_t * ) xMutex;
; pxMutex start address is: 4 (R1)
MOV	R1, R0
;queue.c,632 :: 		configASSERT( pxMutex );
CMP	R0, #0
IT	NE
BNE	L_xQueueTakeMutexRecursive26
; xMutex end address is: 0 (R0)
; xTicksToWait end address is: 12 (R3)
; pxMutex end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueTakeMutexRecursive27:
IT	AL
BAL	L_xQueueTakeMutexRecursive27
L_xQueueTakeMutexRecursive26:
;queue.c,639 :: 		if( pxMutex->pxMutexHolder == ( void * ) xTaskGetCurrentTaskHandle() ) /*lint !e961 Cast is not redundant as TaskHandle_t is a typedef. */
; pxMutex start address is: 4 (R1)
; xTicksToWait start address is: 12 (R3)
ADDS	R2, R1, #4
LDR	R2, [R2, #0]
STR	R2, [SP, #12]
STR	R1, [SP, #4]
STR	R3, [SP, #8]
BL	_xTaskGetCurrentTaskHandle+0
LDR	R3, [SP, #8]
LDR	R1, [SP, #4]
LDR	R2, [SP, #12]
CMP	R2, R0
IT	NE
BNE	L_xQueueTakeMutexRecursive29
; xTicksToWait end address is: 12 (R3)
;queue.c,641 :: 		( pxMutex->u.uxRecursiveCallCount )++;
ADDW	R3, R1, #12
; pxMutex end address is: 4 (R1)
LDR	R2, [R3, #0]
ADDS	R2, R2, #1
STR	R2, [R3, #0]
;queue.c,642 :: 		xReturn = pdPASS;
; xReturn start address is: 0 (R0)
MOV	R0, #1
;queue.c,643 :: 		}
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xQueueTakeMutexRecursive30
L_xQueueTakeMutexRecursive29:
;queue.c,646 :: 		xReturn = xQueueGenericReceive( pxMutex, NULL, xTicksToWait, pdFALSE );
; pxMutex start address is: 4 (R1)
; xTicksToWait start address is: 12 (R3)
STR	R1, [SP, #4]
MOV	R2, R3
MOV	R3, #0
; xTicksToWait end address is: 12 (R3)
MOV	R0, R1
MOVS	R1, #0
BL	_xQueueGenericReceive+0
LDR	R1, [SP, #4]
; xReturn start address is: 16 (R4)
MOV	R4, R0
;queue.c,651 :: 		if( xReturn != pdFAIL )
CMP	R0, #0
IT	EQ
BEQ	L_xQueueTakeMutexRecursive31
;queue.c,653 :: 		( pxMutex->u.uxRecursiveCallCount )++;
ADDW	R3, R1, #12
; pxMutex end address is: 4 (R1)
LDR	R2, [R3, #0]
ADDS	R2, R2, #1
STR	R2, [R3, #0]
;queue.c,654 :: 		}
IT	AL
BAL	L_xQueueTakeMutexRecursive32
L_xQueueTakeMutexRecursive31:
;queue.c,658 :: 		}
L_xQueueTakeMutexRecursive32:
;queue.c,659 :: 		}
MOV	R0, R4
L_xQueueTakeMutexRecursive30:
; xReturn end address is: 16 (R4)
;queue.c,661 :: 		return xReturn;
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
;queue.c,662 :: 		}
L_end_xQueueTakeMutexRecursive:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _xQueueTakeMutexRecursive
_xQueueCreateCountingSemaphore:
;queue.c,697 :: 		QueueHandle_t xQueueCreateCountingSemaphore( const UBaseType_t uxMaxCount, const UBaseType_t uxInitialCount )
; uxInitialCount start address is: 4 (R1)
; uxMaxCount start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; uxInitialCount end address is: 4 (R1)
; uxMaxCount end address is: 0 (R0)
; uxMaxCount start address is: 0 (R0)
; uxInitialCount start address is: 4 (R1)
;queue.c,701 :: 		configASSERT( uxMaxCount != 0 );
CMP	R0, #0
MOVW	R2, #0
BEQ	L__xQueueCreateCountingSemaphore301
MOVS	R2, #1
L__xQueueCreateCountingSemaphore301:
CMP	R2, #0
IT	NE
BNE	L_xQueueCreateCountingSemaphore33
; uxMaxCount end address is: 0 (R0)
; uxInitialCount end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueCreateCountingSemaphore34:
IT	AL
BAL	L_xQueueCreateCountingSemaphore34
L_xQueueCreateCountingSemaphore33:
;queue.c,702 :: 		configASSERT( uxInitialCount <= uxMaxCount );
; uxInitialCount start address is: 4 (R1)
; uxMaxCount start address is: 0 (R0)
CMP	R1, R0
MOVW	R2, #0
BHI	L__xQueueCreateCountingSemaphore302
MOVS	R2, #1
L__xQueueCreateCountingSemaphore302:
CMP	R2, #0
IT	NE
BNE	L_xQueueCreateCountingSemaphore36
; uxMaxCount end address is: 0 (R0)
; uxInitialCount end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueCreateCountingSemaphore37:
IT	AL
BAL	L_xQueueCreateCountingSemaphore37
L_xQueueCreateCountingSemaphore36:
;queue.c,704 :: 		xHandle = xQueueGenericCreate( uxMaxCount, queueSEMAPHORE_QUEUE_ITEM_LENGTH, queueQUEUE_TYPE_COUNTING_SEMAPHORE );
; uxInitialCount start address is: 4 (R1)
; uxMaxCount start address is: 0 (R0)
STR	R1, [SP, #4]
MOVS	R2, #2
MOV	R1, #0
; uxMaxCount end address is: 0 (R0)
BL	_xQueueGenericCreate+0
LDR	R1, [SP, #4]
; xHandle start address is: 12 (R3)
MOV	R3, R0
;queue.c,706 :: 		if( xHandle != NULL )
CMP	R0, #0
IT	EQ
BEQ	L_xQueueCreateCountingSemaphore39
;queue.c,708 :: 		( ( Queue_t * ) xHandle )->uxMessagesWaiting = uxInitialCount;
ADDW	R2, R3, #56
STR	R1, [R2, #0]
; uxInitialCount end address is: 4 (R1)
;queue.c,711 :: 		}
IT	AL
BAL	L_xQueueCreateCountingSemaphore40
L_xQueueCreateCountingSemaphore39:
;queue.c,715 :: 		}
L_xQueueCreateCountingSemaphore40:
;queue.c,717 :: 		return xHandle;
MOV	R0, R3
; xHandle end address is: 12 (R3)
;queue.c,718 :: 		}
L_end_xQueueCreateCountingSemaphore:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _xQueueCreateCountingSemaphore
_xQueueGenericSend:
;queue.c,723 :: 		BaseType_t xQueueGenericSend( QueueHandle_t xQueue, const void * const pvItemToQueue, TickType_t xTicksToWait, const BaseType_t xCopyPosition )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STR	R1, [SP, #20]
STR	R2, [SP, #24]
STR	R3, [SP, #28]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,725 :: 		BaseType_t xEntryTimeSet = pdFALSE, xYieldRequired;
MOV	R4, #0
STR	R4, [SP, #16]
;queue.c,727 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
STR	R0, [SP, #12]
;queue.c,729 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericSend41
; xQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSend42:
IT	AL
BAL	L_xQueueGenericSend42
L_xQueueGenericSend41:
;queue.c,730 :: 		configASSERT( !( ( pvItemToQueue == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
LDR	R4, [SP, #20]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend45
LDR	R4, [SP, #12]
ADDS	R4, #64
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGenericSend45
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericSend44
L_xQueueGenericSend45:
MOVS	R4, #0
L_xQueueGenericSend44:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSend304
MOVS	R4, #1
L__xQueueGenericSend304:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend46
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSend47:
IT	AL
BAL	L_xQueueGenericSend47
L_xQueueGenericSend46:
;queue.c,731 :: 		configASSERT( !( ( xCopyPosition == queueOVERWRITE ) && ( pxQueue->uxLength != 1 ) ) );
LDR	R4, [SP, #28]
CMP	R4, #2
IT	NE
BNE	L_xQueueGenericSend50
LDR	R4, [SP, #12]
ADDS	R4, #60
LDR	R4, [R4, #0]
CMP	R4, #1
IT	EQ
BEQ	L_xQueueGenericSend50
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericSend49
L_xQueueGenericSend50:
MOVS	R4, #0
L_xQueueGenericSend49:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSend305
MOVS	R4, #1
L__xQueueGenericSend305:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend51
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSend52:
IT	AL
BAL	L_xQueueGenericSend52
L_xQueueGenericSend51:
;queue.c,734 :: 		configASSERT( !( ( xTaskGetSchedulerState() == taskSCHEDULER_SUSPENDED ) && ( xTicksToWait != 0 ) ) );
BL	_xTaskGetSchedulerState+0
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericSend55
LDR	R4, [SP, #24]
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGenericSend55
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericSend54
L_xQueueGenericSend55:
MOVS	R4, #0
L_xQueueGenericSend54:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSend306
MOVS	R4, #1
L__xQueueGenericSend306:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend56
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSend57:
IT	AL
BAL	L_xQueueGenericSend57
L_xQueueGenericSend56:
;queue.c,742 :: 		for( ;; )
L_xQueueGenericSend59:
;queue.c,744 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;queue.c,750 :: 		if( ( pxQueue->uxMessagesWaiting < pxQueue->uxLength ) || ( xCopyPosition == queueOVERWRITE ) )
LDR	R4, [SP, #12]
ADDS	R4, #56
LDR	R5, [R4, #0]
LDR	R4, [SP, #12]
ADDS	R4, #60
LDR	R4, [R4, #0]
CMP	R5, R4
IT	CC
BCC	L__xQueueGenericSend282
LDR	R4, [SP, #28]
CMP	R4, #2
IT	EQ
BEQ	L__xQueueGenericSend281
IT	AL
BAL	L_xQueueGenericSend64
L__xQueueGenericSend282:
L__xQueueGenericSend281:
;queue.c,753 :: 		xYieldRequired = prvCopyDataToQueue( pxQueue, pvItemToQueue, xCopyPosition );
LDR	R2, [SP, #28]
LDR	R1, [SP, #20]
LDR	R0, [SP, #12]
BL	queue_prvCopyDataToQueue+0
; xYieldRequired start address is: 0 (R0)
;queue.c,808 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
LDR	R4, [SP, #12]
ADDS	R4, #36
LDR	R4, [R4, #0]
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSend307
MOVS	R4, #1
L__xQueueGenericSend307:
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend65
; xYieldRequired end address is: 0 (R0)
;queue.c,810 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
LDR	R4, [SP, #12]
ADDS	R4, #36
MOV	R0, R4
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericSend66
;queue.c,816 :: 		queueYIELD_IF_USING_PREEMPTION();
MOVS	R6, #1
SXTB	R6, R6
MOVW	R5, #lo_addr(PENDSVSET_bit+0)
MOVT	R5, #hi_addr(PENDSVSET_bit+0)
_LX	[R5, ByteOffset(PENDSVSET_bit+0)]
BFI	R4, R6, BitPos(PENDSVSET_bit+0), #1
_SX	[R5, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,817 :: 		}
IT	AL
BAL	L_xQueueGenericSend67
L_xQueueGenericSend66:
;queue.c,821 :: 		}
L_xQueueGenericSend67:
;queue.c,822 :: 		}
IT	AL
BAL	L_xQueueGenericSend68
L_xQueueGenericSend65:
;queue.c,823 :: 		else if( xYieldRequired != pdFALSE )
; xYieldRequired start address is: 0 (R0)
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericSend69
; xYieldRequired end address is: 0 (R0)
;queue.c,829 :: 		queueYIELD_IF_USING_PREEMPTION();
MOVS	R6, #1
SXTB	R6, R6
MOVW	R5, #lo_addr(PENDSVSET_bit+0)
MOVT	R5, #hi_addr(PENDSVSET_bit+0)
_LX	[R5, ByteOffset(PENDSVSET_bit+0)]
BFI	R4, R6, BitPos(PENDSVSET_bit+0), #1
_SX	[R5, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,830 :: 		}
IT	AL
BAL	L_xQueueGenericSend70
L_xQueueGenericSend69:
;queue.c,834 :: 		}
L_xQueueGenericSend70:
L_xQueueGenericSend68:
;queue.c,838 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,839 :: 		return pdPASS;
MOV	R0, #1
IT	AL
BAL	L_end_xQueueGenericSend
;queue.c,840 :: 		}
L_xQueueGenericSend64:
;queue.c,843 :: 		if( xTicksToWait == ( TickType_t ) 0 )
LDR	R4, [SP, #24]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend72
;queue.c,847 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,852 :: 		return errQUEUE_FULL;
MOV	R0, #0
IT	AL
BAL	L_end_xQueueGenericSend
;queue.c,853 :: 		}
L_xQueueGenericSend72:
;queue.c,854 :: 		else if( xEntryTimeSet == pdFALSE )
LDR	R4, [SP, #16]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSend74
;queue.c,858 :: 		vTaskSetTimeOutState( &xTimeOut );
ADD	R4, SP, #4
MOV	R0, R4
BL	_vTaskSetTimeOutState+0
;queue.c,859 :: 		xEntryTimeSet = pdTRUE;
MOV	R4, #1
STR	R4, [SP, #16]
;queue.c,860 :: 		}
IT	AL
BAL	L_xQueueGenericSend75
L_xQueueGenericSend74:
;queue.c,865 :: 		}
L_xQueueGenericSend75:
;queue.c,868 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,873 :: 		vTaskSuspendAll();
BL	_vTaskSuspendAll+0
;queue.c,874 :: 		prvLockQueue( pxQueue );
BL	_vPortEnterCritical+0
LDR	R4, [SP, #12]
ADDS	R4, #68
LDRSB	R4, [R4, #0]
CMP	R4, #-1
IT	NE
BNE	L_xQueueGenericSend76
LDR	R4, [SP, #12]
ADDW	R5, R4, #68
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [R5, #0]
L_xQueueGenericSend76:
LDR	R4, [SP, #12]
ADDS	R4, #69
LDRSB	R4, [R4, #0]
CMP	R4, #-1
IT	NE
BNE	L_xQueueGenericSend77
LDR	R4, [SP, #12]
ADDW	R5, R4, #69
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [R5, #0]
L_xQueueGenericSend77:
BL	_vPortExitCritical+0
;queue.c,877 :: 		if( xTaskCheckForTimeOut( &xTimeOut, &xTicksToWait ) == pdFALSE )
ADD	R5, SP, #24
ADD	R4, SP, #4
MOV	R1, R5
MOV	R0, R4
BL	_xTaskCheckForTimeOut+0
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericSend78
;queue.c,879 :: 		if( prvIsQueueFull( pxQueue ) != pdFALSE )
LDR	R0, [SP, #12]
BL	queue_prvIsQueueFull+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericSend79
;queue.c,882 :: 		vTaskPlaceOnEventList( &( pxQueue->xTasksWaitingToSend ), xTicksToWait );
LDR	R4, [SP, #12]
ADDS	R4, #16
LDR	R1, [SP, #24]
MOV	R0, R4
BL	_vTaskPlaceOnEventList+0
;queue.c,889 :: 		prvUnlockQueue( pxQueue );
LDR	R0, [SP, #12]
BL	queue_prvUnlockQueue+0
;queue.c,896 :: 		if( xTaskResumeAll() == pdFALSE )
BL	_xTaskResumeAll+0
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericSend80
;queue.c,898 :: 		portYIELD_WITHIN_API();
MOVS	R6, #1
SXTB	R6, R6
MOVW	R5, #lo_addr(PENDSVSET_bit+0)
MOVT	R5, #hi_addr(PENDSVSET_bit+0)
_LX	[R5, ByteOffset(PENDSVSET_bit+0)]
BFI	R4, R6, BitPos(PENDSVSET_bit+0), #1
_SX	[R5, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,899 :: 		}
L_xQueueGenericSend80:
;queue.c,900 :: 		}
IT	AL
BAL	L_xQueueGenericSend81
L_xQueueGenericSend79:
;queue.c,904 :: 		prvUnlockQueue( pxQueue );
LDR	R0, [SP, #12]
BL	queue_prvUnlockQueue+0
;queue.c,905 :: 		( void ) xTaskResumeAll();
BL	_xTaskResumeAll+0
;queue.c,906 :: 		}
L_xQueueGenericSend81:
;queue.c,907 :: 		}
IT	AL
BAL	L_xQueueGenericSend82
L_xQueueGenericSend78:
;queue.c,911 :: 		prvUnlockQueue( pxQueue );
LDR	R0, [SP, #12]
BL	queue_prvUnlockQueue+0
;queue.c,912 :: 		( void ) xTaskResumeAll();
BL	_xTaskResumeAll+0
;queue.c,915 :: 		return errQUEUE_FULL;
MOV	R0, #0
IT	AL
BAL	L_end_xQueueGenericSend
;queue.c,916 :: 		}
L_xQueueGenericSend82:
;queue.c,917 :: 		}
IT	AL
BAL	L_xQueueGenericSend59
;queue.c,918 :: 		}
L_end_xQueueGenericSend:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _xQueueGenericSend
_xQueueGenericSendFromISR:
;queue.c,921 :: 		BaseType_t xQueueGenericSendFromISR( QueueHandle_t xQueue, const void * const pvItemToQueue, BaseType_t * const pxHigherPriorityTaskWoken, const BaseType_t xCopyPosition )
; pxQueue start address is: 12 (R3)
; xCopyPosition start address is: 12 (R3)
; pvItemToQueue start address is: 4 (R1)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #28
STR	LR, [SP, #0]
;queue.c,925 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,921 :: 		BaseType_t xQueueGenericSendFromISR( QueueHandle_t xQueue, const void * const pvItemToQueue, BaseType_t * const pxHigherPriorityTaskWoken, const BaseType_t xCopyPosition )
STR	R2, [SP, #24]
;queue.c,925 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,921 :: 		BaseType_t xQueueGenericSendFromISR( QueueHandle_t xQueue, const void * const pvItemToQueue, BaseType_t * const pxHigherPriorityTaskWoken, const BaseType_t xCopyPosition )
MOV	R2, R3
; pxQueue end address is: 12 (R3)
; xCopyPosition end address is: 12 (R3)
; pvItemToQueue end address is: 4 (R1)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
; pvItemToQueue start address is: 4 (R1)
; xCopyPosition start address is: 8 (R2)
;queue.c,925 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 12 (R3)
MOV	R3, R0
;queue.c,927 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericSendFromISR83
; xQueue end address is: 0 (R0)
; pvItemToQueue end address is: 4 (R1)
; xCopyPosition end address is: 8 (R2)
; pxQueue end address is: 12 (R3)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSendFromISR84:
IT	AL
BAL	L_xQueueGenericSendFromISR84
L_xQueueGenericSendFromISR83:
;queue.c,928 :: 		configASSERT( !( ( pvItemToQueue == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
; pxQueue start address is: 12 (R3)
; xCopyPosition start address is: 8 (R2)
; pvItemToQueue start address is: 4 (R1)
CMP	R1, #0
IT	NE
BNE	L_xQueueGenericSendFromISR87
ADDW	R4, R3, #64
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGenericSendFromISR87
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericSendFromISR86
L_xQueueGenericSendFromISR87:
MOVS	R4, #0
L_xQueueGenericSendFromISR86:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSendFromISR309
MOVS	R4, #1
L__xQueueGenericSendFromISR309:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSendFromISR88
; pvItemToQueue end address is: 4 (R1)
; xCopyPosition end address is: 8 (R2)
; pxQueue end address is: 12 (R3)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSendFromISR89:
IT	AL
BAL	L_xQueueGenericSendFromISR89
L_xQueueGenericSendFromISR88:
;queue.c,929 :: 		configASSERT( !( ( xCopyPosition == queueOVERWRITE ) && ( pxQueue->uxLength != 1 ) ) );
; pxQueue start address is: 12 (R3)
; xCopyPosition start address is: 8 (R2)
; pvItemToQueue start address is: 4 (R1)
CMP	R2, #2
IT	NE
BNE	L_xQueueGenericSendFromISR92
ADDW	R4, R3, #60
LDR	R4, [R4, #0]
CMP	R4, #1
IT	EQ
BEQ	L_xQueueGenericSendFromISR92
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericSendFromISR91
L_xQueueGenericSendFromISR92:
MOVS	R4, #0
L_xQueueGenericSendFromISR91:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSendFromISR310
MOVS	R4, #1
L__xQueueGenericSendFromISR310:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSendFromISR93
; pvItemToQueue end address is: 4 (R1)
; xCopyPosition end address is: 8 (R2)
; pxQueue end address is: 12 (R3)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericSendFromISR94:
IT	AL
BAL	L_xQueueGenericSendFromISR94
L_xQueueGenericSendFromISR93:
;queue.c,945 :: 		portASSERT_IF_INTERRUPT_PRIORITY_INVALID();
; pxQueue start address is: 12 (R3)
; xCopyPosition start address is: 8 (R2)
; pvItemToQueue start address is: 4 (R1)
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STR	R1, [SP, #12]
BL	_vPortValidateInterruptPriority+0
LDR	R1, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;queue.c,952 :: 		uxSavedInterruptStatus = portSET_INTERRUPT_MASK_FROM_ISR();
STR	R1, [SP, #4]
BL	queue_ulPortRaiseBASEPRI+0
LDR	R1, [SP, #4]
STR	R0, [SP, #20]
;queue.c,954 :: 		if( ( pxQueue->uxMessagesWaiting < pxQueue->uxLength ) || ( xCopyPosition == queueOVERWRITE ) )
ADDW	R4, R3, #56
LDR	R5, [R4, #0]
ADDW	R4, R3, #60
LDR	R4, [R4, #0]
CMP	R5, R4
IT	CC
BCC	L__xQueueGenericSendFromISR285
CMP	R2, #2
IT	EQ
BEQ	L__xQueueGenericSendFromISR284
; pvItemToQueue end address is: 4 (R1)
; xCopyPosition end address is: 8 (R2)
; pxQueue end address is: 12 (R3)
IT	AL
BAL	L_xQueueGenericSendFromISR98
L__xQueueGenericSendFromISR285:
; pxQueue start address is: 12 (R3)
; xCopyPosition start address is: 8 (R2)
; pvItemToQueue start address is: 4 (R1)
L__xQueueGenericSendFromISR284:
;queue.c,956 :: 		const int8_t cTxLock = pxQueue->cTxLock;
ADDW	R4, R3, #69
LDRSB	R4, [R4, #0]
; cTxLock start address is: 0 (R0)
SXTB	R0, R4
;queue.c,965 :: 		( void ) prvCopyDataToQueue( pxQueue, pvItemToQueue, xCopyPosition );
STRB	R0, [SP, #4]
; xCopyPosition end address is: 8 (R2)
STR	R3, [SP, #8]
; pvItemToQueue end address is: 4 (R1)
MOV	R0, R3
BL	queue_prvCopyDataToQueue+0
LDR	R3, [SP, #8]
LDRSB	R0, [SP, #4]
;queue.c,969 :: 		if( cTxLock == queueUNLOCKED )
CMP	R0, #-1
IT	NE
BNE	L_xQueueGenericSendFromISR99
; cTxLock end address is: 0 (R0)
;queue.c,1024 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
ADDW	R4, R3, #36
LDR	R4, [R4, #0]
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericSendFromISR311
MOVS	R4, #1
L__xQueueGenericSendFromISR311:
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericSendFromISR100
;queue.c,1026 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
ADDW	R4, R3, #36
; pxQueue end address is: 12 (R3)
MOV	R0, R4
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericSendFromISR101
;queue.c,1030 :: 		if( pxHigherPriorityTaskWoken != NULL )
LDR	R4, [SP, #24]
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGenericSendFromISR102
;queue.c,1032 :: 		*pxHigherPriorityTaskWoken = pdTRUE;
MOV	R5, #1
LDR	R4, [SP, #24]
STR	R5, [R4, #0]
;queue.c,1033 :: 		}
IT	AL
BAL	L_xQueueGenericSendFromISR103
L_xQueueGenericSendFromISR102:
;queue.c,1037 :: 		}
L_xQueueGenericSendFromISR103:
;queue.c,1038 :: 		}
IT	AL
BAL	L_xQueueGenericSendFromISR104
L_xQueueGenericSendFromISR101:
;queue.c,1042 :: 		}
L_xQueueGenericSendFromISR104:
;queue.c,1043 :: 		}
IT	AL
BAL	L_xQueueGenericSendFromISR105
L_xQueueGenericSendFromISR100:
;queue.c,1047 :: 		}
L_xQueueGenericSendFromISR105:
;queue.c,1050 :: 		}
IT	AL
BAL	L_xQueueGenericSendFromISR106
L_xQueueGenericSendFromISR99:
;queue.c,1055 :: 		pxQueue->cTxLock = ( int8_t ) ( cTxLock + 1 );
; cTxLock start address is: 0 (R0)
; pxQueue start address is: 12 (R3)
ADDW	R5, R3, #69
; pxQueue end address is: 12 (R3)
ADDS	R4, R0, #1
; cTxLock end address is: 0 (R0)
SXTB	R4, R4
STRB	R4, [R5, #0]
;queue.c,1056 :: 		}
L_xQueueGenericSendFromISR106:
;queue.c,1058 :: 		xReturn = pdPASS;
MOV	R4, #1
STR	R4, [SP, #16]
;queue.c,1059 :: 		}
IT	AL
BAL	L_xQueueGenericSendFromISR107
L_xQueueGenericSendFromISR98:
;queue.c,1063 :: 		xReturn = errQUEUE_FULL;
MOV	R4, #0
STR	R4, [SP, #16]
;queue.c,1064 :: 		}
L_xQueueGenericSendFromISR107:
;queue.c,1066 :: 		portCLEAR_INTERRUPT_MASK_FROM_ISR( uxSavedInterruptStatus );
LDR	R0, [SP, #20]
BL	queue_vPortSetBASEPRI+0
;queue.c,1068 :: 		return xReturn;
LDR	R0, [SP, #16]
;queue.c,1069 :: 		}
L_end_xQueueGenericSendFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #28
BX	LR
; end of _xQueueGenericSendFromISR
_xQueueGiveFromISR:
;queue.c,1072 :: 		BaseType_t xQueueGiveFromISR( QueueHandle_t xQueue, BaseType_t * const pxHigherPriorityTaskWoken )
; pxHigherPriorityTaskWoken start address is: 4 (R1)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R4, R1
; pxHigherPriorityTaskWoken end address is: 4 (R1)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
; pxHigherPriorityTaskWoken start address is: 16 (R4)
;queue.c,1076 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 20 (R5)
MOV	R5, R0
;queue.c,1084 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueGiveFromISR108
; xQueue end address is: 0 (R0)
; pxHigherPriorityTaskWoken end address is: 16 (R4)
; pxQueue end address is: 20 (R5)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGiveFromISR109:
IT	AL
BAL	L_xQueueGiveFromISR109
L_xQueueGiveFromISR108:
;queue.c,1088 :: 		configASSERT( pxQueue->uxItemSize == 0 );
; pxQueue start address is: 20 (R5)
; pxHigherPriorityTaskWoken start address is: 16 (R4)
ADDW	R2, R5, #64
LDR	R2, [R2, #0]
CMP	R2, #0
MOVW	R2, #0
BNE	L__xQueueGiveFromISR313
MOVS	R2, #1
L__xQueueGiveFromISR313:
CMP	R2, #0
IT	NE
BNE	L_xQueueGiveFromISR111
; pxHigherPriorityTaskWoken end address is: 16 (R4)
; pxQueue end address is: 20 (R5)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGiveFromISR112:
IT	AL
BAL	L_xQueueGiveFromISR112
L_xQueueGiveFromISR111:
;queue.c,1093 :: 		configASSERT( !( ( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX ) && ( pxQueue->pxMutexHolder != NULL ) ) );
; pxQueue start address is: 20 (R5)
; pxHigherPriorityTaskWoken start address is: 16 (R4)
LDR	R2, [R5, #0]
CMP	R2, #0
IT	NE
BNE	L_xQueueGiveFromISR115
ADDS	R2, R5, #4
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L_xQueueGiveFromISR115
MOVS	R2, #1
IT	AL
BAL	L_xQueueGiveFromISR114
L_xQueueGiveFromISR115:
MOVS	R2, #0
L_xQueueGiveFromISR114:
CMP	R2, #0
MOVW	R2, #0
BNE	L__xQueueGiveFromISR314
MOVS	R2, #1
L__xQueueGiveFromISR314:
UXTB	R2, R2
CMP	R2, #0
IT	NE
BNE	L_xQueueGiveFromISR116
; pxHigherPriorityTaskWoken end address is: 16 (R4)
; pxQueue end address is: 20 (R5)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGiveFromISR117:
IT	AL
BAL	L_xQueueGiveFromISR117
L_xQueueGiveFromISR116:
;queue.c,1109 :: 		portASSERT_IF_INTERRUPT_PRIORITY_INVALID();
; pxQueue start address is: 20 (R5)
; pxHigherPriorityTaskWoken start address is: 16 (R4)
STR	R5, [SP, #4]
STR	R4, [SP, #8]
BL	_vPortValidateInterruptPriority+0
LDR	R4, [SP, #8]
LDR	R5, [SP, #4]
;queue.c,1111 :: 		uxSavedInterruptStatus = portSET_INTERRUPT_MASK_FROM_ISR();
BL	queue_ulPortRaiseBASEPRI+0
; uxSavedInterruptStatus start address is: 4 (R1)
MOV	R1, R0
;queue.c,1113 :: 		const UBaseType_t uxMessagesWaiting = pxQueue->uxMessagesWaiting;
ADDW	R2, R5, #56
LDR	R3, [R2, #0]
; uxMessagesWaiting start address is: 0 (R0)
MOV	R0, R3
;queue.c,1118 :: 		if( uxMessagesWaiting < pxQueue->uxLength )
ADDW	R2, R5, #60
LDR	R2, [R2, #0]
CMP	R3, R2
IT	CS
BCS	L_xQueueGiveFromISR119
;queue.c,1120 :: 		const int8_t cTxLock = pxQueue->cTxLock;
ADDW	R2, R5, #69
LDRSB	R2, [R2, #0]
; cTxLock start address is: 24 (R6)
SXTB	R6, R2
;queue.c,1130 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting + 1;
ADDW	R3, R5, #56
ADDS	R2, R0, #1
; uxMessagesWaiting end address is: 0 (R0)
STR	R2, [R3, #0]
;queue.c,1134 :: 		if( cTxLock == queueUNLOCKED )
CMP	R6, #-1
IT	NE
BNE	L_xQueueGiveFromISR120
; cTxLock end address is: 24 (R6)
;queue.c,1189 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
ADDW	R2, R5, #36
LDR	R2, [R2, #0]
CMP	R2, #0
MOVW	R2, #0
BNE	L__xQueueGiveFromISR315
MOVS	R2, #1
L__xQueueGiveFromISR315:
CMP	R2, #0
IT	NE
BNE	L_xQueueGiveFromISR121
;queue.c,1191 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
ADDW	R2, R5, #36
; pxQueue end address is: 20 (R5)
STR	R1, [SP, #4]
STR	R4, [SP, #8]
MOV	R0, R2
BL	_xTaskRemoveFromEventList+0
LDR	R4, [SP, #8]
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGiveFromISR122
;queue.c,1195 :: 		if( pxHigherPriorityTaskWoken != NULL )
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGiveFromISR123
;queue.c,1197 :: 		*pxHigherPriorityTaskWoken = pdTRUE;
MOV	R2, #1
STR	R2, [R4, #0]
; pxHigherPriorityTaskWoken end address is: 16 (R4)
;queue.c,1198 :: 		}
IT	AL
BAL	L_xQueueGiveFromISR124
L_xQueueGiveFromISR123:
;queue.c,1202 :: 		}
L_xQueueGiveFromISR124:
;queue.c,1203 :: 		}
IT	AL
BAL	L_xQueueGiveFromISR125
L_xQueueGiveFromISR122:
;queue.c,1207 :: 		}
L_xQueueGiveFromISR125:
;queue.c,1208 :: 		}
IT	AL
BAL	L_xQueueGiveFromISR126
L_xQueueGiveFromISR121:
;queue.c,1212 :: 		}
L_xQueueGiveFromISR126:
;queue.c,1215 :: 		}
IT	AL
BAL	L_xQueueGiveFromISR127
L_xQueueGiveFromISR120:
;queue.c,1220 :: 		pxQueue->cTxLock = ( int8_t ) ( cTxLock + 1 );
; cTxLock start address is: 24 (R6)
; pxQueue start address is: 20 (R5)
ADDW	R3, R5, #69
; pxQueue end address is: 20 (R5)
ADDS	R2, R6, #1
; cTxLock end address is: 24 (R6)
SXTB	R2, R2
STRB	R2, [R3, #0]
;queue.c,1221 :: 		}
L_xQueueGiveFromISR127:
;queue.c,1223 :: 		xReturn = pdPASS;
; xReturn start address is: 0 (R0)
MOV	R0, #1
;queue.c,1224 :: 		}
MOV	R2, R0
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xQueueGiveFromISR128
L_xQueueGiveFromISR119:
;queue.c,1228 :: 		xReturn = errQUEUE_FULL;
; xReturn start address is: 0 (R0)
MOV	R0, #0
; xReturn end address is: 0 (R0)
MOV	R2, R0
;queue.c,1229 :: 		}
L_xQueueGiveFromISR128:
;queue.c,1231 :: 		portCLEAR_INTERRUPT_MASK_FROM_ISR( uxSavedInterruptStatus );
; xReturn start address is: 8 (R2)
MOV	R0, R1
; uxSavedInterruptStatus end address is: 4 (R1)
BL	queue_vPortSetBASEPRI+0
;queue.c,1233 :: 		return xReturn;
MOV	R0, R2
; xReturn end address is: 8 (R2)
;queue.c,1234 :: 		}
L_end_xQueueGiveFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _xQueueGiveFromISR
_xQueueGenericReceive:
;queue.c,1237 :: 		BaseType_t xQueueGenericReceive( QueueHandle_t xQueue, void * const pvBuffer, TickType_t xTicksToWait, const BaseType_t xJustPeeking )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STR	R1, [SP, #20]
STR	R2, [SP, #24]
STR	R3, [SP, #28]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1239 :: 		BaseType_t xEntryTimeSet = pdFALSE;
MOV	R4, #0
STR	R4, [SP, #16]
;queue.c,1242 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
STR	R0, [SP, #12]
;queue.c,1244 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericReceive129
; xQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericReceive130:
IT	AL
BAL	L_xQueueGenericReceive130
L_xQueueGenericReceive129:
;queue.c,1245 :: 		configASSERT( !( ( pvBuffer == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
LDR	R4, [SP, #20]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive133
LDR	R4, [SP, #12]
ADDS	R4, #64
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGenericReceive133
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericReceive132
L_xQueueGenericReceive133:
MOVS	R4, #0
L_xQueueGenericReceive132:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericReceive317
MOVS	R4, #1
L__xQueueGenericReceive317:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive134
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericReceive135:
IT	AL
BAL	L_xQueueGenericReceive135
L_xQueueGenericReceive134:
;queue.c,1248 :: 		configASSERT( !( ( xTaskGetSchedulerState() == taskSCHEDULER_SUSPENDED ) && ( xTicksToWait != 0 ) ) );
BL	_xTaskGetSchedulerState+0
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericReceive138
LDR	R4, [SP, #24]
CMP	R4, #0
IT	EQ
BEQ	L_xQueueGenericReceive138
MOVS	R4, #1
IT	AL
BAL	L_xQueueGenericReceive137
L_xQueueGenericReceive138:
MOVS	R4, #0
L_xQueueGenericReceive137:
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericReceive318
MOVS	R4, #1
L__xQueueGenericReceive318:
UXTB	R4, R4
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive139
BL	queue_vPortRaiseBASEPRI+0
L_xQueueGenericReceive140:
IT	AL
BAL	L_xQueueGenericReceive140
L_xQueueGenericReceive139:
;queue.c,1256 :: 		for( ;; )
L_xQueueGenericReceive142:
;queue.c,1258 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;queue.c,1260 :: 		const UBaseType_t uxMessagesWaiting = pxQueue->uxMessagesWaiting;
LDR	R4, [SP, #12]
ADDS	R4, #56
LDR	R4, [R4, #0]
; uxMessagesWaiting start address is: 28 (R7)
MOV	R7, R4
;queue.c,1264 :: 		if( uxMessagesWaiting > ( UBaseType_t ) 0 )
CMP	R4, #0
IT	LS
BLS	L_xQueueGenericReceive145
;queue.c,1268 :: 		pcOriginalReadPosition = pxQueue->u.pcReadFrom;
LDR	R4, [SP, #12]
ADDS	R4, #12
LDR	R4, [R4, #0]
; pcOriginalReadPosition start address is: 32 (R8)
MOV	R8, R4
;queue.c,1270 :: 		prvCopyDataFromQueue( pxQueue, pvBuffer );
LDR	R1, [SP, #20]
LDR	R0, [SP, #12]
BL	queue_prvCopyDataFromQueue+0
;queue.c,1272 :: 		if( xJustPeeking == pdFALSE )
LDR	R4, [SP, #28]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive146
; pcOriginalReadPosition end address is: 32 (R8)
;queue.c,1277 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting - 1;
LDR	R4, [SP, #12]
ADDW	R5, R4, #56
SUBS	R4, R7, #1
; uxMessagesWaiting end address is: 28 (R7)
STR	R4, [R5, #0]
;queue.c,1281 :: 		if( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX )
LDR	R4, [SP, #12]
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive147
;queue.c,1285 :: 		pxQueue->pxMutexHolder = ( int8_t * ) pvTaskIncrementMutexHeldCount(); /*lint !e961 Cast is not redundant as TaskHandle_t is a typedef. */
LDR	R4, [SP, #12]
ADDS	R4, R4, #4
STR	R4, [SP, #36]
BL	_pvTaskIncrementMutexHeldCount+0
LDR	R4, [SP, #36]
STR	R0, [R4, #0]
;queue.c,1286 :: 		}
IT	AL
BAL	L_xQueueGenericReceive148
L_xQueueGenericReceive147:
;queue.c,1290 :: 		}
L_xQueueGenericReceive148:
;queue.c,1294 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
LDR	R4, [SP, #12]
ADDS	R4, #16
LDR	R4, [R4, #0]
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericReceive319
MOVS	R4, #1
L__xQueueGenericReceive319:
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive149
;queue.c,1296 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
LDR	R4, [SP, #12]
ADDS	R4, #16
MOV	R0, R4
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericReceive150
;queue.c,1298 :: 		queueYIELD_IF_USING_PREEMPTION();
MOVS	R6, #1
SXTB	R6, R6
MOVW	R5, #lo_addr(PENDSVSET_bit+0)
MOVT	R5, #hi_addr(PENDSVSET_bit+0)
_LX	[R5, ByteOffset(PENDSVSET_bit+0)]
BFI	R4, R6, BitPos(PENDSVSET_bit+0), #1
_SX	[R5, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,1299 :: 		}
IT	AL
BAL	L_xQueueGenericReceive151
L_xQueueGenericReceive150:
;queue.c,1303 :: 		}
L_xQueueGenericReceive151:
;queue.c,1304 :: 		}
IT	AL
BAL	L_xQueueGenericReceive152
L_xQueueGenericReceive149:
;queue.c,1308 :: 		}
L_xQueueGenericReceive152:
;queue.c,1309 :: 		}
IT	AL
BAL	L_xQueueGenericReceive153
L_xQueueGenericReceive146:
;queue.c,1316 :: 		pxQueue->u.pcReadFrom = pcOriginalReadPosition;
; pcOriginalReadPosition start address is: 32 (R8)
LDR	R4, [SP, #12]
ADDS	R4, #12
STR	R8, [R4, #0]
; pcOriginalReadPosition end address is: 32 (R8)
;queue.c,1320 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
LDR	R4, [SP, #12]
ADDS	R4, #36
LDR	R4, [R4, #0]
CMP	R4, #0
MOVW	R4, #0
BNE	L__xQueueGenericReceive320
MOVS	R4, #1
L__xQueueGenericReceive320:
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive154
;queue.c,1322 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
LDR	R4, [SP, #12]
ADDS	R4, #36
MOV	R0, R4
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericReceive155
;queue.c,1325 :: 		queueYIELD_IF_USING_PREEMPTION();
MOVS	R6, #1
SXTB	R6, R6
MOVW	R5, #lo_addr(PENDSVSET_bit+0)
MOVT	R5, #hi_addr(PENDSVSET_bit+0)
_LX	[R5, ByteOffset(PENDSVSET_bit+0)]
BFI	R4, R6, BitPos(PENDSVSET_bit+0), #1
_SX	[R5, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,1326 :: 		}
IT	AL
BAL	L_xQueueGenericReceive156
L_xQueueGenericReceive155:
;queue.c,1330 :: 		}
L_xQueueGenericReceive156:
;queue.c,1331 :: 		}
IT	AL
BAL	L_xQueueGenericReceive157
L_xQueueGenericReceive154:
;queue.c,1335 :: 		}
L_xQueueGenericReceive157:
;queue.c,1336 :: 		}
L_xQueueGenericReceive153:
;queue.c,1338 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1339 :: 		return pdPASS;
MOV	R0, #1
IT	AL
BAL	L_end_xQueueGenericReceive
;queue.c,1340 :: 		}
L_xQueueGenericReceive145:
;queue.c,1343 :: 		if( xTicksToWait == ( TickType_t ) 0 )
LDR	R4, [SP, #24]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive159
;queue.c,1347 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1349 :: 		return errQUEUE_EMPTY;
MOV	R0, #0
IT	AL
BAL	L_end_xQueueGenericReceive
;queue.c,1350 :: 		}
L_xQueueGenericReceive159:
;queue.c,1351 :: 		else if( xEntryTimeSet == pdFALSE )
LDR	R4, [SP, #16]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive161
;queue.c,1355 :: 		vTaskSetTimeOutState( &xTimeOut );
ADD	R4, SP, #4
MOV	R0, R4
BL	_vTaskSetTimeOutState+0
;queue.c,1356 :: 		xEntryTimeSet = pdTRUE;
MOV	R4, #1
STR	R4, [SP, #16]
;queue.c,1357 :: 		}
IT	AL
BAL	L_xQueueGenericReceive162
L_xQueueGenericReceive161:
;queue.c,1362 :: 		}
L_xQueueGenericReceive162:
;queue.c,1365 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1370 :: 		vTaskSuspendAll();
BL	_vTaskSuspendAll+0
;queue.c,1371 :: 		prvLockQueue( pxQueue );
BL	_vPortEnterCritical+0
LDR	R4, [SP, #12]
ADDS	R4, #68
LDRSB	R4, [R4, #0]
CMP	R4, #-1
IT	NE
BNE	L_xQueueGenericReceive163
LDR	R4, [SP, #12]
ADDW	R5, R4, #68
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [R5, #0]
L_xQueueGenericReceive163:
LDR	R4, [SP, #12]
ADDS	R4, #69
LDRSB	R4, [R4, #0]
CMP	R4, #-1
IT	NE
BNE	L_xQueueGenericReceive164
LDR	R4, [SP, #12]
ADDW	R5, R4, #69
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [R5, #0]
L_xQueueGenericReceive164:
BL	_vPortExitCritical+0
;queue.c,1374 :: 		if( xTaskCheckForTimeOut( &xTimeOut, &xTicksToWait ) == pdFALSE )
ADD	R5, SP, #24
ADD	R4, SP, #4
MOV	R1, R5
MOV	R0, R4
BL	_xTaskCheckForTimeOut+0
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericReceive165
;queue.c,1376 :: 		if( prvIsQueueEmpty( pxQueue ) != pdFALSE )
LDR	R0, [SP, #12]
BL	queue_prvIsQueueEmpty+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericReceive166
;queue.c,1382 :: 		if( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX )
LDR	R4, [SP, #12]
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_xQueueGenericReceive167
;queue.c,1384 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;queue.c,1386 :: 		vTaskPriorityInherit( ( void * ) pxQueue->pxMutexHolder );
LDR	R4, [SP, #12]
ADDS	R4, R4, #4
LDR	R0, [R4, #0]
BL	_vTaskPriorityInherit+0
;queue.c,1388 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1389 :: 		}
IT	AL
BAL	L_xQueueGenericReceive168
L_xQueueGenericReceive167:
;queue.c,1393 :: 		}
L_xQueueGenericReceive168:
;queue.c,1397 :: 		vTaskPlaceOnEventList( &( pxQueue->xTasksWaitingToReceive ), xTicksToWait );
LDR	R4, [SP, #12]
ADDS	R4, #36
LDR	R1, [SP, #24]
MOV	R0, R4
BL	_vTaskPlaceOnEventList+0
;queue.c,1398 :: 		prvUnlockQueue( pxQueue );
LDR	R0, [SP, #12]
BL	queue_prvUnlockQueue+0
;queue.c,1399 :: 		if( xTaskResumeAll() == pdFALSE )
BL	_xTaskResumeAll+0
CMP	R0, #0
IT	NE
BNE	L_xQueueGenericReceive169
;queue.c,1401 :: 		portYIELD_WITHIN_API();
MOVS	R6, #1
SXTB	R6, R6
MOVW	R5, #lo_addr(PENDSVSET_bit+0)
MOVT	R5, #hi_addr(PENDSVSET_bit+0)
_LX	[R5, ByteOffset(PENDSVSET_bit+0)]
BFI	R4, R6, BitPos(PENDSVSET_bit+0), #1
_SX	[R5, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;queue.c,1402 :: 		}
IT	AL
BAL	L_xQueueGenericReceive170
L_xQueueGenericReceive169:
;queue.c,1406 :: 		}
L_xQueueGenericReceive170:
;queue.c,1407 :: 		}
IT	AL
BAL	L_xQueueGenericReceive171
L_xQueueGenericReceive166:
;queue.c,1411 :: 		prvUnlockQueue( pxQueue );
LDR	R0, [SP, #12]
BL	queue_prvUnlockQueue+0
;queue.c,1412 :: 		( void ) xTaskResumeAll();
BL	_xTaskResumeAll+0
;queue.c,1413 :: 		}
L_xQueueGenericReceive171:
;queue.c,1414 :: 		}
IT	AL
BAL	L_xQueueGenericReceive172
L_xQueueGenericReceive165:
;queue.c,1417 :: 		prvUnlockQueue( pxQueue );
LDR	R0, [SP, #12]
BL	queue_prvUnlockQueue+0
;queue.c,1418 :: 		( void ) xTaskResumeAll();
BL	_xTaskResumeAll+0
;queue.c,1420 :: 		if( prvIsQueueEmpty( pxQueue ) != pdFALSE )
LDR	R0, [SP, #12]
BL	queue_prvIsQueueEmpty+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueGenericReceive173
;queue.c,1423 :: 		return errQUEUE_EMPTY;
MOV	R0, #0
IT	AL
BAL	L_end_xQueueGenericReceive
;queue.c,1424 :: 		}
L_xQueueGenericReceive173:
;queue.c,1429 :: 		}
L_xQueueGenericReceive172:
;queue.c,1430 :: 		}
IT	AL
BAL	L_xQueueGenericReceive142
;queue.c,1431 :: 		}
L_end_xQueueGenericReceive:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _xQueueGenericReceive
_xQueueReceiveFromISR:
;queue.c,1434 :: 		BaseType_t xQueueReceiveFromISR( QueueHandle_t xQueue, void * const pvBuffer, BaseType_t * const pxHigherPriorityTaskWoken )
; pxQueue start address is: 4 (R1)
; pvBuffer start address is: 4 (R1)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #24
STR	LR, [SP, #0]
;queue.c,1438 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,1434 :: 		BaseType_t xQueueReceiveFromISR( QueueHandle_t xQueue, void * const pvBuffer, BaseType_t * const pxHigherPriorityTaskWoken )
STR	R2, [SP, #20]
;queue.c,1438 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,1434 :: 		BaseType_t xQueueReceiveFromISR( QueueHandle_t xQueue, void * const pvBuffer, BaseType_t * const pxHigherPriorityTaskWoken )
MOV	R2, R1
; pxQueue end address is: 4 (R1)
; pvBuffer end address is: 4 (R1)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
; pvBuffer start address is: 8 (R2)
;queue.c,1438 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 4 (R1)
MOV	R1, R0
;queue.c,1440 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueReceiveFromISR175
; xQueue end address is: 0 (R0)
; pvBuffer end address is: 8 (R2)
; pxQueue end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueReceiveFromISR176:
IT	AL
BAL	L_xQueueReceiveFromISR176
L_xQueueReceiveFromISR175:
;queue.c,1441 :: 		configASSERT( !( ( pvBuffer == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
; pxQueue start address is: 4 (R1)
; pvBuffer start address is: 8 (R2)
CMP	R2, #0
IT	NE
BNE	L_xQueueReceiveFromISR179
ADDW	R3, R1, #64
LDR	R3, [R3, #0]
CMP	R3, #0
IT	EQ
BEQ	L_xQueueReceiveFromISR179
MOVS	R3, #1
IT	AL
BAL	L_xQueueReceiveFromISR178
L_xQueueReceiveFromISR179:
MOVS	R3, #0
L_xQueueReceiveFromISR178:
CMP	R3, #0
MOVW	R3, #0
BNE	L__xQueueReceiveFromISR322
MOVS	R3, #1
L__xQueueReceiveFromISR322:
UXTB	R3, R3
CMP	R3, #0
IT	NE
BNE	L_xQueueReceiveFromISR180
; pvBuffer end address is: 8 (R2)
; pxQueue end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueReceiveFromISR181:
IT	AL
BAL	L_xQueueReceiveFromISR181
L_xQueueReceiveFromISR180:
;queue.c,1457 :: 		portASSERT_IF_INTERRUPT_PRIORITY_INVALID();
; pxQueue start address is: 4 (R1)
; pvBuffer start address is: 8 (R2)
STR	R1, [SP, #4]
STR	R2, [SP, #8]
BL	_vPortValidateInterruptPriority+0
LDR	R2, [SP, #8]
;queue.c,1459 :: 		uxSavedInterruptStatus = portSET_INTERRUPT_MASK_FROM_ISR();
BL	queue_ulPortRaiseBASEPRI+0
LDR	R1, [SP, #4]
STR	R0, [SP, #16]
;queue.c,1461 :: 		const UBaseType_t uxMessagesWaiting = pxQueue->uxMessagesWaiting;
ADDW	R3, R1, #56
LDR	R3, [R3, #0]
; uxMessagesWaiting start address is: 28 (R7)
MOV	R7, R3
;queue.c,1464 :: 		if( uxMessagesWaiting > ( UBaseType_t ) 0 )
CMP	R3, #0
IT	LS
BLS	L_xQueueReceiveFromISR183
;queue.c,1466 :: 		const int8_t cRxLock = pxQueue->cRxLock;
ADDW	R3, R1, #68
LDRSB	R3, [R3, #0]
; cRxLock start address is: 32 (R8)
SXTB	R8, R3
;queue.c,1470 :: 		prvCopyDataFromQueue( pxQueue, pvBuffer );
STR	R1, [SP, #4]
; pvBuffer end address is: 8 (R2)
MOV	R0, R1
MOV	R1, R2
BL	queue_prvCopyDataFromQueue+0
LDR	R1, [SP, #4]
;queue.c,1471 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting - 1;
ADDW	R4, R1, #56
SUBS	R3, R7, #1
; uxMessagesWaiting end address is: 28 (R7)
STR	R3, [R4, #0]
;queue.c,1477 :: 		if( cRxLock == queueUNLOCKED )
CMP	R8, #-1
IT	NE
BNE	L_xQueueReceiveFromISR184
; cRxLock end address is: 32 (R8)
;queue.c,1479 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
ADDW	R3, R1, #16
LDR	R3, [R3, #0]
CMP	R3, #0
MOVW	R3, #0
BNE	L__xQueueReceiveFromISR323
MOVS	R3, #1
L__xQueueReceiveFromISR323:
CMP	R3, #0
IT	NE
BNE	L_xQueueReceiveFromISR185
;queue.c,1481 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
ADDW	R3, R1, #16
; pxQueue end address is: 4 (R1)
MOV	R0, R3
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_xQueueReceiveFromISR186
;queue.c,1485 :: 		if( pxHigherPriorityTaskWoken != NULL )
LDR	R3, [SP, #20]
CMP	R3, #0
IT	EQ
BEQ	L_xQueueReceiveFromISR187
;queue.c,1487 :: 		*pxHigherPriorityTaskWoken = pdTRUE;
MOV	R4, #1
LDR	R3, [SP, #20]
STR	R4, [R3, #0]
;queue.c,1488 :: 		}
IT	AL
BAL	L_xQueueReceiveFromISR188
L_xQueueReceiveFromISR187:
;queue.c,1492 :: 		}
L_xQueueReceiveFromISR188:
;queue.c,1493 :: 		}
IT	AL
BAL	L_xQueueReceiveFromISR189
L_xQueueReceiveFromISR186:
;queue.c,1497 :: 		}
L_xQueueReceiveFromISR189:
;queue.c,1498 :: 		}
IT	AL
BAL	L_xQueueReceiveFromISR190
L_xQueueReceiveFromISR185:
;queue.c,1502 :: 		}
L_xQueueReceiveFromISR190:
;queue.c,1503 :: 		}
IT	AL
BAL	L_xQueueReceiveFromISR191
L_xQueueReceiveFromISR184:
;queue.c,1508 :: 		pxQueue->cRxLock = ( int8_t ) ( cRxLock + 1 );
; cRxLock start address is: 32 (R8)
; pxQueue start address is: 4 (R1)
ADDW	R4, R1, #68
; pxQueue end address is: 4 (R1)
ADD	R3, R8, #1
; cRxLock end address is: 32 (R8)
SXTB	R3, R3
STRB	R3, [R4, #0]
;queue.c,1509 :: 		}
L_xQueueReceiveFromISR191:
;queue.c,1511 :: 		xReturn = pdPASS;
MOV	R3, #1
STR	R3, [SP, #12]
;queue.c,1512 :: 		}
IT	AL
BAL	L_xQueueReceiveFromISR192
L_xQueueReceiveFromISR183:
;queue.c,1515 :: 		xReturn = pdFAIL;
MOV	R3, #0
STR	R3, [SP, #12]
;queue.c,1517 :: 		}
L_xQueueReceiveFromISR192:
;queue.c,1519 :: 		portCLEAR_INTERRUPT_MASK_FROM_ISR( uxSavedInterruptStatus );
LDR	R0, [SP, #16]
BL	queue_vPortSetBASEPRI+0
;queue.c,1521 :: 		return xReturn;
LDR	R0, [SP, #12]
;queue.c,1522 :: 		}
L_end_xQueueReceiveFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of _xQueueReceiveFromISR
_xQueuePeekFromISR:
;queue.c,1525 :: 		BaseType_t xQueuePeekFromISR( QueueHandle_t xQueue,  void * const pvBuffer )
; pxQueue start address is: 4 (R1)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
;queue.c,1530 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,1525 :: 		BaseType_t xQueuePeekFromISR( QueueHandle_t xQueue,  void * const pvBuffer )
;queue.c,1530 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,1525 :: 		BaseType_t xQueuePeekFromISR( QueueHandle_t xQueue,  void * const pvBuffer )
STR	R1, [SP, #12]
; pxQueue end address is: 4 (R1)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1530 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 4 (R1)
MOV	R1, R0
;queue.c,1532 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueuePeekFromISR193
; xQueue end address is: 0 (R0)
; pxQueue end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueuePeekFromISR194:
IT	AL
BAL	L_xQueuePeekFromISR194
L_xQueuePeekFromISR193:
;queue.c,1533 :: 		configASSERT( !( ( pvBuffer == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
; pxQueue start address is: 4 (R1)
LDR	R2, [SP, #12]
CMP	R2, #0
IT	NE
BNE	L_xQueuePeekFromISR197
ADDW	R2, R1, #64
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L_xQueuePeekFromISR197
MOVS	R2, #1
IT	AL
BAL	L_xQueuePeekFromISR196
L_xQueuePeekFromISR197:
MOVS	R2, #0
L_xQueuePeekFromISR196:
CMP	R2, #0
MOVW	R2, #0
BNE	L__xQueuePeekFromISR325
MOVS	R2, #1
L__xQueuePeekFromISR325:
UXTB	R2, R2
CMP	R2, #0
IT	NE
BNE	L_xQueuePeekFromISR198
; pxQueue end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueuePeekFromISR199:
IT	AL
BAL	L_xQueuePeekFromISR199
L_xQueuePeekFromISR198:
;queue.c,1534 :: 		configASSERT( pxQueue->uxItemSize != 0 ); /* Can't peek a semaphore. */
; pxQueue start address is: 4 (R1)
ADDW	R2, R1, #64
LDR	R2, [R2, #0]
CMP	R2, #0
MOVW	R2, #0
BEQ	L__xQueuePeekFromISR326
MOVS	R2, #1
L__xQueuePeekFromISR326:
CMP	R2, #0
IT	NE
BNE	L_xQueuePeekFromISR201
; pxQueue end address is: 4 (R1)
BL	queue_vPortRaiseBASEPRI+0
L_xQueuePeekFromISR202:
IT	AL
BAL	L_xQueuePeekFromISR202
L_xQueuePeekFromISR201:
;queue.c,1550 :: 		portASSERT_IF_INTERRUPT_PRIORITY_INVALID();
; pxQueue start address is: 4 (R1)
STR	R1, [SP, #4]
BL	_vPortValidateInterruptPriority+0
;queue.c,1552 :: 		uxSavedInterruptStatus = portSET_INTERRUPT_MASK_FROM_ISR();
BL	queue_ulPortRaiseBASEPRI+0
LDR	R1, [SP, #4]
; uxSavedInterruptStatus start address is: 28 (R7)
MOV	R7, R0
;queue.c,1555 :: 		if( pxQueue->uxMessagesWaiting > ( UBaseType_t ) 0 )
ADDW	R2, R1, #56
LDR	R2, [R2, #0]
CMP	R2, #0
IT	LS
BLS	L_xQueuePeekFromISR204
;queue.c,1561 :: 		pcOriginalReadPosition = pxQueue->u.pcReadFrom;
ADDW	R2, R1, #12
LDR	R2, [R2, #0]
; pcOriginalReadPosition start address is: 32 (R8)
MOV	R8, R2
;queue.c,1562 :: 		prvCopyDataFromQueue( pxQueue, pvBuffer );
STR	R1, [SP, #4]
MOV	R0, R1
LDR	R1, [SP, #12]
BL	queue_prvCopyDataFromQueue+0
LDR	R1, [SP, #4]
;queue.c,1563 :: 		pxQueue->u.pcReadFrom = pcOriginalReadPosition;
ADDW	R2, R1, #12
; pxQueue end address is: 4 (R1)
STR	R8, [R2, #0]
; pcOriginalReadPosition end address is: 32 (R8)
;queue.c,1565 :: 		xReturn = pdPASS;
MOV	R2, #1
STR	R2, [SP, #8]
;queue.c,1566 :: 		}
IT	AL
BAL	L_xQueuePeekFromISR205
L_xQueuePeekFromISR204:
;queue.c,1569 :: 		xReturn = pdFAIL;
MOV	R2, #0
STR	R2, [SP, #8]
;queue.c,1571 :: 		}
L_xQueuePeekFromISR205:
;queue.c,1573 :: 		portCLEAR_INTERRUPT_MASK_FROM_ISR( uxSavedInterruptStatus );
MOV	R0, R7
; uxSavedInterruptStatus end address is: 28 (R7)
BL	queue_vPortSetBASEPRI+0
;queue.c,1575 :: 		return xReturn;
LDR	R0, [SP, #8]
;queue.c,1576 :: 		}
L_end_xQueuePeekFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _xQueuePeekFromISR
_uxQueueMessagesWaiting:
;queue.c,1579 :: 		UBaseType_t uxQueueMessagesWaiting( const QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1583 :: 		configASSERT( xQueue );
CMP	R0, #0
IT	NE
BNE	L_uxQueueMessagesWaiting206
; xQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_uxQueueMessagesWaiting207:
IT	AL
BAL	L_uxQueueMessagesWaiting207
L_uxQueueMessagesWaiting206:
;queue.c,1585 :: 		taskENTER_CRITICAL();
; xQueue start address is: 0 (R0)
STR	R0, [SP, #4]
BL	_vPortEnterCritical+0
LDR	R0, [SP, #4]
;queue.c,1587 :: 		uxReturn = ( ( Queue_t * ) xQueue )->uxMessagesWaiting;
ADDW	R1, R0, #56
; xQueue end address is: 0 (R0)
LDR	R1, [R1, #0]
STR	R1, [SP, #8]
;queue.c,1589 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1591 :: 		return uxReturn;
LDR	R0, [SP, #8]
;queue.c,1592 :: 		} /*lint !e818 Pointer cannot be declared const as xQueue is a typedef not pointer. */
L_end_uxQueueMessagesWaiting:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _uxQueueMessagesWaiting
_uxQueueSpacesAvailable:
;queue.c,1595 :: 		UBaseType_t uxQueueSpacesAvailable( const QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R1, R0
; xQueue end address is: 0 (R0)
; xQueue start address is: 4 (R1)
;queue.c,1600 :: 		pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 0 (R0)
MOV	R0, R1
;queue.c,1601 :: 		configASSERT( pxQueue );
CMP	R1, #0
IT	NE
BNE	L_uxQueueSpacesAvailable209
; xQueue end address is: 4 (R1)
; pxQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_uxQueueSpacesAvailable210:
IT	AL
BAL	L_uxQueueSpacesAvailable210
L_uxQueueSpacesAvailable209:
;queue.c,1603 :: 		taskENTER_CRITICAL();
; pxQueue start address is: 0 (R0)
STR	R0, [SP, #4]
BL	_vPortEnterCritical+0
LDR	R0, [SP, #4]
;queue.c,1605 :: 		uxReturn = pxQueue->uxLength - pxQueue->uxMessagesWaiting;
ADDW	R1, R0, #60
LDR	R2, [R1, #0]
ADDW	R1, R0, #56
; pxQueue end address is: 0 (R0)
LDR	R1, [R1, #0]
SUB	R1, R2, R1
STR	R1, [SP, #8]
;queue.c,1607 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1609 :: 		return uxReturn;
LDR	R0, [SP, #8]
;queue.c,1610 :: 		} /*lint !e818 Pointer cannot be declared const as xQueue is a typedef not pointer. */
L_end_uxQueueSpacesAvailable:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _uxQueueSpacesAvailable
_uxQueueMessagesWaitingFromISR:
;queue.c,1613 :: 		UBaseType_t uxQueueMessagesWaitingFromISR( const QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1617 :: 		configASSERT( xQueue );
CMP	R0, #0
IT	NE
BNE	L_uxQueueMessagesWaitingFromISR212
; xQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_uxQueueMessagesWaitingFromISR213:
IT	AL
BAL	L_uxQueueMessagesWaitingFromISR213
L_uxQueueMessagesWaitingFromISR212:
;queue.c,1619 :: 		uxReturn = ( ( Queue_t * ) xQueue )->uxMessagesWaiting;
; xQueue start address is: 0 (R0)
ADDW	R1, R0, #56
; xQueue end address is: 0 (R0)
LDR	R1, [R1, #0]
;queue.c,1621 :: 		return uxReturn;
MOV	R0, R1
;queue.c,1622 :: 		} /*lint !e818 Pointer cannot be declared const as xQueue is a typedef not pointer. */
L_end_uxQueueMessagesWaitingFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _uxQueueMessagesWaitingFromISR
_vQueueDelete:
;queue.c,1625 :: 		void vQueueDelete( QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1627 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 16 (R4)
MOV	R4, R0
;queue.c,1629 :: 		configASSERT( pxQueue );
CMP	R0, #0
IT	NE
BNE	L_vQueueDelete215
; xQueue end address is: 0 (R0)
; pxQueue end address is: 16 (R4)
BL	queue_vPortRaiseBASEPRI+0
L_vQueueDelete216:
IT	AL
BAL	L_vQueueDelete216
L_vQueueDelete215:
;queue.c,1634 :: 		vQueueUnregisterQueue( pxQueue );
; pxQueue start address is: 16 (R4)
MOV	R0, R4
BL	_vQueueUnregisterQueue+0
;queue.c,1642 :: 		vPortFree( pxQueue );
MOV	R0, R4
; pxQueue end address is: 16 (R4)
BL	_vPortFree+0
;queue.c,1664 :: 		}
L_end_vQueueDelete:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _vQueueDelete
queue_prvCopyDataToQueue:
;queue.c,1697 :: 		static BaseType_t prvCopyDataToQueue( Queue_t * const pxQueue, const void *pvItemToQueue, const BaseType_t xPosition )
; xPosition start address is: 8 (R2)
; pvItemToQueue start address is: 4 (R1)
; pxQueue start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
MOV	R7, R1
MOV	R1, R0
MOV	R6, R2
; xPosition end address is: 8 (R2)
; pvItemToQueue end address is: 4 (R1)
; pxQueue end address is: 0 (R0)
; pxQueue start address is: 4 (R1)
; pvItemToQueue start address is: 28 (R7)
; xPosition start address is: 24 (R6)
;queue.c,1699 :: 		BaseType_t xReturn = pdFALSE;
MOV	R3, #0
STR	R3, [SP, #12]
;queue.c,1704 :: 		uxMessagesWaiting = pxQueue->uxMessagesWaiting;
ADDW	R3, R1, #56
LDR	R3, [R3, #0]
STR	R3, [SP, #8]
;queue.c,1706 :: 		if( pxQueue->uxItemSize == ( UBaseType_t ) 0 )
ADDW	R3, R1, #64
LDR	R3, [R3, #0]
CMP	R3, #0
IT	NE
BNE	L_queue_prvCopyDataToQueue218
; pvItemToQueue end address is: 28 (R7)
; xPosition end address is: 24 (R6)
;queue.c,1710 :: 		if( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX )
LDR	R3, [R1, #0]
CMP	R3, #0
IT	NE
BNE	L_queue_prvCopyDataToQueue219
;queue.c,1713 :: 		xReturn = xTaskPriorityDisinherit( ( void * ) pxQueue->pxMutexHolder );
ADDS	R3, R1, #4
STR	R1, [SP, #4]
LDR	R0, [R3, #0]
BL	_xTaskPriorityDisinherit+0
LDR	R1, [SP, #4]
STR	R0, [SP, #12]
;queue.c,1714 :: 		pxQueue->pxMutexHolder = NULL;
ADDS	R4, R1, #4
MOVS	R3, #0
STR	R3, [R4, #0]
;queue.c,1715 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue220
L_queue_prvCopyDataToQueue219:
;queue.c,1719 :: 		}
L_queue_prvCopyDataToQueue220:
;queue.c,1722 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue221
L_queue_prvCopyDataToQueue218:
;queue.c,1723 :: 		else if( xPosition == queueSEND_TO_BACK )
; xPosition start address is: 24 (R6)
; pvItemToQueue start address is: 28 (R7)
CMP	R6, #0
IT	NE
BNE	L_queue_prvCopyDataToQueue222
; xPosition end address is: 24 (R6)
;queue.c,1725 :: 		( void ) memcpy( ( void * ) pxQueue->pcWriteTo, pvItemToQueue, ( size_t ) pxQueue->uxItemSize ); /*lint !e961 !e418 MISRA exception as the casts are only redundant for some ports, plus previous logic ensures a null pointer can only be passed to memcpy() if the copy size is 0. */
ADDW	R3, R1, #64
LDR	R4, [R3, #0]
ADDW	R3, R1, #8
LDR	R3, [R3, #0]
STR	R1, [SP, #4]
SXTH	R2, R4
MOV	R1, R7
; pvItemToQueue end address is: 28 (R7)
MOV	R0, R3
BL	_memcpy+0
LDR	R1, [SP, #4]
;queue.c,1726 :: 		pxQueue->pcWriteTo += pxQueue->uxItemSize;
ADDW	R5, R1, #8
ADDW	R3, R1, #64
LDR	R4, [R3, #0]
LDR	R3, [R5, #0]
ADDS	R3, R3, R4
STR	R3, [R5, #0]
;queue.c,1727 :: 		if( pxQueue->pcWriteTo >= pxQueue->pcTail ) /*lint !e946 MISRA exception justified as comparison of pointers is the cleanest solution. */
ADDW	R3, R1, #8
LDR	R4, [R3, #0]
ADDS	R3, R1, #4
LDR	R3, [R3, #0]
CMP	R4, R3
IT	CC
BCC	L_queue_prvCopyDataToQueue223
;queue.c,1729 :: 		pxQueue->pcWriteTo = pxQueue->pcHead;
ADDW	R4, R1, #8
LDR	R3, [R1, #0]
STR	R3, [R4, #0]
;queue.c,1730 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue224
L_queue_prvCopyDataToQueue223:
;queue.c,1734 :: 		}
L_queue_prvCopyDataToQueue224:
;queue.c,1735 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue225
L_queue_prvCopyDataToQueue222:
;queue.c,1738 :: 		( void ) memcpy( ( void * ) pxQueue->u.pcReadFrom, pvItemToQueue, ( size_t ) pxQueue->uxItemSize ); /*lint !e961 MISRA exception as the casts are only redundant for some ports. */
; xPosition start address is: 24 (R6)
; pvItemToQueue start address is: 28 (R7)
ADDW	R3, R1, #64
LDR	R4, [R3, #0]
ADDW	R3, R1, #12
LDR	R3, [R3, #0]
STR	R1, [SP, #4]
SXTH	R2, R4
MOV	R1, R7
; pvItemToQueue end address is: 28 (R7)
MOV	R0, R3
BL	_memcpy+0
LDR	R1, [SP, #4]
;queue.c,1739 :: 		pxQueue->u.pcReadFrom -= pxQueue->uxItemSize;
ADDW	R5, R1, #12
ADDW	R3, R1, #64
LDR	R4, [R3, #0]
LDR	R3, [R5, #0]
SUB	R3, R3, R4
STR	R3, [R5, #0]
;queue.c,1740 :: 		if( pxQueue->u.pcReadFrom < pxQueue->pcHead ) /*lint !e946 MISRA exception justified as comparison of pointers is the cleanest solution. */
ADDW	R3, R1, #12
LDR	R4, [R3, #0]
LDR	R3, [R1, #0]
CMP	R4, R3
IT	CS
BCS	L_queue_prvCopyDataToQueue226
;queue.c,1742 :: 		pxQueue->u.pcReadFrom = ( pxQueue->pcTail - pxQueue->uxItemSize );
ADDW	R5, R1, #12
ADDS	R3, R1, #4
LDR	R4, [R3, #0]
ADDW	R3, R1, #64
LDR	R3, [R3, #0]
SUB	R3, R4, R3
STR	R3, [R5, #0]
;queue.c,1743 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue227
L_queue_prvCopyDataToQueue226:
;queue.c,1747 :: 		}
L_queue_prvCopyDataToQueue227:
;queue.c,1749 :: 		if( xPosition == queueOVERWRITE )
CMP	R6, #2
IT	NE
BNE	L_queue_prvCopyDataToQueue228
; xPosition end address is: 24 (R6)
;queue.c,1751 :: 		if( uxMessagesWaiting > ( UBaseType_t ) 0 )
LDR	R3, [SP, #8]
CMP	R3, #0
IT	LS
BLS	L_queue_prvCopyDataToQueue229
;queue.c,1757 :: 		--uxMessagesWaiting;
LDR	R3, [SP, #8]
SUBS	R3, R3, #1
STR	R3, [SP, #8]
;queue.c,1758 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue230
L_queue_prvCopyDataToQueue229:
;queue.c,1762 :: 		}
L_queue_prvCopyDataToQueue230:
;queue.c,1763 :: 		}
IT	AL
BAL	L_queue_prvCopyDataToQueue231
L_queue_prvCopyDataToQueue228:
;queue.c,1767 :: 		}
L_queue_prvCopyDataToQueue231:
;queue.c,1768 :: 		}
L_queue_prvCopyDataToQueue225:
L_queue_prvCopyDataToQueue221:
;queue.c,1770 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting + 1;
ADDW	R4, R1, #56
; pxQueue end address is: 4 (R1)
LDR	R3, [SP, #8]
ADDS	R3, R3, #1
STR	R3, [R4, #0]
;queue.c,1772 :: 		return xReturn;
LDR	R0, [SP, #12]
;queue.c,1773 :: 		}
L_end_prvCopyDataToQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of queue_prvCopyDataToQueue
queue_prvCopyDataFromQueue:
;queue.c,1776 :: 		static void prvCopyDataFromQueue( Queue_t * const pxQueue, void * const pvBuffer )
; pvBuffer start address is: 4 (R1)
; pxQueue start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R0
; pvBuffer end address is: 4 (R1)
; pxQueue end address is: 0 (R0)
; pxQueue start address is: 24 (R6)
; pvBuffer start address is: 4 (R1)
;queue.c,1778 :: 		if( pxQueue->uxItemSize != ( UBaseType_t ) 0 )
ADDW	R2, R6, #64
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L_queue_prvCopyDataFromQueue232
;queue.c,1780 :: 		pxQueue->u.pcReadFrom += pxQueue->uxItemSize;
ADDW	R4, R6, #12
ADDW	R2, R6, #64
LDR	R3, [R2, #0]
LDR	R2, [R4, #0]
ADDS	R2, R2, R3
STR	R2, [R4, #0]
;queue.c,1781 :: 		if( pxQueue->u.pcReadFrom >= pxQueue->pcTail ) /*lint !e946 MISRA exception justified as use of the relational operator is the cleanest solutions. */
ADDW	R2, R6, #12
LDR	R3, [R2, #0]
ADDS	R2, R6, #4
LDR	R2, [R2, #0]
CMP	R3, R2
IT	CC
BCC	L_queue_prvCopyDataFromQueue233
;queue.c,1783 :: 		pxQueue->u.pcReadFrom = pxQueue->pcHead;
ADDW	R3, R6, #12
LDR	R2, [R6, #0]
STR	R2, [R3, #0]
;queue.c,1784 :: 		}
IT	AL
BAL	L_queue_prvCopyDataFromQueue234
L_queue_prvCopyDataFromQueue233:
;queue.c,1788 :: 		}
L_queue_prvCopyDataFromQueue234:
;queue.c,1789 :: 		( void ) memcpy( ( void * ) pvBuffer, ( void * ) pxQueue->u.pcReadFrom, ( size_t ) pxQueue->uxItemSize ); /*lint !e961 !e418 MISRA exception as the casts are only redundant for some ports.  Also previous logic ensures a null pointer can only be passed to memcpy() when the count is 0. */
ADDW	R2, R6, #64
LDR	R3, [R2, #0]
ADDW	R2, R6, #12
; pxQueue end address is: 24 (R6)
LDR	R2, [R2, #0]
MOV	R0, R1
MOV	R1, R2
SXTH	R2, R3
; pvBuffer end address is: 4 (R1)
BL	_memcpy+0
;queue.c,1790 :: 		}
L_queue_prvCopyDataFromQueue232:
;queue.c,1791 :: 		}
L_end_prvCopyDataFromQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of queue_prvCopyDataFromQueue
queue_prvUnlockQueue:
;queue.c,1794 :: 		static void prvUnlockQueue( Queue_t * const pxQueue )
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R0, [SP, #8]
;queue.c,1802 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;queue.c,1804 :: 		int8_t cTxLock = pxQueue->cTxLock;
LDR	R1, [SP, #8]
ADDS	R1, #69
LDRSB	R1, [R1, #0]
STRB	R1, [SP, #4]
;queue.c,1807 :: 		while( cTxLock > queueLOCKED_UNMODIFIED )
L_queue_prvUnlockQueue235:
LDRSB	R1, [SP, #4]
CMP	R1, #0
IT	LE
BLE	L_queue_prvUnlockQueue236
;queue.c,1855 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
LDR	R1, [SP, #8]
ADDS	R1, #36
LDR	R1, [R1, #0]
CMP	R1, #0
MOVW	R1, #0
BNE	L_queue_prvUnlockQueue334
MOVS	R1, #1
L_queue_prvUnlockQueue334:
CMP	R1, #0
IT	NE
BNE	L_queue_prvUnlockQueue237
;queue.c,1857 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
LDR	R1, [SP, #8]
ADDS	R1, #36
MOV	R0, R1
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_queue_prvUnlockQueue238
;queue.c,1861 :: 		vTaskMissedYield();
BL	_vTaskMissedYield+0
;queue.c,1862 :: 		}
IT	AL
BAL	L_queue_prvUnlockQueue239
L_queue_prvUnlockQueue238:
;queue.c,1866 :: 		}
L_queue_prvUnlockQueue239:
;queue.c,1867 :: 		}
IT	AL
BAL	L_queue_prvUnlockQueue240
L_queue_prvUnlockQueue237:
;queue.c,1870 :: 		break;
IT	AL
BAL	L_queue_prvUnlockQueue236
;queue.c,1871 :: 		}
L_queue_prvUnlockQueue240:
;queue.c,1875 :: 		--cTxLock;
LDRSB	R1, [SP, #4]
SUBS	R1, R1, #1
STRB	R1, [SP, #4]
;queue.c,1876 :: 		}
IT	AL
BAL	L_queue_prvUnlockQueue235
L_queue_prvUnlockQueue236:
;queue.c,1878 :: 		pxQueue->cTxLock = queueUNLOCKED;
LDR	R1, [SP, #8]
ADDW	R2, R1, #69
MOVS	R1, #-1
SXTB	R1, R1
STRB	R1, [R2, #0]
;queue.c,1880 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1883 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;queue.c,1885 :: 		int8_t cRxLock = pxQueue->cRxLock;
LDR	R1, [SP, #8]
ADDS	R1, #68
LDRSB	R1, [R1, #0]
STRB	R1, [SP, #5]
;queue.c,1887 :: 		while( cRxLock > queueLOCKED_UNMODIFIED )
L_queue_prvUnlockQueue241:
LDRSB	R1, [SP, #5]
CMP	R1, #0
IT	LE
BLE	L_queue_prvUnlockQueue242
;queue.c,1889 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
LDR	R1, [SP, #8]
ADDS	R1, #16
LDR	R1, [R1, #0]
CMP	R1, #0
MOVW	R1, #0
BNE	L_queue_prvUnlockQueue335
MOVS	R1, #1
L_queue_prvUnlockQueue335:
CMP	R1, #0
IT	NE
BNE	L_queue_prvUnlockQueue243
;queue.c,1891 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
LDR	R1, [SP, #8]
ADDS	R1, #16
MOV	R0, R1
BL	_xTaskRemoveFromEventList+0
CMP	R0, #0
IT	EQ
BEQ	L_queue_prvUnlockQueue244
;queue.c,1893 :: 		vTaskMissedYield();
BL	_vTaskMissedYield+0
;queue.c,1894 :: 		}
IT	AL
BAL	L_queue_prvUnlockQueue245
L_queue_prvUnlockQueue244:
;queue.c,1898 :: 		}
L_queue_prvUnlockQueue245:
;queue.c,1900 :: 		--cRxLock;
LDRSB	R1, [SP, #5]
SUBS	R1, R1, #1
STRB	R1, [SP, #5]
;queue.c,1901 :: 		}
IT	AL
BAL	L_queue_prvUnlockQueue246
L_queue_prvUnlockQueue243:
;queue.c,1904 :: 		break;
IT	AL
BAL	L_queue_prvUnlockQueue242
;queue.c,1905 :: 		}
L_queue_prvUnlockQueue246:
;queue.c,1906 :: 		}
IT	AL
BAL	L_queue_prvUnlockQueue241
L_queue_prvUnlockQueue242:
;queue.c,1908 :: 		pxQueue->cRxLock = queueUNLOCKED;
LDR	R1, [SP, #8]
ADDW	R2, R1, #68
MOVS	R1, #-1
SXTB	R1, R1
STRB	R1, [R2, #0]
;queue.c,1910 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1911 :: 		}
L_end_prvUnlockQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of queue_prvUnlockQueue
queue_prvIsQueueEmpty:
;queue.c,1914 :: 		static BaseType_t prvIsQueueEmpty( const Queue_t *pxQueue )
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R0, [SP, #8]
;queue.c,1918 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;queue.c,1920 :: 		if( pxQueue->uxMessagesWaiting == ( UBaseType_t )  0 )
LDR	R1, [SP, #8]
ADDS	R1, #56
LDR	R1, [R1, #0]
CMP	R1, #0
IT	NE
BNE	L_queue_prvIsQueueEmpty247
;queue.c,1922 :: 		xReturn = pdTRUE;
MOV	R1, #1
STR	R1, [SP, #4]
;queue.c,1923 :: 		}
IT	AL
BAL	L_queue_prvIsQueueEmpty248
L_queue_prvIsQueueEmpty247:
;queue.c,1926 :: 		xReturn = pdFALSE;
MOV	R1, #0
STR	R1, [SP, #4]
;queue.c,1927 :: 		}
L_queue_prvIsQueueEmpty248:
;queue.c,1929 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1931 :: 		return xReturn;
LDR	R0, [SP, #4]
;queue.c,1932 :: 		}
L_end_prvIsQueueEmpty:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of queue_prvIsQueueEmpty
_xQueueIsQueueEmptyFromISR:
;queue.c,1935 :: 		BaseType_t xQueueIsQueueEmptyFromISR( const QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1939 :: 		configASSERT( xQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueIsQueueEmptyFromISR249
; xQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueIsQueueEmptyFromISR250:
IT	AL
BAL	L_xQueueIsQueueEmptyFromISR250
L_xQueueIsQueueEmptyFromISR249:
;queue.c,1940 :: 		if( ( ( Queue_t * ) xQueue )->uxMessagesWaiting == ( UBaseType_t ) 0 )
; xQueue start address is: 0 (R0)
ADDW	R1, R0, #56
; xQueue end address is: 0 (R0)
LDR	R1, [R1, #0]
CMP	R1, #0
IT	NE
BNE	L_xQueueIsQueueEmptyFromISR252
;queue.c,1942 :: 		xReturn = pdTRUE;
; xReturn start address is: 0 (R0)
MOV	R0, #1
;queue.c,1943 :: 		}
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xQueueIsQueueEmptyFromISR253
L_xQueueIsQueueEmptyFromISR252:
;queue.c,1946 :: 		xReturn = pdFALSE;
; xReturn start address is: 0 (R0)
MOV	R0, #0
; xReturn end address is: 0 (R0)
;queue.c,1947 :: 		}
L_xQueueIsQueueEmptyFromISR253:
;queue.c,1949 :: 		return xReturn;
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
;queue.c,1950 :: 		} /*lint !e818 xQueue could not be pointer to const because it is a typedef. */
L_end_xQueueIsQueueEmptyFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _xQueueIsQueueEmptyFromISR
queue_prvIsQueueFull:
;queue.c,1953 :: 		static BaseType_t prvIsQueueFull( const Queue_t *pxQueue )
; pxQueue start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; pxQueue end address is: 0 (R0)
; pxQueue start address is: 0 (R0)
;queue.c,1957 :: 		taskENTER_CRITICAL();
STR	R0, [SP, #4]
BL	_vPortEnterCritical+0
LDR	R0, [SP, #4]
;queue.c,1959 :: 		if( pxQueue->uxMessagesWaiting == pxQueue->uxLength )
ADDW	R1, R0, #56
LDR	R2, [R1, #0]
ADDW	R1, R0, #60
; pxQueue end address is: 0 (R0)
LDR	R1, [R1, #0]
CMP	R2, R1
IT	NE
BNE	L_queue_prvIsQueueFull254
;queue.c,1961 :: 		xReturn = pdTRUE;
MOV	R1, #1
STR	R1, [SP, #8]
;queue.c,1962 :: 		}
IT	AL
BAL	L_queue_prvIsQueueFull255
L_queue_prvIsQueueFull254:
;queue.c,1965 :: 		xReturn = pdFALSE;
MOV	R1, #0
STR	R1, [SP, #8]
;queue.c,1966 :: 		}
L_queue_prvIsQueueFull255:
;queue.c,1968 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;queue.c,1970 :: 		return xReturn;
LDR	R0, [SP, #8]
;queue.c,1971 :: 		}
L_end_prvIsQueueFull:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of queue_prvIsQueueFull
_xQueueIsQueueFullFromISR:
;queue.c,1974 :: 		BaseType_t xQueueIsQueueFullFromISR( const QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,1978 :: 		configASSERT( xQueue );
CMP	R0, #0
IT	NE
BNE	L_xQueueIsQueueFullFromISR256
; xQueue end address is: 0 (R0)
BL	queue_vPortRaiseBASEPRI+0
L_xQueueIsQueueFullFromISR257:
IT	AL
BAL	L_xQueueIsQueueFullFromISR257
L_xQueueIsQueueFullFromISR256:
;queue.c,1979 :: 		if( ( ( Queue_t * ) xQueue )->uxMessagesWaiting == ( ( Queue_t * ) xQueue )->uxLength )
; xQueue start address is: 0 (R0)
ADDW	R1, R0, #56
LDR	R2, [R1, #0]
ADDW	R1, R0, #60
; xQueue end address is: 0 (R0)
LDR	R1, [R1, #0]
CMP	R2, R1
IT	NE
BNE	L_xQueueIsQueueFullFromISR259
;queue.c,1981 :: 		xReturn = pdTRUE;
; xReturn start address is: 0 (R0)
MOV	R0, #1
;queue.c,1982 :: 		}
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xQueueIsQueueFullFromISR260
L_xQueueIsQueueFullFromISR259:
;queue.c,1985 :: 		xReturn = pdFALSE;
; xReturn start address is: 0 (R0)
MOV	R0, #0
; xReturn end address is: 0 (R0)
;queue.c,1986 :: 		}
L_xQueueIsQueueFullFromISR260:
;queue.c,1988 :: 		return xReturn;
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
;queue.c,1989 :: 		} /*lint !e818 xQueue could not be pointer to const because it is a typedef. */
L_end_xQueueIsQueueFullFromISR:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _xQueueIsQueueFullFromISR
_vQueueAddToRegistry:
;queue.c,2269 :: 		void vQueueAddToRegistry( QueueHandle_t xQueue, const char *pcQueueName ) /*lint !e971 Unqualified char types are allowed for strings and single characters only. */
; pcQueueName start address is: 4 (R1)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #4
; pcQueueName end address is: 4 (R1)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
; pcQueueName start address is: 4 (R1)
;queue.c,2275 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
; ux start address is: 16 (R4)
MOV	R4, #0
; xQueue end address is: 0 (R0)
; pcQueueName end address is: 4 (R1)
; ux end address is: 16 (R4)
STR	R1, [SP, #0]
MOV	R1, R0
LDR	R0, [SP, #0]
L_vQueueAddToRegistry261:
; ux start address is: 16 (R4)
; xQueue start address is: 4 (R1)
; pcQueueName start address is: 0 (R0)
; pcQueueName start address is: 0 (R0)
; pcQueueName end address is: 0 (R0)
; xQueue start address is: 4 (R1)
; xQueue end address is: 4 (R1)
CMP	R4, #10
IT	CS
BCS	L_vQueueAddToRegistry262
; pcQueueName end address is: 0 (R0)
; xQueue end address is: 4 (R1)
;queue.c,2277 :: 		if( xQueueRegistry[ ux ].pcQueueName == NULL )
; xQueue start address is: 4 (R1)
; pcQueueName start address is: 0 (R0)
LSLS	R3, R4, #3
MOVW	R2, #lo_addr(_xQueueRegistry+0)
MOVT	R2, #hi_addr(_xQueueRegistry+0)
ADDS	R2, R2, R3
LDR	R2, [R2, #0]
CMP	R2, #0
IT	NE
BNE	L_vQueueAddToRegistry264
;queue.c,2280 :: 		xQueueRegistry[ ux ].pcQueueName = pcQueueName;
LSLS	R3, R4, #3
MOVW	R2, #lo_addr(_xQueueRegistry+0)
MOVT	R2, #hi_addr(_xQueueRegistry+0)
ADDS	R2, R2, R3
STR	R0, [R2, #0]
; pcQueueName end address is: 0 (R0)
;queue.c,2281 :: 		xQueueRegistry[ ux ].xHandle = xQueue;
LSLS	R3, R4, #3
; ux end address is: 16 (R4)
MOVW	R2, #lo_addr(_xQueueRegistry+0)
MOVT	R2, #hi_addr(_xQueueRegistry+0)
ADDS	R2, R2, R3
ADDS	R2, R2, #4
STR	R1, [R2, #0]
; xQueue end address is: 4 (R1)
;queue.c,2284 :: 		break;
IT	AL
BAL	L_vQueueAddToRegistry262
;queue.c,2285 :: 		}
L_vQueueAddToRegistry264:
;queue.c,2275 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
; ux start address is: 16 (R4)
; xQueue start address is: 4 (R1)
; pcQueueName start address is: 0 (R0)
ADDS	R4, R4, #1
;queue.c,2290 :: 		}
; pcQueueName end address is: 0 (R0)
; xQueue end address is: 4 (R1)
; ux end address is: 16 (R4)
IT	AL
BAL	L_vQueueAddToRegistry261
L_vQueueAddToRegistry262:
;queue.c,2291 :: 		}
L_end_vQueueAddToRegistry:
ADD	SP, SP, #4
BX	LR
; end of _vQueueAddToRegistry
_pcQueueGetName:
;queue.c,2298 :: 		const char *pcQueueGetName( QueueHandle_t xQueue ) /*lint !e971 Unqualified char types are allowed for strings and single characters only. */
; xQueue start address is: 0 (R0)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,2301 :: 		const char *pcReturn = NULL; /*lint !e971 Unqualified char types are allowed for strings and single characters only. */
; pcReturn start address is: 4 (R1)
MOV	R1, #0
;queue.c,2305 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
; ux start address is: 16 (R4)
MOV	R4, #0
; xQueue end address is: 0 (R0)
; pcReturn end address is: 4 (R1)
; ux end address is: 16 (R4)
MOV	R3, R0
MOV	R0, R1
L_pcQueueGetName266:
; ux start address is: 16 (R4)
; xQueue start address is: 12 (R3)
; pcReturn start address is: 0 (R0)
; xQueue start address is: 12 (R3)
; xQueue end address is: 12 (R3)
CMP	R4, #10
IT	CS
BCS	L__pcQueueGetName286
; xQueue end address is: 12 (R3)
;queue.c,2307 :: 		if( xQueueRegistry[ ux ].xHandle == xQueue )
; xQueue start address is: 12 (R3)
LSLS	R2, R4, #3
MOVW	R1, #lo_addr(_xQueueRegistry+0)
MOVT	R1, #hi_addr(_xQueueRegistry+0)
ADDS	R1, R1, R2
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
CMP	R1, R3
IT	NE
BNE	L_pcQueueGetName269
; xQueue end address is: 12 (R3)
; pcReturn end address is: 0 (R0)
;queue.c,2309 :: 		pcReturn = xQueueRegistry[ ux ].pcQueueName;
LSLS	R2, R4, #3
; ux end address is: 16 (R4)
MOVW	R1, #lo_addr(_xQueueRegistry+0)
MOVT	R1, #hi_addr(_xQueueRegistry+0)
ADDS	R1, R1, R2
LDR	R0, [R1, #0]
; pcReturn start address is: 0 (R0)
;queue.c,2310 :: 		break;
IT	AL
BAL	L_pcQueueGetName267
;queue.c,2311 :: 		}
L_pcQueueGetName269:
;queue.c,2305 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
; ux start address is: 16 (R4)
; xQueue start address is: 12 (R3)
ADDS	R4, R4, #1
;queue.c,2316 :: 		}
; xQueue end address is: 12 (R3)
; ux end address is: 16 (R4)
; pcReturn end address is: 0 (R0)
IT	AL
BAL	L_pcQueueGetName266
L__pcQueueGetName286:
;queue.c,2305 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
;queue.c,2316 :: 		}
L_pcQueueGetName267:
;queue.c,2318 :: 		return pcReturn;
; pcReturn start address is: 0 (R0)
; pcReturn end address is: 0 (R0)
;queue.c,2319 :: 		}
L_end_pcQueueGetName:
BX	LR
; end of _pcQueueGetName
_vQueueUnregisterQueue:
;queue.c,2326 :: 		void vQueueUnregisterQueue( QueueHandle_t xQueue )
; xQueue start address is: 0 (R0)
; xQueue end address is: 0 (R0)
; xQueue start address is: 0 (R0)
;queue.c,2332 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
; ux start address is: 12 (R3)
MOV	R3, #0
; ux end address is: 12 (R3)
L_vQueueUnregisterQueue271:
; ux start address is: 12 (R3)
; xQueue start address is: 0 (R0)
; xQueue end address is: 0 (R0)
CMP	R3, #10
IT	CS
BCS	L_vQueueUnregisterQueue272
; xQueue end address is: 0 (R0)
;queue.c,2334 :: 		if( xQueueRegistry[ ux ].xHandle == xQueue )
; xQueue start address is: 0 (R0)
LSLS	R2, R3, #3
MOVW	R1, #lo_addr(_xQueueRegistry+0)
MOVT	R1, #hi_addr(_xQueueRegistry+0)
ADDS	R1, R1, R2
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
CMP	R1, R0
IT	NE
BNE	L_vQueueUnregisterQueue274
; xQueue end address is: 0 (R0)
;queue.c,2337 :: 		xQueueRegistry[ ux ].pcQueueName = NULL;
LSLS	R2, R3, #3
MOVW	R1, #lo_addr(_xQueueRegistry+0)
MOVT	R1, #hi_addr(_xQueueRegistry+0)
ADDS	R2, R1, R2
MOVS	R1, #0
STR	R1, [R2, #0]
;queue.c,2342 :: 		xQueueRegistry[ ux ].xHandle = ( QueueHandle_t ) 0;
LSLS	R2, R3, #3
; ux end address is: 12 (R3)
MOVW	R1, #lo_addr(_xQueueRegistry+0)
MOVT	R1, #hi_addr(_xQueueRegistry+0)
ADDS	R1, R1, R2
ADDS	R2, R1, #4
MOVS	R1, #0
STR	R1, [R2, #0]
;queue.c,2343 :: 		break;
IT	AL
BAL	L_vQueueUnregisterQueue272
;queue.c,2344 :: 		}
L_vQueueUnregisterQueue274:
;queue.c,2332 :: 		for( ux = ( UBaseType_t ) 0U; ux < ( UBaseType_t ) configQUEUE_REGISTRY_SIZE; ux++ )
; ux start address is: 12 (R3)
; xQueue start address is: 0 (R0)
ADDS	R3, R3, #1
;queue.c,2349 :: 		}
; xQueue end address is: 0 (R0)
; ux end address is: 12 (R3)
IT	AL
BAL	L_vQueueUnregisterQueue271
L_vQueueUnregisterQueue272:
;queue.c,2351 :: 		} /*lint !e818 xQueue could not be pointer to const because it is a typedef. */
L_end_vQueueUnregisterQueue:
BX	LR
; end of _vQueueUnregisterQueue
_vQueueWaitForMessageRestricted:
;queue.c,2358 :: 		void vQueueWaitForMessageRestricted( QueueHandle_t xQueue, TickType_t xTicksToWait, const BaseType_t xWaitIndefinitely )
; pxQueue start address is: 0 (R0)
; xQueue start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
;queue.c,2360 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,2358 :: 		void vQueueWaitForMessageRestricted( QueueHandle_t xQueue, TickType_t xTicksToWait, const BaseType_t xWaitIndefinitely )
STR	R1, [SP, #8]
MOV	R1, R0
;queue.c,2360 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
;queue.c,2358 :: 		void vQueueWaitForMessageRestricted( QueueHandle_t xQueue, TickType_t xTicksToWait, const BaseType_t xWaitIndefinitely )
STR	R2, [SP, #12]
; pxQueue end address is: 0 (R0)
; xQueue end address is: 0 (R0)
; xQueue start address is: 4 (R1)
;queue.c,2360 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 0 (R0)
MOV	R0, R1
; xQueue end address is: 4 (R1)
;queue.c,2376 :: 		prvLockQueue( pxQueue );
STR	R0, [SP, #4]
BL	_vPortEnterCritical+0
LDR	R0, [SP, #4]
ADDW	R3, R0, #68
LDRSB	R3, [R3, #0]
CMP	R3, #-1
IT	NE
BNE	L_vQueueWaitForMessageRestricted276
ADDW	R4, R0, #68
MOVS	R3, #0
SXTB	R3, R3
STRB	R3, [R4, #0]
L_vQueueWaitForMessageRestricted276:
ADDW	R3, R0, #69
LDRSB	R3, [R3, #0]
CMP	R3, #-1
IT	NE
BNE	L_vQueueWaitForMessageRestricted277
ADDW	R4, R0, #69
MOVS	R3, #0
SXTB	R3, R3
STRB	R3, [R4, #0]
L_vQueueWaitForMessageRestricted277:
STR	R0, [SP, #4]
BL	_vPortExitCritical+0
LDR	R0, [SP, #4]
;queue.c,2377 :: 		if( pxQueue->uxMessagesWaiting == ( UBaseType_t ) 0U )
ADDW	R3, R0, #56
LDR	R3, [R3, #0]
CMP	R3, #0
IT	NE
BNE	L_vQueueWaitForMessageRestricted278
;queue.c,2380 :: 		vTaskPlaceOnEventListRestricted( &( pxQueue->xTasksWaitingToReceive ), xTicksToWait, xWaitIndefinitely );
ADDW	R3, R0, #36
STR	R0, [SP, #4]
LDR	R2, [SP, #12]
LDR	R1, [SP, #8]
MOV	R0, R3
BL	_vTaskPlaceOnEventListRestricted+0
LDR	R0, [SP, #4]
;queue.c,2381 :: 		}
IT	AL
BAL	L_vQueueWaitForMessageRestricted279
L_vQueueWaitForMessageRestricted278:
;queue.c,2385 :: 		}
L_vQueueWaitForMessageRestricted279:
;queue.c,2386 :: 		prvUnlockQueue( pxQueue );
; pxQueue end address is: 0 (R0)
BL	queue_prvUnlockQueue+0
;queue.c,2387 :: 		}
L_end_vQueueWaitForMessageRestricted:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _vQueueWaitForMessageRestricted
