timers_ucPortCountLeadingZeros:
;portmacro.h,183 :: 		static inline uint8_t ucPortCountLeadingZeros(uint32_t ulBitmap)
;portmacro.h,185 :: 		asm CLZ R0, R0;
CLZ	R0, R0
;portmacro.h,186 :: 		return R0;
UXTB	R0, R0
;portmacro.h,187 :: 		}
L_end_ucPortCountLeadingZeros:
BX	LR
; end of timers_ucPortCountLeadingZeros
timers_vPortRaiseBASEPRI:
;portmacro.h,229 :: 		portFORCE_INLINE static void vPortRaiseBASEPRI( void )
;portmacro.h,234 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,236 :: 		asm ISB;
ISB	#15
;portmacro.h,237 :: 		asm DSB;
DSB	#15
;portmacro.h,238 :: 		}
L_end_vPortRaiseBASEPRI:
BX	LR
; end of timers_vPortRaiseBASEPRI
timers_ulPortRaiseBASEPRI:
;portmacro.h,241 :: 		portFORCE_INLINE static uint32_t ulPortRaiseBASEPRI( void )
;portmacro.h,245 :: 		ulOriginalBASEPRI = CPU_REG_GET(CPU_BASEPRI);
MRS	R12, #17
MOV	R0, R12
; ulOriginalBASEPRI start address is: 4 (R1)
MOV	R1, R0
;portmacro.h,247 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,249 :: 		asm ISB;
ISB	#15
;portmacro.h,250 :: 		asm DSB;
DSB	#15
;portmacro.h,254 :: 		return ulOriginalBASEPRI;
MOV	R0, R1
; ulOriginalBASEPRI end address is: 4 (R1)
;portmacro.h,255 :: 		}
L_end_ulPortRaiseBASEPRI:
BX	LR
; end of timers_ulPortRaiseBASEPRI
timers_vPortSetBASEPRI:
;portmacro.h,258 :: 		portFORCE_INLINE static void vPortSetBASEPRI( uint32_t ulNewMaskValue )
; ulNewMaskValue start address is: 0 (R0)
; ulNewMaskValue end address is: 0 (R0)
; ulNewMaskValue start address is: 0 (R0)
;portmacro.h,260 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewMaskValue);
MOV	R1, R0
; ulNewMaskValue end address is: 0 (R0)
MOV	R12, R1
MSR	#17, R12
;portmacro.h,261 :: 		}
L_end_vPortSetBASEPRI:
BX	LR
; end of timers_vPortSetBASEPRI
_xTimerCreateTimerTask:
;timers.c,259 :: 		BaseType_t xTimerCreateTimerTask( void )
SUB	SP, SP, #8
STR	LR, [SP, #0]
;timers.c,261 :: 		BaseType_t xReturn = pdFAIL;
; xReturn start address is: 4 (R1)
MOV	R1, #0
;timers.c,267 :: 		prvCheckForValidListAndQueue();
STR	R1, [SP, #4]
BL	timers_prvCheckForValidListAndQueue+0
LDR	R1, [SP, #4]
;timers.c,269 :: 		if( xTimerQueue != NULL )
MOVW	R0, #lo_addr(timers_xTimerQueue+0)
MOVT	R0, #hi_addr(timers_xTimerQueue+0)
LDR	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_xTimerCreateTimerTask0
; xReturn end address is: 4 (R1)
;timers.c,298 :: 		&xTimerTaskHandle );
MOVW	R3, #lo_addr(timers_xTimerTaskHandle+0)
MOVT	R3, #hi_addr(timers_xTimerTaskHandle+0)
;timers.c,297 :: 		( ( UBaseType_t ) configTIMER_TASK_PRIORITY ) | portPRIVILEGE_BIT,
MOV	R2, #10
;timers.c,294 :: 		"Tmr Svc",
MOVW	R1, #lo_addr(?lstr_1_timers+0)
MOVT	R1, #hi_addr(?lstr_1_timers+0)
;timers.c,293 :: 		xReturn = xTaskCreate(	prvTimerTask,
MOVW	R0, #lo_addr(timers_prvTimerTask+0)
MOVT	R0, #hi_addr(timers_prvTimerTask+0)
;timers.c,298 :: 		&xTimerTaskHandle );
PUSH	(R3)
;timers.c,297 :: 		( ( UBaseType_t ) configTIMER_TASK_PRIORITY ) | portPRIVILEGE_BIT,
PUSH	(R2)
;timers.c,296 :: 		NULL,
MOVS	R3, #0
;timers.c,295 :: 		configTIMER_TASK_STACK_DEPTH,
MOVS	R2, #5
;timers.c,294 :: 		"Tmr Svc",
;timers.c,293 :: 		xReturn = xTaskCreate(	prvTimerTask,
;timers.c,298 :: 		&xTimerTaskHandle );
;timers.c,297 :: 		( ( UBaseType_t ) configTIMER_TASK_PRIORITY ) | portPRIVILEGE_BIT,
;timers.c,298 :: 		&xTimerTaskHandle );
BL	_xTaskCreate+0
ADD	SP, SP, #8
; xReturn start address is: 0 (R0)
;timers.c,301 :: 		}
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xTimerCreateTimerTask1
L_xTimerCreateTimerTask0:
;timers.c,305 :: 		}
; xReturn start address is: 4 (R1)
MOV	R0, R1
L_xTimerCreateTimerTask1:
; xReturn end address is: 4 (R1)
;timers.c,307 :: 		configASSERT( xReturn );
; xReturn start address is: 0 (R0)
CMP	R0, #0
IT	NE
BNE	L_xTimerCreateTimerTask2
; xReturn end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_xTimerCreateTimerTask3:
IT	AL
BAL	L_xTimerCreateTimerTask3
L_xTimerCreateTimerTask2:
;timers.c,308 :: 		return xReturn;
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
;timers.c,309 :: 		}
L_end_xTimerCreateTimerTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _xTimerCreateTimerTask
_xTimerCreate:
;timers.c,318 :: 		TimerCallbackFunction_t pxCallbackFunction ) /*lint !e971 Unqualified char types are allowed for strings and single characters only. */
SUB	SP, SP, #24
STR	LR, [SP, #0]
STR	R0, [SP, #8]
STR	R1, [SP, #12]
STR	R2, [SP, #16]
STR	R3, [SP, #20]
LDR	R4, [SP, #24]
STR	R4, [SP, #24]
;timers.c,322 :: 		pxNewTimer = ( Timer_t * ) pvPortMalloc( sizeof( Timer_t ) );
MOVS	R0, #40
BL	_pvPortMalloc+0
; pxNewTimer start address is: 4 (R1)
MOV	R1, R0
;timers.c,324 :: 		if( pxNewTimer != NULL )
CMP	R0, #0
IT	EQ
BEQ	L_xTimerCreate5
;timers.c,326 :: 		prvInitialiseNewTimer( pcTimerName, xTimerPeriodInTicks, uxAutoReload, pvTimerID, pxCallbackFunction, pxNewTimer );
MOV	R5, R1
LDR	R4, [SP, #24]
STR	R1, [SP, #4]
LDR	R3, [SP, #20]
LDR	R2, [SP, #16]
LDR	R1, [SP, #12]
LDR	R0, [SP, #8]
PUSH	(R5)
PUSH	(R4)
BL	timers_prvInitialiseNewTimer+0
ADD	SP, SP, #8
LDR	R1, [SP, #4]
;timers.c,336 :: 		}
L_xTimerCreate5:
;timers.c,338 :: 		return pxNewTimer;
MOV	R0, R1
; pxNewTimer end address is: 4 (R1)
;timers.c,339 :: 		}
L_end_xTimerCreate:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of _xTimerCreate
timers_prvInitialiseNewTimer:
;timers.c,393 :: 		Timer_t *pxNewTimer ) /*lint !e971 Unqualified char types are allowed for strings and single characters only. */
; xTimerPeriodInTicks start address is: 4 (R1)
SUB	SP, SP, #24
STR	LR, [SP, #0]
STR	R0, [SP, #12]
STR	R2, [SP, #16]
STR	R3, [SP, #20]
; xTimerPeriodInTicks end address is: 4 (R1)
; xTimerPeriodInTicks start address is: 4 (R1)
LDR	R4, [SP, #24]
STR	R4, [SP, #24]
; pxNewTimer start address is: 0 (R0)
LDR	R0, [SP, #28]
;timers.c,396 :: 		configASSERT( ( xTimerPeriodInTicks > 0 ) );
CMP	R1, #0
MOVW	R4, #0
BLS	L_timers_prvInitialiseNewTimer125
MOVS	R4, #1
L_timers_prvInitialiseNewTimer125:
CMP	R4, #0
IT	NE
BNE	L_timers_prvInitialiseNewTimer6
; xTimerPeriodInTicks end address is: 4 (R1)
; pxNewTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_timers_prvInitialiseNewTimer7:
IT	AL
BAL	L_timers_prvInitialiseNewTimer7
L_timers_prvInitialiseNewTimer6:
;timers.c,398 :: 		if( pxNewTimer != NULL )
; pxNewTimer start address is: 0 (R0)
; xTimerPeriodInTicks start address is: 4 (R1)
CMP	R0, #0
IT	EQ
BEQ	L_timers_prvInitialiseNewTimer9
;timers.c,402 :: 		prvCheckForValidListAndQueue();
STR	R0, [SP, #4]
STR	R1, [SP, #8]
BL	timers_prvCheckForValidListAndQueue+0
LDR	R1, [SP, #8]
LDR	R0, [SP, #4]
;timers.c,406 :: 		pxNewTimer->pcTimerName = pcTimerName;
LDR	R4, [SP, #12]
STR	R4, [R0, #0]
;timers.c,407 :: 		pxNewTimer->xTimerPeriodInTicks = xTimerPeriodInTicks;
ADDW	R4, R0, #24
STR	R1, [R4, #0]
; xTimerPeriodInTicks end address is: 4 (R1)
;timers.c,408 :: 		pxNewTimer->uxAutoReload = uxAutoReload;
ADDW	R5, R0, #28
LDR	R4, [SP, #16]
STR	R4, [R5, #0]
;timers.c,409 :: 		pxNewTimer->pvTimerID = pvTimerID;
ADDW	R5, R0, #32
LDR	R4, [SP, #20]
STR	R4, [R5, #0]
;timers.c,410 :: 		pxNewTimer->pxCallbackFunction = pxCallbackFunction;
ADDW	R5, R0, #36
LDR	R4, [SP, #24]
STR	R4, [R5, #0]
;timers.c,411 :: 		vListInitialiseItem( &( pxNewTimer->xTimerListItem ) );
ADDS	R4, R0, #4
; pxNewTimer end address is: 0 (R0)
MOV	R0, R4
BL	_vListInitialiseItem+0
;timers.c,413 :: 		}
L_timers_prvInitialiseNewTimer9:
;timers.c,414 :: 		}
L_end_prvInitialiseNewTimer:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of timers_prvInitialiseNewTimer
_xTimerGenericCommand:
;timers.c,417 :: 		BaseType_t xTimerGenericCommand( TimerHandle_t xTimer, const BaseType_t xCommandID, const TickType_t xOptionalValue, BaseType_t * const pxHigherPriorityTaskWoken, const TickType_t xTicksToWait )
; pxHigherPriorityTaskWoken start address is: 12 (R3)
; xOptionalValue start address is: 8 (R2)
; xCommandID start address is: 4 (R1)
; xTimer start address is: 0 (R0)
SUB	SP, SP, #20
STR	LR, [SP, #0]
MOV	R5, R2
MOV	R2, R1
; pxHigherPriorityTaskWoken end address is: 12 (R3)
; xOptionalValue end address is: 8 (R2)
; xCommandID end address is: 4 (R1)
; xTimer end address is: 0 (R0)
; xTimer start address is: 0 (R0)
; xCommandID start address is: 8 (R2)
; xOptionalValue start address is: 20 (R5)
; pxHigherPriorityTaskWoken start address is: 12 (R3)
; xTicksToWait start address is: 4 (R1)
LDR	R1, [SP, #20]
;timers.c,419 :: 		BaseType_t xReturn = pdFAIL;
; xReturn start address is: 24 (R6)
MOV	R6, #0
;timers.c,422 :: 		configASSERT( xTimer );
CMP	R0, #0
IT	NE
BNE	L_xTimerGenericCommand10
; xTimer end address is: 0 (R0)
; xCommandID end address is: 8 (R2)
; xOptionalValue end address is: 20 (R5)
; pxHigherPriorityTaskWoken end address is: 12 (R3)
; xTicksToWait end address is: 4 (R1)
; xReturn end address is: 24 (R6)
BL	timers_vPortRaiseBASEPRI+0
L_xTimerGenericCommand11:
IT	AL
BAL	L_xTimerGenericCommand11
L_xTimerGenericCommand10:
;timers.c,426 :: 		if( xTimerQueue != NULL )
; xReturn start address is: 24 (R6)
; xTicksToWait start address is: 4 (R1)
; pxHigherPriorityTaskWoken start address is: 12 (R3)
; xOptionalValue start address is: 20 (R5)
; xCommandID start address is: 8 (R2)
; xTimer start address is: 0 (R0)
MOVW	R4, #lo_addr(timers_xTimerQueue+0)
MOVT	R4, #hi_addr(timers_xTimerQueue+0)
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_xTimerGenericCommand13
; xReturn end address is: 24 (R6)
;timers.c,429 :: 		xMessage.xMessageID = xCommandID;
STR	R2, [SP, #8]
;timers.c,430 :: 		xMessage.u.xTimerParameters.xMessageValue = xOptionalValue;
STR	R5, [SP, #12]
; xOptionalValue end address is: 20 (R5)
;timers.c,431 :: 		xMessage.u.xTimerParameters.pxTimer = ( Timer_t * ) xTimer;
STR	R0, [SP, #16]
; xTimer end address is: 0 (R0)
;timers.c,433 :: 		if( xCommandID < tmrFIRST_FROM_ISR_COMMAND )
CMP	R2, #6
IT	GE
BGE	L_xTimerGenericCommand14
; xCommandID end address is: 8 (R2)
; pxHigherPriorityTaskWoken end address is: 12 (R3)
;timers.c,435 :: 		if( xTaskGetSchedulerState() == taskSCHEDULER_RUNNING )
STR	R1, [SP, #4]
BL	_xTaskGetSchedulerState+0
LDR	R1, [SP, #4]
CMP	R0, #2
IT	NE
BNE	L_xTimerGenericCommand15
;timers.c,437 :: 		xReturn = xQueueSendToBack( xTimerQueue, &xMessage, xTicksToWait );
ADD	R5, SP, #8
MOVW	R4, #lo_addr(timers_xTimerQueue+0)
MOVT	R4, #hi_addr(timers_xTimerQueue+0)
LDR	R4, [R4, #0]
MOV	R3, #0
MOV	R2, R1
; xTicksToWait end address is: 4 (R1)
MOV	R1, R5
MOV	R0, R4
BL	_xQueueGenericSend+0
; xReturn start address is: 0 (R0)
;timers.c,438 :: 		}
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xTimerGenericCommand16
L_xTimerGenericCommand15:
;timers.c,441 :: 		xReturn = xQueueSendToBack( xTimerQueue, &xMessage, tmrNO_DELAY );
ADD	R5, SP, #8
MOVW	R4, #lo_addr(timers_xTimerQueue+0)
MOVT	R4, #hi_addr(timers_xTimerQueue+0)
LDR	R4, [R4, #0]
MOV	R3, #0
MOV	R2, #0
MOV	R1, R5
MOV	R0, R4
BL	_xQueueGenericSend+0
; xReturn start address is: 4 (R1)
MOV	R1, R0
; xReturn end address is: 4 (R1)
MOV	R0, R1
;timers.c,442 :: 		}
L_xTimerGenericCommand16:
;timers.c,443 :: 		}
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xTimerGenericCommand17
L_xTimerGenericCommand14:
;timers.c,446 :: 		xReturn = xQueueSendToBackFromISR( xTimerQueue, &xMessage, pxHigherPriorityTaskWoken );
; pxHigherPriorityTaskWoken start address is: 12 (R3)
ADD	R5, SP, #8
MOVW	R4, #lo_addr(timers_xTimerQueue+0)
MOVT	R4, #hi_addr(timers_xTimerQueue+0)
LDR	R4, [R4, #0]
MOV	R2, R3
MOV	R3, #0
; pxHigherPriorityTaskWoken end address is: 12 (R3)
MOV	R1, R5
MOV	R0, R4
BL	_xQueueGenericSendFromISR+0
; xReturn start address is: 4 (R1)
MOV	R1, R0
; xReturn end address is: 4 (R1)
MOV	R0, R1
;timers.c,447 :: 		}
L_xTimerGenericCommand17:
;timers.c,450 :: 		}
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
IT	AL
BAL	L_xTimerGenericCommand18
L_xTimerGenericCommand13:
;timers.c,454 :: 		}
; xReturn start address is: 24 (R6)
MOV	R0, R6
L_xTimerGenericCommand18:
; xReturn end address is: 24 (R6)
;timers.c,456 :: 		return xReturn;
; xReturn start address is: 0 (R0)
; xReturn end address is: 0 (R0)
;timers.c,457 :: 		}
L_end_xTimerGenericCommand:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _xTimerGenericCommand
_xTimerGetTimerDaemonTaskHandle:
;timers.c,460 :: 		TaskHandle_t xTimerGetTimerDaemonTaskHandle( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;timers.c,464 :: 		configASSERT( ( xTimerTaskHandle != NULL ) );
MOVW	R0, #lo_addr(timers_xTimerTaskHandle+0)
MOVT	R0, #hi_addr(timers_xTimerTaskHandle+0)
LDR	R0, [R0, #0]
CMP	R0, #0
MOVW	R0, #0
BEQ	L__xTimerGetTimerDaemonTaskHandle128
MOVS	R0, #1
L__xTimerGetTimerDaemonTaskHandle128:
CMP	R0, #0
IT	NE
BNE	L_xTimerGetTimerDaemonTaskHandle19
BL	timers_vPortRaiseBASEPRI+0
L_xTimerGetTimerDaemonTaskHandle20:
IT	AL
BAL	L_xTimerGetTimerDaemonTaskHandle20
L_xTimerGetTimerDaemonTaskHandle19:
;timers.c,465 :: 		return xTimerTaskHandle;
MOVW	R0, #lo_addr(timers_xTimerTaskHandle+0)
MOVT	R0, #hi_addr(timers_xTimerTaskHandle+0)
LDR	R0, [R0, #0]
;timers.c,466 :: 		}
L_end_xTimerGetTimerDaemonTaskHandle:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _xTimerGetTimerDaemonTaskHandle
_xTimerGetPeriod:
;timers.c,469 :: 		TickType_t xTimerGetPeriod( TimerHandle_t xTimer )
; xTimer start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R1, R0
; xTimer end address is: 0 (R0)
; xTimer start address is: 4 (R1)
;timers.c,471 :: 		Timer_t *pxTimer = ( Timer_t * ) xTimer;
; pxTimer start address is: 0 (R0)
MOV	R0, R1
;timers.c,473 :: 		configASSERT( xTimer );
CMP	R1, #0
IT	NE
BNE	L_xTimerGetPeriod22
; xTimer end address is: 4 (R1)
; pxTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_xTimerGetPeriod23:
IT	AL
BAL	L_xTimerGetPeriod23
L_xTimerGetPeriod22:
;timers.c,474 :: 		return pxTimer->xTimerPeriodInTicks;
; pxTimer start address is: 0 (R0)
ADDW	R1, R0, #24
; pxTimer end address is: 0 (R0)
LDR	R1, [R1, #0]
MOV	R0, R1
;timers.c,475 :: 		}
L_end_xTimerGetPeriod:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _xTimerGetPeriod
_xTimerGetExpiryTime:
;timers.c,478 :: 		TickType_t xTimerGetExpiryTime( TimerHandle_t xTimer )
; xTimer start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R1, R0
; xTimer end address is: 0 (R0)
; xTimer start address is: 4 (R1)
;timers.c,480 :: 		Timer_t * pxTimer = ( Timer_t * ) xTimer;
; pxTimer start address is: 0 (R0)
MOV	R0, R1
;timers.c,483 :: 		configASSERT( xTimer );
CMP	R1, #0
IT	NE
BNE	L_xTimerGetExpiryTime25
; xTimer end address is: 4 (R1)
; pxTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_xTimerGetExpiryTime26:
IT	AL
BAL	L_xTimerGetExpiryTime26
L_xTimerGetExpiryTime25:
;timers.c,484 :: 		xReturn = listGET_LIST_ITEM_VALUE( &( pxTimer->xTimerListItem ) );
; pxTimer start address is: 0 (R0)
ADDS	R1, R0, #4
; pxTimer end address is: 0 (R0)
LDR	R1, [R1, #0]
;timers.c,485 :: 		return xReturn;
MOV	R0, R1
;timers.c,486 :: 		}
L_end_xTimerGetExpiryTime:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _xTimerGetExpiryTime
_pcTimerGetName:
;timers.c,489 :: 		const char * pcTimerGetName( TimerHandle_t xTimer ) /*lint !e971 Unqualified char types are allowed for strings and single characters only. */
; xTimer start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R1, R0
; xTimer end address is: 0 (R0)
; xTimer start address is: 4 (R1)
;timers.c,491 :: 		Timer_t *pxTimer = ( Timer_t * ) xTimer;
; pxTimer start address is: 0 (R0)
MOV	R0, R1
;timers.c,493 :: 		configASSERT( xTimer );
CMP	R1, #0
IT	NE
BNE	L_pcTimerGetName28
; xTimer end address is: 4 (R1)
; pxTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_pcTimerGetName29:
IT	AL
BAL	L_pcTimerGetName29
L_pcTimerGetName28:
;timers.c,494 :: 		return pxTimer->pcTimerName;
; pxTimer start address is: 0 (R0)
LDR	R1, [R0, #0]
; pxTimer end address is: 0 (R0)
MOV	R0, R1
;timers.c,495 :: 		}
L_end_pcTimerGetName:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _pcTimerGetName
timers_prvProcessExpiredTimer:
;timers.c,498 :: 		static void prvProcessExpiredTimer( const TickType_t xNextExpireTime, const TickType_t xTimeNow )
; xTimeNow start address is: 4 (R1)
; xNextExpireTime start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
; xTimeNow end address is: 4 (R1)
; xNextExpireTime end address is: 0 (R0)
; xNextExpireTime start address is: 4 (R1)
; xTimeNow start address is: 0 (R0)
;timers.c,501 :: 		Timer_t * const pxTimer = ( Timer_t * ) listGET_OWNER_OF_HEAD_ENTRY( pxCurrentTimerList );
MOVW	R2, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R2, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R2, [R2, #0]
ADDS	R2, #8
ADDS	R2, R2, #4
LDR	R2, [R2, #0]
ADDS	R2, #12
LDR	R2, [R2, #0]
; pxTimer start address is: 12 (R3)
MOV	R3, R2
;timers.c,505 :: 		( void ) uxListRemove( &( pxTimer->xTimerListItem ) );
ADDS	R2, R2, #4
STR	R3, [SP, #4]
STR	R0, [SP, #8]
STR	R1, [SP, #12]
MOV	R0, R2
BL	_uxListRemove+0
LDR	R1, [SP, #12]
LDR	R0, [SP, #8]
LDR	R3, [SP, #4]
;timers.c,510 :: 		if( pxTimer->uxAutoReload == ( UBaseType_t ) pdTRUE )
ADDW	R2, R3, #28
LDR	R2, [R2, #0]
CMP	R2, #1
IT	NE
BNE	L_timers_prvProcessExpiredTimer31
;timers.c,515 :: 		if( prvInsertTimerInActiveList( pxTimer, ( xNextExpireTime + pxTimer->xTimerPeriodInTicks ), xTimeNow, xNextExpireTime ) != pdFALSE )
ADDW	R2, R3, #24
LDR	R2, [R2, #0]
ADDS	R2, R1, R2
STR	R3, [SP, #4]
STR	R1, [SP, #8]
STR	R2, [SP, #12]
MOV	R2, R0
MOV	R0, R3
; xTimeNow end address is: 0 (R0)
MOV	R3, R1
LDR	R1, [SP, #12]
BL	timers_prvInsertTimerInActiveList+0
LDR	R1, [SP, #8]
LDR	R3, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_timers_prvProcessExpiredTimer32
;timers.c,519 :: 		xResult = xTimerGenericCommand( pxTimer, tmrCOMMAND_START_DONT_TRACE, xNextExpireTime, NULL, tmrNO_DELAY );
MOV	R2, #0
STR	R3, [SP, #4]
PUSH	(R2)
MOV	R2, R1
MOV	R1, #0
; xNextExpireTime end address is: 4 (R1)
MOV	R0, R3
MOVS	R3, #0
BL	_xTimerGenericCommand+0
ADD	SP, SP, #4
LDR	R3, [SP, #4]
;timers.c,520 :: 		configASSERT( xResult );
CMP	R0, #0
IT	NE
BNE	L_timers_prvProcessExpiredTimer33
; pxTimer end address is: 12 (R3)
BL	timers_vPortRaiseBASEPRI+0
L_timers_prvProcessExpiredTimer34:
IT	AL
BAL	L_timers_prvProcessExpiredTimer34
L_timers_prvProcessExpiredTimer33:
;timers.c,522 :: 		}
; pxTimer start address is: 12 (R3)
IT	AL
BAL	L_timers_prvProcessExpiredTimer36
L_timers_prvProcessExpiredTimer32:
;timers.c,526 :: 		}
L_timers_prvProcessExpiredTimer36:
;timers.c,527 :: 		}
IT	AL
BAL	L_timers_prvProcessExpiredTimer37
L_timers_prvProcessExpiredTimer31:
;timers.c,531 :: 		}
L_timers_prvProcessExpiredTimer37:
;timers.c,534 :: 		pxTimer->pxCallbackFunction( ( TimerHandle_t ) pxTimer );
ADDW	R2, R3, #36
LDR	R2, [R2, #0]
MOV	R0, R3
; pxTimer end address is: 12 (R3)
BLX	R2
;timers.c,535 :: 		}
L_end_prvProcessExpiredTimer:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of timers_prvProcessExpiredTimer
timers_prvTimerTask:
;timers.c,538 :: 		static void prvTimerTask( void *pvParameters )
SUB	SP, SP, #8
STR	LR, [SP, #0]
;timers.c,558 :: 		for( ;; )
L_timers_prvTimerTask38:
;timers.c,562 :: 		xNextExpireTime = prvGetNextExpireTime( &xListWasEmpty );
ADD	R1, SP, #4
MOV	R0, R1
BL	timers_prvGetNextExpireTime+0
;timers.c,566 :: 		prvProcessTimerOrBlockTask( xNextExpireTime, xListWasEmpty );
LDR	R1, [SP, #4]
BL	timers_prvProcessTimerOrBlockTask+0
;timers.c,569 :: 		prvProcessReceivedCommands();
BL	timers_prvProcessReceivedCommands+0
;timers.c,570 :: 		}
IT	AL
BAL	L_timers_prvTimerTask38
;timers.c,571 :: 		}
L_end_prvTimerTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of timers_prvTimerTask
timers_prvProcessTimerOrBlockTask:
;timers.c,574 :: 		static void prvProcessTimerOrBlockTask( const TickType_t xNextExpireTime, BaseType_t xListWasEmpty )
SUB	SP, SP, #20
STR	LR, [SP, #0]
STR	R0, [SP, #12]
STR	R1, [SP, #16]
;timers.c,579 :: 		vTaskSuspendAll();
BL	_vTaskSuspendAll+0
;timers.c,586 :: 		xTimeNow = prvSampleTimeNow( &xTimerListsWereSwitched );
ADD	R2, SP, #8
MOV	R0, R2
BL	timers_prvSampleTimeNow+0
; xTimeNow start address is: 0 (R0)
;timers.c,587 :: 		if( xTimerListsWereSwitched == pdFALSE )
LDR	R2, [SP, #8]
CMP	R2, #0
IT	NE
BNE	L_timers_prvProcessTimerOrBlockTask41
;timers.c,590 :: 		if( ( xListWasEmpty == pdFALSE ) && ( xNextExpireTime <= xTimeNow ) )
LDR	R2, [SP, #16]
CMP	R2, #0
IT	NE
BNE	L_timers_prvProcessTimerOrBlockTask117
LDR	R2, [SP, #12]
CMP	R2, R0
IT	HI
BHI	L_timers_prvProcessTimerOrBlockTask116
L_timers_prvProcessTimerOrBlockTask115:
;timers.c,592 :: 		( void ) xTaskResumeAll();
STR	R0, [SP, #4]
BL	_xTaskResumeAll+0
LDR	R0, [SP, #4]
;timers.c,593 :: 		prvProcessExpiredTimer( xNextExpireTime, xTimeNow );
MOV	R1, R0
; xTimeNow end address is: 0 (R0)
LDR	R0, [SP, #12]
BL	timers_prvProcessExpiredTimer+0
;timers.c,594 :: 		}
IT	AL
BAL	L_timers_prvProcessTimerOrBlockTask45
;timers.c,590 :: 		if( ( xListWasEmpty == pdFALSE ) && ( xNextExpireTime <= xTimeNow ) )
L_timers_prvProcessTimerOrBlockTask117:
; xTimeNow start address is: 0 (R0)
L_timers_prvProcessTimerOrBlockTask116:
;timers.c,603 :: 		if( xListWasEmpty != pdFALSE )
LDR	R2, [SP, #16]
CMP	R2, #0
IT	EQ
BEQ	L_timers_prvProcessTimerOrBlockTask46
;timers.c,607 :: 		xListWasEmpty = listLIST_IS_EMPTY( pxOverflowTimerList );
MOVW	R2, #lo_addr(timers_pxOverflowTimerList+0)
MOVT	R2, #hi_addr(timers_pxOverflowTimerList+0)
LDR	R2, [R2, #0]
LDR	R2, [R2, #0]
CMP	R2, #0
MOVW	R2, #0
BNE	L_timers_prvProcessTimerOrBlockTask135
MOVS	R2, #1
L_timers_prvProcessTimerOrBlockTask135:
STR	R2, [SP, #16]
;timers.c,608 :: 		}
L_timers_prvProcessTimerOrBlockTask46:
;timers.c,610 :: 		vQueueWaitForMessageRestricted( xTimerQueue, ( xNextExpireTime - xTimeNow ), xListWasEmpty );
LDR	R2, [SP, #12]
SUB	R3, R2, R0
; xTimeNow end address is: 0 (R0)
MOVW	R2, #lo_addr(timers_xTimerQueue+0)
MOVT	R2, #hi_addr(timers_xTimerQueue+0)
LDR	R2, [R2, #0]
MOV	R1, R3
MOV	R0, R2
LDR	R2, [SP, #16]
BL	_vQueueWaitForMessageRestricted+0
;timers.c,612 :: 		if( xTaskResumeAll() == pdFALSE )
BL	_xTaskResumeAll+0
CMP	R0, #0
IT	NE
BNE	L_timers_prvProcessTimerOrBlockTask47
;timers.c,618 :: 		portYIELD_WITHIN_API();
MOVS	R4, #1
SXTB	R4, R4
MOVW	R3, #lo_addr(PENDSVSET_bit+0)
MOVT	R3, #hi_addr(PENDSVSET_bit+0)
_LX	[R3, ByteOffset(PENDSVSET_bit+0)]
BFI	R2, R4, BitPos(PENDSVSET_bit+0), #1
_SX	[R3, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
;timers.c,619 :: 		}
IT	AL
BAL	L_timers_prvProcessTimerOrBlockTask48
L_timers_prvProcessTimerOrBlockTask47:
;timers.c,623 :: 		}
L_timers_prvProcessTimerOrBlockTask48:
;timers.c,624 :: 		}
L_timers_prvProcessTimerOrBlockTask45:
;timers.c,625 :: 		}
IT	AL
BAL	L_timers_prvProcessTimerOrBlockTask49
L_timers_prvProcessTimerOrBlockTask41:
;timers.c,628 :: 		( void ) xTaskResumeAll();
BL	_xTaskResumeAll+0
;timers.c,629 :: 		}
L_timers_prvProcessTimerOrBlockTask49:
;timers.c,631 :: 		}
L_end_prvProcessTimerOrBlockTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of timers_prvProcessTimerOrBlockTask
timers_prvGetNextExpireTime:
;timers.c,634 :: 		static TickType_t prvGetNextExpireTime( BaseType_t * const pxListWasEmpty )
; pxListWasEmpty start address is: 0 (R0)
; pxListWasEmpty end address is: 0 (R0)
; pxListWasEmpty start address is: 0 (R0)
;timers.c,645 :: 		*pxListWasEmpty = listLIST_IS_EMPTY( pxCurrentTimerList );
MOVW	R1, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R1, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R1, [R1, #0]
LDR	R1, [R1, #0]
CMP	R1, #0
MOVW	R1, #0
BNE	L_timers_prvGetNextExpireTime137
MOVS	R1, #1
L_timers_prvGetNextExpireTime137:
STR	R1, [R0, #0]
;timers.c,646 :: 		if( *pxListWasEmpty == pdFALSE )
LDR	R1, [R0, #0]
; pxListWasEmpty end address is: 0 (R0)
CMP	R1, #0
IT	NE
BNE	L_timers_prvGetNextExpireTime50
;timers.c,648 :: 		xNextExpireTime = listGET_ITEM_VALUE_OF_HEAD_ENTRY( pxCurrentTimerList );
MOVW	R1, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R1, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R1, [R1, #0]
ADDS	R1, #8
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
LDR	R0, [R1, #0]
; xNextExpireTime start address is: 0 (R0)
;timers.c,649 :: 		}
; xNextExpireTime end address is: 0 (R0)
IT	AL
BAL	L_timers_prvGetNextExpireTime51
L_timers_prvGetNextExpireTime50:
;timers.c,653 :: 		xNextExpireTime = ( TickType_t ) 0U;
; xNextExpireTime start address is: 0 (R0)
MOV	R0, #0
; xNextExpireTime end address is: 0 (R0)
;timers.c,654 :: 		}
L_timers_prvGetNextExpireTime51:
;timers.c,656 :: 		return xNextExpireTime;
; xNextExpireTime start address is: 0 (R0)
; xNextExpireTime end address is: 0 (R0)
;timers.c,657 :: 		}
L_end_prvGetNextExpireTime:
BX	LR
; end of timers_prvGetNextExpireTime
timers_prvSampleTimeNow:
;timers.c,660 :: 		static TickType_t prvSampleTimeNow( BaseType_t * const pxTimerListsWereSwitched )
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R0, [SP, #8]
;timers.c,665 :: 		xTimeNow = xTaskGetTickCount();
BL	_xTaskGetTickCount+0
; xTimeNow start address is: 12 (R3)
MOV	R3, R0
;timers.c,667 :: 		if( xTimeNow < xLastTime )
MOVW	R1, #lo_addr(timers_prvSampleTimeNow_xLastTime_L0+0)
MOVT	R1, #hi_addr(timers_prvSampleTimeNow_xLastTime_L0+0)
LDR	R1, [R1, #0]
CMP	R0, R1
IT	CS
BCS	L_timers_prvSampleTimeNow52
;timers.c,669 :: 		prvSwitchTimerLists();
STR	R3, [SP, #4]
BL	timers_prvSwitchTimerLists+0
LDR	R3, [SP, #4]
;timers.c,670 :: 		*pxTimerListsWereSwitched = pdTRUE;
MOV	R2, #1
LDR	R1, [SP, #8]
STR	R2, [R1, #0]
;timers.c,671 :: 		}
IT	AL
BAL	L_timers_prvSampleTimeNow53
L_timers_prvSampleTimeNow52:
;timers.c,674 :: 		*pxTimerListsWereSwitched = pdFALSE;
MOV	R2, #0
LDR	R1, [SP, #8]
STR	R2, [R1, #0]
;timers.c,675 :: 		}
L_timers_prvSampleTimeNow53:
;timers.c,677 :: 		xLastTime = xTimeNow;
MOVW	R1, #lo_addr(timers_prvSampleTimeNow_xLastTime_L0+0)
MOVT	R1, #hi_addr(timers_prvSampleTimeNow_xLastTime_L0+0)
STR	R3, [R1, #0]
;timers.c,679 :: 		return xTimeNow;
MOV	R0, R3
; xTimeNow end address is: 12 (R3)
;timers.c,680 :: 		}
L_end_prvSampleTimeNow:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of timers_prvSampleTimeNow
timers_prvInsertTimerInActiveList:
;timers.c,683 :: 		static BaseType_t prvInsertTimerInActiveList( Timer_t * const pxTimer, const TickType_t xNextExpiryTime, const TickType_t xTimeNow, const TickType_t xCommandTime )
; xCommandTime start address is: 12 (R3)
; xTimeNow start address is: 8 (R2)
; xNextExpiryTime start address is: 4 (R1)
; pxTimer start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; xCommandTime end address is: 12 (R3)
; xTimeNow end address is: 8 (R2)
; xNextExpiryTime end address is: 4 (R1)
; pxTimer end address is: 0 (R0)
; pxTimer start address is: 0 (R0)
; xNextExpiryTime start address is: 4 (R1)
; xTimeNow start address is: 8 (R2)
; xCommandTime start address is: 12 (R3)
;timers.c,685 :: 		BaseType_t xProcessTimerNow = pdFALSE;
MOV	R4, #0
STR	R4, [SP, #4]
;timers.c,687 :: 		listSET_LIST_ITEM_VALUE( &( pxTimer->xTimerListItem ), xNextExpiryTime );
ADDS	R4, R0, #4
STR	R1, [R4, #0]
;timers.c,688 :: 		listSET_LIST_ITEM_OWNER( &( pxTimer->xTimerListItem ), pxTimer );
ADDS	R4, R0, #4
ADDS	R4, #12
STR	R0, [R4, #0]
;timers.c,690 :: 		if( xNextExpiryTime <= xTimeNow )
CMP	R1, R2
IT	HI
BHI	L_timers_prvInsertTimerInActiveList54
; xNextExpiryTime end address is: 4 (R1)
;timers.c,694 :: 		if( ( ( TickType_t ) ( xTimeNow - xCommandTime ) ) >= pxTimer->xTimerPeriodInTicks ) /*lint !e961 MISRA exception as the casts are only redundant for some ports. */
SUB	R5, R2, R3
; xTimeNow end address is: 8 (R2)
; xCommandTime end address is: 12 (R3)
ADDW	R4, R0, #24
LDR	R4, [R4, #0]
CMP	R5, R4
IT	CC
BCC	L_timers_prvInsertTimerInActiveList55
; pxTimer end address is: 0 (R0)
;timers.c,698 :: 		xProcessTimerNow = pdTRUE;
MOV	R4, #1
STR	R4, [SP, #4]
;timers.c,699 :: 		}
IT	AL
BAL	L_timers_prvInsertTimerInActiveList56
L_timers_prvInsertTimerInActiveList55:
;timers.c,702 :: 		vListInsert( pxOverflowTimerList, &( pxTimer->xTimerListItem ) );
; pxTimer start address is: 0 (R0)
ADDS	R5, R0, #4
; pxTimer end address is: 0 (R0)
MOVW	R4, #lo_addr(timers_pxOverflowTimerList+0)
MOVT	R4, #hi_addr(timers_pxOverflowTimerList+0)
LDR	R4, [R4, #0]
MOV	R1, R5
MOV	R0, R4
BL	_vListInsert+0
;timers.c,703 :: 		}
L_timers_prvInsertTimerInActiveList56:
;timers.c,704 :: 		}
IT	AL
BAL	L_timers_prvInsertTimerInActiveList57
L_timers_prvInsertTimerInActiveList54:
;timers.c,707 :: 		if( ( xTimeNow < xCommandTime ) && ( xNextExpiryTime >= xCommandTime ) )
; xCommandTime start address is: 12 (R3)
; xTimeNow start address is: 8 (R2)
; xNextExpiryTime start address is: 4 (R1)
; pxTimer start address is: 0 (R0)
CMP	R2, R3
IT	CS
BCS	L_timers_prvInsertTimerInActiveList114
; xTimeNow end address is: 8 (R2)
CMP	R1, R3
IT	CC
BCC	L_timers_prvInsertTimerInActiveList113
; pxTimer end address is: 0 (R0)
; xNextExpiryTime end address is: 4 (R1)
; xCommandTime end address is: 12 (R3)
L_timers_prvInsertTimerInActiveList112:
;timers.c,712 :: 		xProcessTimerNow = pdTRUE;
MOV	R4, #1
STR	R4, [SP, #4]
;timers.c,713 :: 		}
IT	AL
BAL	L_timers_prvInsertTimerInActiveList61
;timers.c,707 :: 		if( ( xTimeNow < xCommandTime ) && ( xNextExpiryTime >= xCommandTime ) )
L_timers_prvInsertTimerInActiveList114:
; pxTimer start address is: 0 (R0)
L_timers_prvInsertTimerInActiveList113:
;timers.c,716 :: 		vListInsert( pxCurrentTimerList, &( pxTimer->xTimerListItem ) );
ADDS	R5, R0, #4
; pxTimer end address is: 0 (R0)
MOVW	R4, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R4, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R4, [R4, #0]
MOV	R1, R5
MOV	R0, R4
BL	_vListInsert+0
;timers.c,717 :: 		}
L_timers_prvInsertTimerInActiveList61:
;timers.c,718 :: 		}
L_timers_prvInsertTimerInActiveList57:
;timers.c,720 :: 		return xProcessTimerNow;
LDR	R0, [SP, #4]
;timers.c,721 :: 		}
L_end_prvInsertTimerInActiveList:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of timers_prvInsertTimerInActiveList
timers_prvProcessReceivedCommands:
;timers.c,724 :: 		static void	prvProcessReceivedCommands( void )
SUB	SP, SP, #32
STR	LR, [SP, #0]
;timers.c,731 :: 		while( xQueueReceive( xTimerQueue, &xMessage, tmrNO_DELAY ) != pdFAIL ) /*lint !e603 xMessage does not have to be initialised as it is passed out, not in, and it is not used unless xQueueReceive() returns pdTRUE. */
L_timers_prvProcessReceivedCommands62:
ADD	R1, SP, #8
MOVW	R0, #lo_addr(timers_xTimerQueue+0)
MOVT	R0, #hi_addr(timers_xTimerQueue+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #0
BL	_xQueueGenericReceive+0
CMP	R0, #0
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands63
;timers.c,757 :: 		if( xMessage.xMessageID >= ( BaseType_t ) 0 )
LDR	R0, [SP, #8]
CMP	R0, #0
IT	LT
BLT	L_timers_prvProcessReceivedCommands64
;timers.c,761 :: 		pxTimer = xMessage.u.xTimerParameters.pxTimer;
LDR	R0, [SP, #16]
STR	R0, [SP, #20]
;timers.c,763 :: 		if( listIS_CONTAINED_WITHIN( NULL, &( pxTimer->xTimerListItem ) ) == pdFALSE )
LDR	R0, [SP, #16]
ADDS	R0, R0, #4
ADDS	R0, #16
LDR	R0, [R0, #0]
CMP	R0, #0
MOVW	R0, #0
BNE	L_timers_prvProcessReceivedCommands141
MOVS	R0, #1
L_timers_prvProcessReceivedCommands141:
CMP	R0, #0
IT	NE
BNE	L_timers_prvProcessReceivedCommands65
;timers.c,766 :: 		( void ) uxListRemove( &( pxTimer->xTimerListItem ) );
LDR	R0, [SP, #20]
ADDS	R0, R0, #4
BL	_uxListRemove+0
;timers.c,767 :: 		}
IT	AL
BAL	L_timers_prvProcessReceivedCommands66
L_timers_prvProcessReceivedCommands65:
;timers.c,771 :: 		}
L_timers_prvProcessReceivedCommands66:
;timers.c,781 :: 		xTimeNow = prvSampleTimeNow( &xTimerListsWereSwitched );
ADD	R0, SP, #24
BL	timers_prvSampleTimeNow+0
STR	R0, [SP, #28]
;timers.c,783 :: 		switch( xMessage.xMessageID )
IT	AL
BAL	L_timers_prvProcessReceivedCommands67
;timers.c,785 :: 		case tmrCOMMAND_START :
L_timers_prvProcessReceivedCommands69:
;timers.c,786 :: 		case tmrCOMMAND_START_FROM_ISR :
L_timers_prvProcessReceivedCommands70:
;timers.c,787 :: 		case tmrCOMMAND_RESET :
L_timers_prvProcessReceivedCommands71:
;timers.c,788 :: 		case tmrCOMMAND_RESET_FROM_ISR :
L_timers_prvProcessReceivedCommands72:
;timers.c,789 :: 		case tmrCOMMAND_START_DONT_TRACE :
L_timers_prvProcessReceivedCommands73:
;timers.c,791 :: 		if( prvInsertTimerInActiveList( pxTimer,  xMessage.u.xTimerParameters.xMessageValue + pxTimer->xTimerPeriodInTicks, xTimeNow, xMessage.u.xTimerParameters.xMessageValue ) != pdFALSE )
LDR	R0, [SP, #20]
ADDS	R0, #24
LDR	R1, [R0, #0]
LDR	R0, [SP, #12]
ADDS	R0, R0, R1
LDR	R3, [SP, #12]
LDR	R2, [SP, #28]
MOV	R1, R0
LDR	R0, [SP, #20]
BL	timers_prvInsertTimerInActiveList+0
CMP	R0, #0
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands74
;timers.c,795 :: 		pxTimer->pxCallbackFunction( ( TimerHandle_t ) pxTimer );
LDR	R0, [SP, #20]
ADDS	R0, #36
LDR	R0, [R0, #0]
STR	R0, [SP, #4]
LDR	R0, [SP, #20]
LDR	R12, [SP, #4]
BLX	R12
;timers.c,798 :: 		if( pxTimer->uxAutoReload == ( UBaseType_t ) pdTRUE )
LDR	R0, [SP, #20]
ADDS	R0, #28
LDR	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_timers_prvProcessReceivedCommands75
;timers.c,800 :: 		xResult = xTimerGenericCommand( pxTimer, tmrCOMMAND_START_DONT_TRACE, xMessage.u.xTimerParameters.xMessageValue + pxTimer->xTimerPeriodInTicks, NULL, tmrNO_DELAY );
MOV	R2, #0
LDR	R0, [SP, #20]
ADDS	R0, #24
LDR	R1, [R0, #0]
LDR	R0, [SP, #12]
ADDS	R0, R0, R1
PUSH	(R2)
MOVS	R3, #0
MOV	R2, R0
MOV	R1, #0
LDR	R0, [SP, #24]
BL	_xTimerGenericCommand+0
ADD	SP, SP, #4
;timers.c,801 :: 		configASSERT( xResult );
CMP	R0, #0
IT	NE
BNE	L_timers_prvProcessReceivedCommands76
BL	timers_vPortRaiseBASEPRI+0
L_timers_prvProcessReceivedCommands77:
IT	AL
BAL	L_timers_prvProcessReceivedCommands77
L_timers_prvProcessReceivedCommands76:
;timers.c,803 :: 		}
IT	AL
BAL	L_timers_prvProcessReceivedCommands79
L_timers_prvProcessReceivedCommands75:
;timers.c,807 :: 		}
L_timers_prvProcessReceivedCommands79:
;timers.c,808 :: 		}
IT	AL
BAL	L_timers_prvProcessReceivedCommands80
L_timers_prvProcessReceivedCommands74:
;timers.c,812 :: 		}
L_timers_prvProcessReceivedCommands80:
;timers.c,813 :: 		break;
IT	AL
BAL	L_timers_prvProcessReceivedCommands68
;timers.c,815 :: 		case tmrCOMMAND_STOP :
L_timers_prvProcessReceivedCommands81:
;timers.c,816 :: 		case tmrCOMMAND_STOP_FROM_ISR :
L_timers_prvProcessReceivedCommands82:
;timers.c,819 :: 		break;
IT	AL
BAL	L_timers_prvProcessReceivedCommands68
;timers.c,821 :: 		case tmrCOMMAND_CHANGE_PERIOD :
L_timers_prvProcessReceivedCommands83:
;timers.c,822 :: 		case tmrCOMMAND_CHANGE_PERIOD_FROM_ISR :
L_timers_prvProcessReceivedCommands84:
;timers.c,823 :: 		pxTimer->xTimerPeriodInTicks = xMessage.u.xTimerParameters.xMessageValue;
LDR	R0, [SP, #20]
ADDW	R1, R0, #24
LDR	R0, [SP, #12]
STR	R0, [R1, #0]
;timers.c,824 :: 		configASSERT( ( pxTimer->xTimerPeriodInTicks > 0 ) );
LDR	R0, [SP, #20]
ADDS	R0, #24
LDR	R0, [R0, #0]
CMP	R0, #0
MOVW	R0, #0
BLS	L_timers_prvProcessReceivedCommands142
MOVS	R0, #1
L_timers_prvProcessReceivedCommands142:
CMP	R0, #0
IT	NE
BNE	L_timers_prvProcessReceivedCommands85
BL	timers_vPortRaiseBASEPRI+0
L_timers_prvProcessReceivedCommands86:
IT	AL
BAL	L_timers_prvProcessReceivedCommands86
L_timers_prvProcessReceivedCommands85:
;timers.c,832 :: 		( void ) prvInsertTimerInActiveList( pxTimer, ( xTimeNow + pxTimer->xTimerPeriodInTicks ), xTimeNow, xTimeNow );
LDR	R0, [SP, #20]
ADDS	R0, #24
LDR	R1, [R0, #0]
LDR	R0, [SP, #28]
ADDS	R0, R0, R1
LDR	R3, [SP, #28]
LDR	R2, [SP, #28]
MOV	R1, R0
LDR	R0, [SP, #20]
BL	timers_prvInsertTimerInActiveList+0
;timers.c,833 :: 		break;
IT	AL
BAL	L_timers_prvProcessReceivedCommands68
;timers.c,835 :: 		case tmrCOMMAND_DELETE :
L_timers_prvProcessReceivedCommands88:
;timers.c,843 :: 		vPortFree( pxTimer );
LDR	R0, [SP, #20]
BL	_vPortFree+0
;timers.c,860 :: 		break;
IT	AL
BAL	L_timers_prvProcessReceivedCommands68
;timers.c,862 :: 		default	:
L_timers_prvProcessReceivedCommands89:
;timers.c,864 :: 		break;
IT	AL
BAL	L_timers_prvProcessReceivedCommands68
;timers.c,865 :: 		}
L_timers_prvProcessReceivedCommands67:
LDR	R0, [SP, #8]
CMP	R0, #1
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands69
LDR	R0, [SP, #8]
CMP	R0, #6
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands70
LDR	R0, [SP, #8]
CMP	R0, #2
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands71
LDR	R0, [SP, #8]
CMP	R0, #7
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands72
LDR	R0, [SP, #8]
CMP	R0, #0
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands73
LDR	R0, [SP, #8]
CMP	R0, #3
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands81
LDR	R0, [SP, #8]
CMP	R0, #8
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands82
LDR	R0, [SP, #8]
CMP	R0, #4
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands83
LDR	R0, [SP, #8]
CMP	R0, #9
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands84
LDR	R0, [SP, #8]
CMP	R0, #5
IT	EQ
BEQ	L_timers_prvProcessReceivedCommands88
IT	AL
BAL	L_timers_prvProcessReceivedCommands89
L_timers_prvProcessReceivedCommands68:
;timers.c,866 :: 		}
L_timers_prvProcessReceivedCommands64:
;timers.c,867 :: 		}
IT	AL
BAL	L_timers_prvProcessReceivedCommands62
L_timers_prvProcessReceivedCommands63:
;timers.c,868 :: 		}
L_end_prvProcessReceivedCommands:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of timers_prvProcessReceivedCommands
timers_prvSwitchTimerLists:
;timers.c,871 :: 		static void prvSwitchTimerLists( void )
SUB	SP, SP, #20
STR	LR, [SP, #0]
;timers.c,882 :: 		while( listLIST_IS_EMPTY( pxCurrentTimerList ) == pdFALSE )
L_timers_prvSwitchTimerLists90:
MOVW	R0, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R0, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R0, [R0, #0]
LDR	R0, [R0, #0]
CMP	R0, #0
MOVW	R0, #0
BNE	L_timers_prvSwitchTimerLists144
MOVS	R0, #1
L_timers_prvSwitchTimerLists144:
CMP	R0, #0
IT	NE
BNE	L_timers_prvSwitchTimerLists91
;timers.c,884 :: 		xNextExpireTime = listGET_ITEM_VALUE_OF_HEAD_ENTRY( pxCurrentTimerList );
MOVW	R0, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R0, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R0, [R0, #0]
ADDS	R0, #8
ADDS	R0, R0, #4
LDR	R1, [R0, #0]
LDR	R0, [R1, #0]
; xNextExpireTime start address is: 8 (R2)
MOV	R2, R0
;timers.c,887 :: 		pxTimer = ( Timer_t * ) listGET_OWNER_OF_HEAD_ENTRY( pxCurrentTimerList );
ADDW	R0, R1, #12
LDR	R0, [R0, #0]
; pxTimer start address is: 12 (R3)
MOV	R3, R0
;timers.c,888 :: 		( void ) uxListRemove( &( pxTimer->xTimerListItem ) );
ADDS	R0, R0, #4
STR	R3, [SP, #4]
STR	R2, [SP, #8]
BL	_uxListRemove+0
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;timers.c,894 :: 		pxTimer->pxCallbackFunction( ( TimerHandle_t ) pxTimer );
ADDW	R0, R3, #36
LDR	R0, [R0, #0]
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STR	R0, [SP, #12]
MOV	R0, R3
LDR	R12, [SP, #12]
BLX	R12
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;timers.c,896 :: 		if( pxTimer->uxAutoReload == ( UBaseType_t ) pdTRUE )
ADDW	R0, R3, #28
LDR	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_timers_prvSwitchTimerLists92
;timers.c,904 :: 		xReloadTime = ( xNextExpireTime + pxTimer->xTimerPeriodInTicks );
ADDW	R0, R3, #24
LDR	R0, [R0, #0]
ADDS	R0, R2, R0
STR	R0, [SP, #16]
;timers.c,905 :: 		if( xReloadTime > xNextExpireTime )
CMP	R0, R2
IT	LS
BLS	L_timers_prvSwitchTimerLists93
; xNextExpireTime end address is: 8 (R2)
;timers.c,907 :: 		listSET_LIST_ITEM_VALUE( &( pxTimer->xTimerListItem ), xReloadTime );
ADDS	R1, R3, #4
LDR	R0, [SP, #16]
STR	R0, [R1, #0]
;timers.c,908 :: 		listSET_LIST_ITEM_OWNER( &( pxTimer->xTimerListItem ), pxTimer );
ADDS	R0, R3, #4
ADDS	R0, #12
STR	R3, [R0, #0]
;timers.c,909 :: 		vListInsert( pxCurrentTimerList, &( pxTimer->xTimerListItem ) );
ADDS	R1, R3, #4
; pxTimer end address is: 12 (R3)
MOVW	R0, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R0, #hi_addr(timers_pxCurrentTimerList+0)
LDR	R0, [R0, #0]
BL	_vListInsert+0
;timers.c,910 :: 		}
IT	AL
BAL	L_timers_prvSwitchTimerLists94
L_timers_prvSwitchTimerLists93:
;timers.c,913 :: 		xResult = xTimerGenericCommand( pxTimer, tmrCOMMAND_START_DONT_TRACE, xNextExpireTime, NULL, tmrNO_DELAY );
; pxTimer start address is: 12 (R3)
; xNextExpireTime start address is: 8 (R2)
MOV	R0, #0
PUSH	(R0)
MOV	R1, #0
; xNextExpireTime end address is: 8 (R2)
MOV	R0, R3
MOVS	R3, #0
; pxTimer end address is: 12 (R3)
BL	_xTimerGenericCommand+0
ADD	SP, SP, #4
;timers.c,914 :: 		configASSERT( xResult );
CMP	R0, #0
IT	NE
BNE	L_timers_prvSwitchTimerLists95
BL	timers_vPortRaiseBASEPRI+0
L_timers_prvSwitchTimerLists96:
IT	AL
BAL	L_timers_prvSwitchTimerLists96
L_timers_prvSwitchTimerLists95:
;timers.c,916 :: 		}
L_timers_prvSwitchTimerLists94:
;timers.c,917 :: 		}
IT	AL
BAL	L_timers_prvSwitchTimerLists98
L_timers_prvSwitchTimerLists92:
;timers.c,921 :: 		}
L_timers_prvSwitchTimerLists98:
;timers.c,922 :: 		}
IT	AL
BAL	L_timers_prvSwitchTimerLists90
L_timers_prvSwitchTimerLists91:
;timers.c,924 :: 		pxTemp = pxCurrentTimerList;
MOVW	R2, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R2, #hi_addr(timers_pxCurrentTimerList+0)
; pxTemp start address is: 12 (R3)
LDR	R3, [R2, #0]
;timers.c,925 :: 		pxCurrentTimerList = pxOverflowTimerList;
MOVW	R1, #lo_addr(timers_pxOverflowTimerList+0)
MOVT	R1, #hi_addr(timers_pxOverflowTimerList+0)
LDR	R0, [R1, #0]
STR	R0, [R2, #0]
;timers.c,926 :: 		pxOverflowTimerList = pxTemp;
STR	R3, [R1, #0]
; pxTemp end address is: 12 (R3)
;timers.c,927 :: 		}
L_end_prvSwitchTimerLists:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of timers_prvSwitchTimerLists
timers_prvCheckForValidListAndQueue:
;timers.c,930 :: 		static void prvCheckForValidListAndQueue( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;timers.c,935 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;timers.c,937 :: 		if( xTimerQueue == NULL )
MOVW	R0, #lo_addr(timers_xTimerQueue+0)
MOVT	R0, #hi_addr(timers_xTimerQueue+0)
LDR	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_timers_prvCheckForValidListAndQueue99
;timers.c,939 :: 		vListInitialise( &xActiveTimerList1 );
MOVW	R0, #lo_addr(timers_xActiveTimerList1+0)
MOVT	R0, #hi_addr(timers_xActiveTimerList1+0)
BL	_vListInitialise+0
;timers.c,940 :: 		vListInitialise( &xActiveTimerList2 );
MOVW	R0, #lo_addr(timers_xActiveTimerList2+0)
MOVT	R0, #hi_addr(timers_xActiveTimerList2+0)
BL	_vListInitialise+0
;timers.c,941 :: 		pxCurrentTimerList = &xActiveTimerList1;
MOVW	R1, #lo_addr(timers_xActiveTimerList1+0)
MOVT	R1, #hi_addr(timers_xActiveTimerList1+0)
MOVW	R0, #lo_addr(timers_pxCurrentTimerList+0)
MOVT	R0, #hi_addr(timers_pxCurrentTimerList+0)
STR	R1, [R0, #0]
;timers.c,942 :: 		pxOverflowTimerList = &xActiveTimerList2;
MOVW	R1, #lo_addr(timers_xActiveTimerList2+0)
MOVT	R1, #hi_addr(timers_xActiveTimerList2+0)
MOVW	R0, #lo_addr(timers_pxOverflowTimerList+0)
MOVT	R0, #hi_addr(timers_pxOverflowTimerList+0)
STR	R1, [R0, #0]
;timers.c,955 :: 		xTimerQueue = xQueueCreate( ( UBaseType_t ) configTIMER_QUEUE_LENGTH, sizeof( DaemonTaskMessage_t ) );
MOVS	R2, #0
MOVS	R1, #12
MOV	R0, #5
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(timers_xTimerQueue+0)
MOVT	R1, #hi_addr(timers_xTimerQueue+0)
STR	R0, [R1, #0]
;timers.c,961 :: 		if( xTimerQueue != NULL )
CMP	R0, #0
IT	EQ
BEQ	L_timers_prvCheckForValidListAndQueue100
;timers.c,963 :: 		vQueueAddToRegistry( xTimerQueue, "TmrQ" );
MOVW	R1, #lo_addr(?lstr_2_timers+0)
MOVT	R1, #hi_addr(?lstr_2_timers+0)
MOVW	R0, #lo_addr(timers_xTimerQueue+0)
MOVT	R0, #hi_addr(timers_xTimerQueue+0)
LDR	R0, [R0, #0]
BL	_vQueueAddToRegistry+0
;timers.c,964 :: 		}
IT	AL
BAL	L_timers_prvCheckForValidListAndQueue101
L_timers_prvCheckForValidListAndQueue100:
;timers.c,968 :: 		}
L_timers_prvCheckForValidListAndQueue101:
;timers.c,971 :: 		}
IT	AL
BAL	L_timers_prvCheckForValidListAndQueue102
L_timers_prvCheckForValidListAndQueue99:
;timers.c,975 :: 		}
L_timers_prvCheckForValidListAndQueue102:
;timers.c,977 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;timers.c,978 :: 		}
L_end_prvCheckForValidListAndQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of timers_prvCheckForValidListAndQueue
_xTimerIsTimerActive:
;timers.c,981 :: 		BaseType_t xTimerIsTimerActive( TimerHandle_t xTimer )
; xTimer start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; xTimer end address is: 0 (R0)
; xTimer start address is: 0 (R0)
;timers.c,984 :: 		Timer_t *pxTimer = ( Timer_t * ) xTimer;
STR	R0, [SP, #8]
;timers.c,986 :: 		configASSERT( xTimer );
CMP	R0, #0
IT	NE
BNE	L_xTimerIsTimerActive103
; xTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_xTimerIsTimerActive104:
IT	AL
BAL	L_xTimerIsTimerActive104
L_xTimerIsTimerActive103:
;timers.c,989 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;timers.c,994 :: 		xTimerIsInActiveList = ( BaseType_t ) !( listIS_CONTAINED_WITHIN( NULL, &( pxTimer->xTimerListItem ) ) );
LDR	R1, [SP, #8]
ADDS	R1, R1, #4
ADDS	R1, #16
LDR	R1, [R1, #0]
CMP	R1, #0
MOVW	R1, #0
BNE	L__xTimerIsTimerActive147
MOVS	R1, #1
L__xTimerIsTimerActive147:
CMP	R1, #0
MOVW	R1, #0
BNE	L__xTimerIsTimerActive148
MOVS	R1, #1
L__xTimerIsTimerActive148:
UXTB	R1, R1
STR	R1, [SP, #4]
;timers.c,996 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;timers.c,998 :: 		return xTimerIsInActiveList;
LDR	R0, [SP, #4]
;timers.c,999 :: 		} /*lint !e818 Can't be pointer to const due to the typedef. */
L_end_xTimerIsTimerActive:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _xTimerIsTimerActive
_pvTimerGetTimerID:
;timers.c,1002 :: 		void *pvTimerGetTimerID( const TimerHandle_t xTimer )
; xTimer start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; xTimer end address is: 0 (R0)
; xTimer start address is: 0 (R0)
;timers.c,1004 :: 		Timer_t * const pxTimer = ( Timer_t * ) xTimer;
STR	R0, [SP, #4]
;timers.c,1007 :: 		configASSERT( xTimer );
CMP	R0, #0
IT	NE
BNE	L_pvTimerGetTimerID106
; xTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_pvTimerGetTimerID107:
IT	AL
BAL	L_pvTimerGetTimerID107
L_pvTimerGetTimerID106:
;timers.c,1009 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;timers.c,1011 :: 		pvReturn = pxTimer->pvTimerID;
LDR	R1, [SP, #4]
ADDS	R1, #32
LDR	R1, [R1, #0]
STR	R1, [SP, #8]
;timers.c,1013 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;timers.c,1015 :: 		return pvReturn;
LDR	R0, [SP, #8]
;timers.c,1016 :: 		}
L_end_pvTimerGetTimerID:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _pvTimerGetTimerID
_vTimerSetTimerID:
;timers.c,1019 :: 		void vTimerSetTimerID( TimerHandle_t xTimer, void *pvNewID )
; xTimer start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R1, [SP, #8]
; xTimer end address is: 0 (R0)
; xTimer start address is: 0 (R0)
;timers.c,1021 :: 		Timer_t * const pxTimer = ( Timer_t * ) xTimer;
STR	R0, [SP, #4]
;timers.c,1023 :: 		configASSERT( xTimer );
CMP	R0, #0
IT	NE
BNE	L_vTimerSetTimerID109
; xTimer end address is: 0 (R0)
BL	timers_vPortRaiseBASEPRI+0
L_vTimerSetTimerID110:
IT	AL
BAL	L_vTimerSetTimerID110
L_vTimerSetTimerID109:
;timers.c,1025 :: 		taskENTER_CRITICAL();
BL	_vPortEnterCritical+0
;timers.c,1027 :: 		pxTimer->pvTimerID = pvNewID;
LDR	R2, [SP, #4]
ADDW	R3, R2, #32
LDR	R2, [SP, #8]
STR	R2, [R3, #0]
;timers.c,1029 :: 		taskEXIT_CRITICAL();
BL	_vPortExitCritical+0
;timers.c,1030 :: 		}
L_end_vTimerSetTimerID:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _vTimerSetTimerID
