USART3_driver_ucPortCountLeadingZeros:
;portmacro.h,183 :: 		static inline uint8_t ucPortCountLeadingZeros(uint32_t ulBitmap)
;portmacro.h,185 :: 		asm CLZ R0, R0;
CLZ	R0, R0
;portmacro.h,186 :: 		return R0;
UXTB	R0, R0
;portmacro.h,187 :: 		}
L_end_ucPortCountLeadingZeros:
BX	LR
; end of USART3_driver_ucPortCountLeadingZeros
USART3_driver_vPortRaiseBASEPRI:
;portmacro.h,229 :: 		portFORCE_INLINE static void vPortRaiseBASEPRI( void )
;portmacro.h,234 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,236 :: 		asm ISB;
ISB	#15
;portmacro.h,237 :: 		asm DSB;
DSB	#15
;portmacro.h,238 :: 		}
L_end_vPortRaiseBASEPRI:
BX	LR
; end of USART3_driver_vPortRaiseBASEPRI
USART3_driver_ulPortRaiseBASEPRI:
;portmacro.h,241 :: 		portFORCE_INLINE static uint32_t ulPortRaiseBASEPRI( void )
;portmacro.h,245 :: 		ulOriginalBASEPRI = CPU_REG_GET(CPU_BASEPRI);
MRS	R12, #17
MOV	R0, R12
; ulOriginalBASEPRI start address is: 4 (R1)
MOV	R1, R0
;portmacro.h,247 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,249 :: 		asm ISB;
ISB	#15
;portmacro.h,250 :: 		asm DSB;
DSB	#15
;portmacro.h,254 :: 		return ulOriginalBASEPRI;
MOV	R0, R1
; ulOriginalBASEPRI end address is: 4 (R1)
;portmacro.h,255 :: 		}
L_end_ulPortRaiseBASEPRI:
BX	LR
; end of USART3_driver_ulPortRaiseBASEPRI
USART3_driver_vPortSetBASEPRI:
;portmacro.h,258 :: 		portFORCE_INLINE static void vPortSetBASEPRI( uint32_t ulNewMaskValue )
; ulNewMaskValue start address is: 0 (R0)
; ulNewMaskValue end address is: 0 (R0)
; ulNewMaskValue start address is: 0 (R0)
;portmacro.h,260 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewMaskValue);
MOV	R1, R0
; ulNewMaskValue end address is: 0 (R0)
MOV	R12, R1
MSR	#17, R12
;portmacro.h,261 :: 		}
L_end_vPortSetBASEPRI:
BX	LR
; end of USART3_driver_vPortSetBASEPRI
_USART3_Interrupt:
;USART3_driver.c,110 :: 		void USART3_Interrupt() iv IVT_INT_USART3 ics ICS_AUTO {
SUB	SP, SP, #12
STR	LR, [SP, #0]
;USART3_driver.c,113 :: 		BaseType_t xHigherPriorityTaskWoken = pdFALSE;
MOV	R0, #0
STR	R0, [SP, #8]
;USART3_driver.c,115 :: 		if ((RXNE_USART3_SR_bit) /* || (ORE_bit) */ ) {
MOVW	R1, #lo_addr(RXNE_USART3_SR_bit+0)
MOVT	R1, #hi_addr(RXNE_USART3_SR_bit+0)
_LX	[R1, ByteOffset(RXNE_USART3_SR_bit+0)]
CMP	R0, #0
IT	EQ
BEQ	L_USART3_Interrupt0
;USART3_driver.c,116 :: 		R_data = USART3_DR;                // Fetch a byte from UART hardware
MOVW	R0, #lo_addr(USART3_DR+0)
MOVT	R0, #hi_addr(USART3_DR+0)
LDR	R0, [R0, #0]
STRB	R0, [SP, #4]
;USART3_driver.c,117 :: 		xQueueSendFromISR(U3RcvByteQueueHandle,&R_data,&xHigherPriorityTaskWoken);
ADD	R2, SP, #8
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_U3RcvByteQueueHandle+0)
MOVT	R0, #hi_addr(_U3RcvByteQueueHandle+0)
LDR	R0, [R0, #0]
MOV	R3, #0
BL	_xQueueGenericSendFromISR+0
;USART3_driver.c,118 :: 		}
L_USART3_Interrupt0:
;USART3_driver.c,120 :: 		if ((TXE_USART3_SR_bit)&&(TXEIE_USART3_CR1_bit)) {
MOVW	R1, #lo_addr(TXE_USART3_SR_bit+0)
MOVT	R1, #hi_addr(TXE_USART3_SR_bit+0)
_LX	[R1, ByteOffset(TXE_USART3_SR_bit+0)]
CMP	R0, #0
IT	EQ
BEQ	L__USART3_Interrupt40
MOVW	R1, #lo_addr(TXEIE_USART3_CR1_bit+0)
MOVT	R1, #hi_addr(TXEIE_USART3_CR1_bit+0)
_LX	[R1, ByteOffset(TXEIE_USART3_CR1_bit+0)]
CMP	R0, #0
IT	EQ
BEQ	L__USART3_Interrupt39
L__USART3_Interrupt38:
;USART3_driver.c,121 :: 		if (Transparent == 0) {
MOVW	R0, #lo_addr(_Transparent+0)
MOVT	R0, #hi_addr(_Transparent+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USART3_Interrupt4
;USART3_driver.c,122 :: 		T_data = U3XmtBuf[U3XmtBufPtr++];  // Get a byte from the transmit buffer
MOVW	R2, #lo_addr(_U3XmtBufPtr+0)
MOVT	R2, #hi_addr(_U3XmtBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3XmtBuf+0)
MOVT	R0, #hi_addr(_U3XmtBuf+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, R1
LDRB	R1, [R0, #0]
; T_data start address is: 12 (R3)
UXTB	R3, R1
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART3_driver.c,123 :: 		if (T_data == NUL) {               // If it is the end of message marker
CMP	R1, #0
IT	NE
BNE	L_USART3_Interrupt5
; T_data end address is: 12 (R3)
;USART3_driver.c,124 :: 		TXEIE_USART3_CR1_bit = 0;      // Disable transmitter interrupts
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART3_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART3_CR1_bit+0)
_SX	[R0, ByteOffset(TXEIE_USART3_CR1_bit+0)]
;USART3_driver.c,125 :: 		xSemaphoreGiveFromISR(U3XmtSemHandle,&xHigherPriorityTaskWoken);
ADD	R1, SP, #8
MOVW	R0, #lo_addr(_U3XmtSemHandle+0)
MOVT	R0, #hi_addr(_U3XmtSemHandle+0)
LDR	R0, [R0, #0]
BL	_xQueueGiveFromISR+0
;USART3_driver.c,126 :: 		} else {
IT	AL
BAL	L_USART3_Interrupt6
L_USART3_Interrupt5:
;USART3_driver.c,127 :: 		USART3_DR = T_data;            // Transfer data byte to transmit register
; T_data start address is: 12 (R3)
MOVW	R0, #lo_addr(USART3_DR+0)
MOVT	R0, #hi_addr(USART3_DR+0)
STR	R3, [R0, #0]
; T_data end address is: 12 (R3)
;USART3_driver.c,128 :: 		}
L_USART3_Interrupt6:
;USART3_driver.c,129 :: 		} else { // XmtByteCounter must be set up by the application
IT	AL
BAL	L_USART3_Interrupt7
L_USART3_Interrupt4:
;USART3_driver.c,131 :: 		if (U3XmtBufPtr >= XmtByteCntr) {  // Use this instead of alternate
MOVW	R0, #lo_addr(_XmtByteCntr+0)
MOVT	R0, #hi_addr(_XmtByteCntr+0)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_U3XmtBufPtr+0)
MOVT	R0, #hi_addr(_U3XmtBufPtr+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	CC
BCC	L_USART3_Interrupt8
;USART3_driver.c,132 :: 		TXEIE_USART3_CR1_bit = 0;      // Disable transmitter interrupts
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART3_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART3_CR1_bit+0)
_SX	[R0, ByteOffset(TXEIE_USART3_CR1_bit+0)]
;USART3_driver.c,133 :: 		xSemaphoreGiveFromISR(U3XmtSemHandle,&xHigherPriorityTaskWoken);
ADD	R1, SP, #8
MOVW	R0, #lo_addr(_U3XmtSemHandle+0)
MOVT	R0, #hi_addr(_U3XmtSemHandle+0)
LDR	R0, [R0, #0]
BL	_xQueueGiveFromISR+0
;USART3_driver.c,134 :: 		} else {
IT	AL
BAL	L_USART3_Interrupt9
L_USART3_Interrupt8:
;USART3_driver.c,135 :: 		T_data = U3XmtBuf[U3XmtBufPtr++];   // Get a byte from the transmit buffer
MOVW	R2, #lo_addr(_U3XmtBufPtr+0)
MOVT	R2, #hi_addr(_U3XmtBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3XmtBuf+0)
MOVT	R0, #hi_addr(_U3XmtBuf+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, R1
LDRB	R1, [R0, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART3_driver.c,136 :: 		USART3_DR = T_data;                 // Transfer data byte to transmit register
MOVW	R0, #lo_addr(USART3_DR+0)
MOVT	R0, #hi_addr(USART3_DR+0)
STR	R1, [R0, #0]
;USART3_driver.c,138 :: 		}
L_USART3_Interrupt9:
;USART3_driver.c,139 :: 		}
L_USART3_Interrupt7:
;USART3_driver.c,120 :: 		if ((TXE_USART3_SR_bit)&&(TXEIE_USART3_CR1_bit)) {
L__USART3_Interrupt40:
L__USART3_Interrupt39:
;USART3_driver.c,141 :: 		portYIELD_FROM_ISR(xHigherPriorityTaskWoken);
LDR	R0, [SP, #8]
CMP	R0, #0
IT	EQ
BEQ	L_USART3_Interrupt10
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(PENDSVSET_bit+0)
MOVT	R1, #hi_addr(PENDSVSET_bit+0)
_LX	[R1, ByteOffset(PENDSVSET_bit+0)]
BFI	R0, R2, BitPos(PENDSVSET_bit+0), #1
_SX	[R1, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
L_USART3_Interrupt10:
;USART3_driver.c,142 :: 		}
L_end_USART3_Interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _USART3_Interrupt
_USART3_SetBaud:
;USART3_driver.c,147 :: 		void USART3_SetBaud(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,152 :: 		UART3_Init_Advanced(115200, _UART_8_BIT_DATA, _UART_NOPARITY, _UART_ONE_STOPBIT, &_GPIO_MODULE_USART3_PD89);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART3_PD89+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART3_PD89+0)
PUSH	(R0)
MOVW	R3, #0
MOVW	R2, #0
MOVW	R1, #0
MOV	R0, #115200
BL	_UART3_Init_Advanced+0
ADD	SP, SP, #4
;USART3_driver.c,157 :: 		NVIC_IntEnable(IVT_INT_USART3); // Set interrupt vector
MOVW	R0, #55
BL	_NVIC_IntEnable+0
;USART3_driver.c,158 :: 		NVIC_SetIntPriority(IVT_INT_USART3, _NVIC_INT_PRIORITY_LVL4);
MOVS	R1, #4
MOVS	R0, #55
BL	_NVIC_SetIntPriority+0
;USART3_driver.c,160 :: 		}
L_end_USART3_SetBaud:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_SetBaud
_USART3_RxQueueInit:
;USART3_driver.c,165 :: 		void USART3_RxQueueInit(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,166 :: 		U3RcvByteQueueHandle = xQueueCreate(U3_RCV_BYTE_Q_LENGTH, sizeof(char));
MOVS	R2, #0
MOVS	R1, #1
MOVW	R0, #256
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_U3RcvByteQueueHandle+0)
MOVT	R1, #hi_addr(_U3RcvByteQueueHandle+0)
STR	R0, [R1, #0]
;USART3_driver.c,167 :: 		if (U3RcvByteQueueHandle == NULL) {
CMP	R0, #0
IT	NE
BNE	L_USART3_RxQueueInit11
;USART3_driver.c,168 :: 		USB_PutQueue("Error: Could not create USART3 receive byte queue\r\n");
MOVW	R0, #lo_addr(?lstr1_USART3_driver+0)
MOVT	R0, #hi_addr(?lstr1_USART3_driver+0)
BL	_USB_PutQueue+0
;USART3_driver.c,169 :: 		} else {
IT	AL
BAL	L_USART3_RxQueueInit12
L_USART3_RxQueueInit11:
;USART3_driver.c,170 :: 		USB_PutQueue("Diag: USART3 receive byte queue created successfully\r\n");
MOVW	R0, #lo_addr(?lstr2_USART3_driver+0)
MOVT	R0, #hi_addr(?lstr2_USART3_driver+0)
BL	_USB_PutQueue+0
;USART3_driver.c,171 :: 		vQueueAddToRegistry(U3RcvByteQueueHandle, "U3 RcvByte Queue");
MOVW	R1, #lo_addr(?lstr_3_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_3_USART3_driver+0)
MOVW	R0, #lo_addr(_U3RcvByteQueueHandle+0)
MOVT	R0, #hi_addr(_U3RcvByteQueueHandle+0)
LDR	R0, [R0, #0]
BL	_vQueueAddToRegistry+0
;USART3_driver.c,172 :: 		}
L_USART3_RxQueueInit12:
;USART3_driver.c,173 :: 		}
L_end_USART3_RxQueueInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_RxQueueInit
_USART3_StartRx:
;USART3_driver.c,178 :: 		void USART3_StartRx(void) {
;USART3_driver.c,179 :: 		RXNEIE_USART3_CR1_bit = 1;        // Interrupt when receive buffer is full (RXNE=1)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RXNEIE_USART3_CR1_bit+0)
MOVT	R0, #hi_addr(RXNEIE_USART3_CR1_bit+0)
_SX	[R0, ByteOffset(RXNEIE_USART3_CR1_bit+0)]
;USART3_driver.c,180 :: 		}
L_end_USART3_StartRx:
BX	LR
; end of _USART3_StartRx
_USART3_RcvInit:
;USART3_driver.c,185 :: 		void USART3_RcvInit(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,186 :: 		USART3_SetBaud();
BL	_USART3_SetBaud+0
;USART3_driver.c,187 :: 		USART3_RxQueueInit();
BL	_USART3_RxQueueInit+0
;USART3_driver.c,188 :: 		USART3_StartRx();
BL	_USART3_StartRx+0
;USART3_driver.c,189 :: 		}
L_end_USART3_RcvInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_RcvInit
_USART3_Rx:
;USART3_driver.c,194 :: 		void USART3_Rx(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,195 :: 		U3_RxFuncPtr();    // Use the function pointer to go to a state
MOVW	R4, #lo_addr(_U3_RxFuncPtr+0)
MOVT	R4, #hi_addr(_U3_RxFuncPtr+0)
LDR	R4, [R4, #0]
BLX	R4
;USART3_driver.c,196 :: 		}
L_end_USART3_Rx:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_Rx
_USART3_Rx1:
;USART3_driver.c,201 :: 		void USART3_Rx1(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USART3_driver.c,204 :: 		xQueueReceive(U3RcvByteQueueHandle, &RxChar, 0xFFFFFFFFU); // Block here
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_U3RcvByteQueueHandle+0)
MOVT	R0, #hi_addr(_U3RcvByteQueueHandle+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
BL	_xQueueGenericReceive+0
;USART3_driver.c,206 :: 		if (Transparent == 0) { // Do this code for normal mode
MOVW	R0, #lo_addr(_Transparent+0)
MOVT	R0, #hi_addr(_Transparent+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USART3_Rx113
;USART3_driver.c,207 :: 		switch (RxChar) {
IT	AL
BAL	L_USART3_Rx114
;USART3_driver.c,208 :: 		case NUL:       // Discard NUL character
L_USART3_Rx116:
;USART3_driver.c,209 :: 		break;
IT	AL
BAL	L_USART3_Rx115
;USART3_driver.c,211 :: 		case '\r':      // Use return character
L_USART3_Rx117:
;USART3_driver.c,212 :: 		U3RcvBuf[U3RcvBufPtr++] = RxChar;    // Put received character into buffer
MOVW	R2, #lo_addr(_U3RcvBufPtr+0)
MOVT	R2, #hi_addr(_U3RcvBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART3_driver.c,213 :: 		break;
IT	AL
BAL	L_USART3_Rx115
;USART3_driver.c,215 :: 		case '>':       // Prompt character is received without CRLF
L_USART3_Rx118:
;USART3_driver.c,216 :: 		U3RcvBuf[U3RcvBufPtr++] = RxChar;   // Put received character into buffer
MOVW	R2, #lo_addr(_U3RcvBufPtr+0)
MOVT	R2, #hi_addr(_U3RcvBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
UXTH	R1, R1
STRH	R1, [R2, #0]
;USART3_driver.c,217 :: 		U3RcvBuf[U3RcvBufPtr++] = '\r';
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
MOVS	R0, #13
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
UXTH	R1, R1
STRH	R1, [R2, #0]
;USART3_driver.c,218 :: 		U3RcvBuf[U3RcvBufPtr++] = '\n';
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
MOVS	R0, #10
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
UXTH	R1, R1
STRH	R1, [R2, #0]
;USART3_driver.c,219 :: 		U3RcvBuf[U3RcvBufPtr++] = 0;
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
MOVS	R0, #0
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART3_driver.c,220 :: 		U3RcvBufPtr = 0;                    // Point to start of buffer
MOVS	R0, #0
STRH	R0, [R2, #0]
;USART3_driver.c,221 :: 		U3_RxFuncPtr = USART3_Rx2;          // Go to state 2
MOVW	R1, #lo_addr(_USART3_Rx2+0)
MOVT	R1, #hi_addr(_USART3_Rx2+0)
MOVW	R0, #lo_addr(_U3_RxFuncPtr+0)
MOVT	R0, #hi_addr(_U3_RxFuncPtr+0)
STR	R1, [R0, #0]
;USART3_driver.c,222 :: 		break;
IT	AL
BAL	L_USART3_Rx115
;USART3_driver.c,224 :: 		case '\n':      // Use new line character
L_USART3_Rx119:
;USART3_driver.c,225 :: 		U3RcvBuf[U3RcvBufPtr++] = RxChar;    // Put received character into buffer
MOVW	R2, #lo_addr(_U3RcvBufPtr+0)
MOVT	R2, #hi_addr(_U3RcvBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
UXTH	R1, R1
STRH	R1, [R2, #0]
;USART3_driver.c,226 :: 		U3RcvBuf[U3RcvBufPtr] = 0;           // End marker
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
MOVS	R0, #0
STRB	R0, [R1, #0]
;USART3_driver.c,227 :: 		U3RcvBufPtr = 0;                     // Point to start of buffer
MOVS	R0, #0
STRH	R0, [R2, #0]
;USART3_driver.c,228 :: 		U3_RxFuncPtr = USART3_Rx2;           // Go to state 2
MOVW	R1, #lo_addr(_USART3_Rx2+0)
MOVT	R1, #hi_addr(_USART3_Rx2+0)
MOVW	R0, #lo_addr(_U3_RxFuncPtr+0)
MOVT	R0, #hi_addr(_U3_RxFuncPtr+0)
STR	R1, [R0, #0]
;USART3_driver.c,229 :: 		break;
IT	AL
BAL	L_USART3_Rx115
;USART3_driver.c,232 :: 		default:
L_USART3_Rx120:
;USART3_driver.c,234 :: 		if (U3RcvBufPtr < (U3_RCV_BUF_SIZE-4)) { // Prevents buffer overrun
MOVW	R0, #lo_addr(_U3RcvBufPtr+0)
MOVT	R0, #hi_addr(_U3RcvBufPtr+0)
LDRH	R1, [R0, #0]
MOVW	R0, #2044
CMP	R1, R0
IT	CS
BCS	L_USART3_Rx121
;USART3_driver.c,235 :: 		U3RcvBuf[U3RcvBufPtr++] = RxChar;    // Put character in buffer
MOVW	R2, #lo_addr(_U3RcvBufPtr+0)
MOVT	R2, #hi_addr(_U3RcvBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART3_driver.c,236 :: 		}                                        // Stay in this state
L_USART3_Rx121:
;USART3_driver.c,238 :: 		break;
IT	AL
BAL	L_USART3_Rx115
;USART3_driver.c,239 :: 		}
L_USART3_Rx114:
LDRB	R0, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_USART3_Rx116
LDRB	R0, [SP, #4]
CMP	R0, #13
IT	EQ
BEQ	L_USART3_Rx117
LDRB	R0, [SP, #4]
CMP	R0, #62
IT	EQ
BEQ	L_USART3_Rx118
LDRB	R0, [SP, #4]
CMP	R0, #10
IT	EQ
BEQ	L_USART3_Rx119
IT	AL
BAL	L_USART3_Rx120
L_USART3_Rx115:
;USART3_driver.c,240 :: 		} else {    // Do this code for transparent mode
IT	AL
BAL	L_USART3_Rx122
L_USART3_Rx113:
;USART3_driver.c,241 :: 		if (U3RcvBufPtr < (U3_RCV_BUF_SIZE)) {  // Prevents buffer overrun
MOVW	R0, #lo_addr(_U3RcvBufPtr+0)
MOVT	R0, #hi_addr(_U3RcvBufPtr+0)
LDRH	R0, [R0, #0]
CMP	R0, #2048
IT	CS
BCS	L_USART3_Rx123
;USART3_driver.c,242 :: 		U3RcvBuf[U3RcvBufPtr++] = RxChar;   // Put character in buffer
MOVW	R2, #lo_addr(_U3RcvBufPtr+0)
MOVT	R2, #hi_addr(_U3RcvBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART3_driver.c,243 :: 		}                                       // Stay in this state
L_USART3_Rx123:
;USART3_driver.c,244 :: 		}
L_USART3_Rx122:
;USART3_driver.c,245 :: 		}
L_end_USART3_Rx1:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USART3_Rx1
_USART3_Rx2:
;USART3_driver.c,251 :: 		void USART3_Rx2(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USART3_driver.c,256 :: 		BufNum = GetBuffer();             // Get a free buffer
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,260 :: 		if (U3RcvBuf[0] != '\r') {        // Throw away blank lines
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #13
IT	EQ
BEQ	L_USART3_Rx224
;USART3_driver.c,261 :: 		MsgLen = strlen(U3RcvBuf);
MOVW	R0, #lo_addr(_U3RcvBuf+0)
MOVT	R0, #hi_addr(_U3RcvBuf+0)
BL	_strlen+0
;USART3_driver.c,262 :: 		if (MsgLen <= BUFSIZE) {      // Make sure the message will fit
UXTH	R0, R0
CMP	R0, #256
IT	HI
BHI	L_USART3_Rx225
;USART3_driver.c,263 :: 		strcpy(BufNum,U3RcvBuf);  // Make a copy of the received message
MOVW	R1, #lo_addr(_U3RcvBuf+0)
MOVT	R1, #hi_addr(_U3RcvBuf+0)
LDR	R0, [SP, #4]
BL	_strcpy+0
;USART3_driver.c,264 :: 		rtnCode = xQueueSend(vWiFiESPPointerQueue, &BufNum, 0); // No blocking
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_vWiFiESPPointerQueue+0)
MOVT	R0, #hi_addr(_vWiFiESPPointerQueue+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOVS	R2, #0
BL	_xQueueGenericSend+0
; rtnCode start address is: 0 (R0)
;USART3_driver.c,265 :: 		} else {
; rtnCode end address is: 0 (R0)
IT	AL
BAL	L_USART3_Rx226
L_USART3_Rx225:
;USART3_driver.c,266 :: 		rtnCode = xQueueSend(vWiFiESPPointerQueue, &U3RcvBuf, 0); // No blocking
MOVW	R0, #lo_addr(_vWiFiESPPointerQueue+0)
MOVT	R0, #hi_addr(_vWiFiESPPointerQueue+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_U3RcvBuf+0)
MOVT	R1, #hi_addr(_U3RcvBuf+0)
BL	_xQueueGenericSend+0
; rtnCode start address is: 4 (R1)
MOV	R1, R0
; rtnCode end address is: 4 (R1)
MOV	R0, R1
;USART3_driver.c,267 :: 		}
L_USART3_Rx226:
;USART3_driver.c,269 :: 		if (rtnCode == pdFAIL)
; rtnCode start address is: 0 (R0)
CMP	R0, #0
IT	NE
BNE	L_USART3_Rx227
; rtnCode end address is: 0 (R0)
;USART3_driver.c,270 :: 		USB_PutQueue("Error: Failed to enter message pointer into WiFiESP queue\r\n");
MOVW	R0, #lo_addr(?lstr4_USART3_driver+0)
MOVT	R0, #hi_addr(?lstr4_USART3_driver+0)
BL	_USB_PutQueue+0
L_USART3_Rx227:
;USART3_driver.c,271 :: 		}
L_USART3_Rx224:
;USART3_driver.c,274 :: 		U3_RxFuncPtr = USART3_Rx1;    // Go back to state 1
MOVW	R1, #lo_addr(_USART3_Rx1+0)
MOVT	R1, #hi_addr(_USART3_Rx1+0)
MOVW	R0, #lo_addr(_U3_RxFuncPtr+0)
MOVT	R0, #hi_addr(_U3_RxFuncPtr+0)
STR	R1, [R0, #0]
;USART3_driver.c,275 :: 		}
L_end_USART3_Rx2:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USART3_Rx2
_USART3_RcvTask:
;USART3_driver.c,281 :: 		void USART3_RcvTask(void *pvParameters) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,283 :: 		USART3_RcvInit();
BL	_USART3_RcvInit+0
;USART3_driver.c,285 :: 		while (1) {
L_USART3_RcvTask28:
;USART3_driver.c,286 :: 		USART3_Rx();    // Check for incoming USART3 messages
BL	_USART3_Rx+0
;USART3_driver.c,290 :: 		}
IT	AL
BAL	L_USART3_RcvTask28
;USART3_driver.c,291 :: 		}
L_end_USART3_RcvTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_RcvTask
_USART3_PutQueueText:
;USART3_driver.c,307 :: 		void USART3_PutQueueText(char *Msg) {
; Msg start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R4, R0
; Msg end address is: 0 (R0)
; Msg start address is: 16 (R4)
;USART3_driver.c,311 :: 		OutMessage.MsgLen = strlen(Msg);  // Length of message
MOV	R0, R4
BL	_strlen+0
MOVW	R1, #lo_addr(_OutMessage+0)
MOVT	R1, #hi_addr(_OutMessage+0)
STRH	R0, [R1, #0]
;USART3_driver.c,312 :: 		OutMessage.TheMessage = Msg;      // Pointer to the message
MOVW	R1, #lo_addr(_OutMessage+4)
MOVT	R1, #hi_addr(_OutMessage+4)
STR	R4, [R1, #0]
; Msg end address is: 16 (R4)
;USART3_driver.c,329 :: 		rtnCode = xQueueSend(U3XmtPointerQueue, &OutMessage, 0); // No blocking
MOVW	R1, #lo_addr(_U3XmtPointerQueue+0)
MOVT	R1, #hi_addr(_U3XmtPointerQueue+0)
LDR	R1, [R1, #0]
MOV	R3, #0
MOVS	R2, #0
MOV	R0, R1
MOVW	R1, #lo_addr(_OutMessage+0)
MOVT	R1, #hi_addr(_OutMessage+0)
BL	_xQueueGenericSend+0
;USART3_driver.c,331 :: 		if (rtnCode == pdFAIL)
CMP	R0, #0
IT	NE
BNE	L_USART3_PutQueueText30
;USART3_driver.c,332 :: 		USB_PutQueue("Error: Failed to enter structure into USART3 queue\r\n");
MOVW	R1, #lo_addr(?lstr5_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr5_USART3_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
L_USART3_PutQueueText30:
;USART3_driver.c,334 :: 		}
L_end_USART3_PutQueueText:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_PutQueueText
_USART3_PutQueueBinary:
;USART3_driver.c,339 :: 		void USART3_PutQueueBinary(char *Msg, unsigned Len) {
; Len start address is: 4 (R1)
; Msg start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Len end address is: 4 (R1)
; Msg end address is: 0 (R0)
; Msg start address is: 0 (R0)
; Len start address is: 4 (R1)
;USART3_driver.c,342 :: 		OutMessage.MsgLen = Len;          // Length of message
MOVW	R2, #lo_addr(_OutMessage+0)
MOVT	R2, #hi_addr(_OutMessage+0)
STRH	R1, [R2, #0]
; Len end address is: 4 (R1)
;USART3_driver.c,343 :: 		OutMessage.TheMessage = Msg;      // Pointer to message
MOVW	R2, #lo_addr(_OutMessage+4)
MOVT	R2, #hi_addr(_OutMessage+4)
STR	R0, [R2, #0]
; Msg end address is: 0 (R0)
;USART3_driver.c,346 :: 		rtnCode = xQueueSend(U3XmtPointerQueue, &OutMessage, 0); // No blocking
MOVW	R2, #lo_addr(_U3XmtPointerQueue+0)
MOVT	R2, #hi_addr(_U3XmtPointerQueue+0)
LDR	R2, [R2, #0]
MOV	R3, #0
MOVW	R1, #lo_addr(_OutMessage+0)
MOVT	R1, #hi_addr(_OutMessage+0)
MOV	R0, R2
MOVS	R2, #0
BL	_xQueueGenericSend+0
;USART3_driver.c,348 :: 		if (rtnCode == pdFAIL)
CMP	R0, #0
IT	NE
BNE	L_USART3_PutQueueBinary31
;USART3_driver.c,349 :: 		USB_PutQueue("Error: Failed to enter structure into USART3 queue\r\n");
MOVW	R2, #lo_addr(?lstr6_USART3_driver+0)
MOVT	R2, #hi_addr(?lstr6_USART3_driver+0)
MOV	R0, R2
BL	_USB_PutQueue+0
L_USART3_PutQueueBinary31:
;USART3_driver.c,351 :: 		}
L_end_USART3_PutQueueBinary:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_PutQueueBinary
_USART3_Tx:
;USART3_driver.c,358 :: 		void USART3_Tx(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,363 :: 		xSemaphoreTake(U3XmtSemHandle, portMAX_DELAY); // Block here
MOVW	R0, #lo_addr(_U3XmtSemHandle+0)
MOVT	R0, #hi_addr(_U3XmtSemHandle+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
MOVS	R1, #0
BL	_xQueueGenericReceive+0
;USART3_driver.c,366 :: 		rtnCode = xQueueReceive(U3XmtPointerQueue, &InMessage, 0xFFFFFFFFU); // Block here
MOVW	R0, #lo_addr(_U3XmtPointerQueue+0)
MOVT	R0, #hi_addr(_U3XmtPointerQueue+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
MOVW	R1, #lo_addr(_InMessage+0)
MOVT	R1, #hi_addr(_InMessage+0)
BL	_xQueueGenericReceive+0
;USART3_driver.c,368 :: 		U3XmtBuf = InMessage.TheMessage;    // Extract the message pointer
MOVW	R0, #lo_addr(_InMessage+4)
MOVT	R0, #hi_addr(_InMessage+4)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_U3XmtBuf+0)
MOVT	R0, #hi_addr(_U3XmtBuf+0)
STR	R1, [R0, #0]
;USART3_driver.c,369 :: 		XmtByteCntr = InMessage.MsgLen;     // Extract the message length
MOVW	R0, #lo_addr(_InMessage+0)
MOVT	R0, #hi_addr(_InMessage+0)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_XmtByteCntr+0)
MOVT	R0, #hi_addr(_XmtByteCntr+0)
STRH	R1, [R0, #0]
;USART3_driver.c,370 :: 		U3XmtBufPtr = 0;             // Set character counter to start of text message
MOVS	R1, #0
MOVW	R0, #lo_addr(_U3XmtBufPtr+0)
MOVT	R0, #hi_addr(_U3XmtBufPtr+0)
STRH	R1, [R0, #0]
;USART3_driver.c,371 :: 		TXEIE_USART3_CR1_bit = 1;    // Interrupt when transmit buffer is empty (TXE=1)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART3_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART3_CR1_bit+0)
_SX	[R0, ByteOffset(TXEIE_USART3_CR1_bit+0)]
;USART3_driver.c,388 :: 		}
L_end_USART3_Tx:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_Tx
_USART3_XmtTask:
;USART3_driver.c,397 :: 		void USART3_XmtTask(void *pvParameters) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART3_driver.c,399 :: 		pxOutMessage = &OutMessage;
MOVW	R2, #lo_addr(_OutMessage+0)
MOVT	R2, #hi_addr(_OutMessage+0)
MOVW	R1, #lo_addr(_pxOutMessage+0)
MOVT	R1, #hi_addr(_pxOutMessage+0)
STR	R2, [R1, #0]
;USART3_driver.c,400 :: 		pxInMessage  = &InMessage;
MOVW	R2, #lo_addr(_InMessage+0)
MOVT	R2, #hi_addr(_InMessage+0)
MOVW	R1, #lo_addr(_pxInMessage+0)
MOVT	R1, #hi_addr(_pxInMessage+0)
STR	R2, [R1, #0]
;USART3_driver.c,402 :: 		U3XmtSemHandle = xSemaphoreCreateBinary(); // Semaphore indicating transmitter is idle
MOVS	R2, #3
MOVS	R1, #0
MOV	R0, #1
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_U3XmtSemHandle+0)
MOVT	R1, #hi_addr(_U3XmtSemHandle+0)
STR	R0, [R1, #0]
;USART3_driver.c,403 :: 		if (U3XmtSemHandle == NULL) {
CMP	R0, #0
IT	NE
BNE	L_USART3_XmtTask32
;USART3_driver.c,404 :: 		USB_PutQueue("Error: Could not create USART3 transmit semaphore\r\n");
MOVW	R1, #lo_addr(?lstr7_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr7_USART3_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART3_driver.c,405 :: 		} else {
IT	AL
BAL	L_USART3_XmtTask33
L_USART3_XmtTask32:
;USART3_driver.c,406 :: 		USB_PutQueue("Diag: USART3 transmit semaphore created successfully\r\n");
MOVW	R1, #lo_addr(?lstr8_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr8_USART3_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART3_driver.c,407 :: 		vQueueAddToRegistry(U3XmtSemHandle, "USART3 transmit Semaphore");
MOVW	R2, #lo_addr(?lstr_9_USART3_driver+0)
MOVT	R2, #hi_addr(?lstr_9_USART3_driver+0)
MOVW	R1, #lo_addr(_U3XmtSemHandle+0)
MOVT	R1, #hi_addr(_U3XmtSemHandle+0)
LDR	R1, [R1, #0]
MOV	R0, R1
MOV	R1, R2
BL	_vQueueAddToRegistry+0
;USART3_driver.c,408 :: 		}
L_USART3_XmtTask33:
;USART3_driver.c,411 :: 		U3XmtPointerQueue = xQueueCreate(64, sizeof(struct AMessage));
MOVS	R2, #0
MOVS	R1, #8
MOVS	R0, #64
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_U3XmtPointerQueue+0)
MOVT	R1, #hi_addr(_U3XmtPointerQueue+0)
STR	R0, [R1, #0]
;USART3_driver.c,412 :: 		if (U3XmtPointerQueue == NUL) {
CMP	R0, #0
IT	NE
BNE	L_USART3_XmtTask34
;USART3_driver.c,413 :: 		USB_PutQueue("Error: Could not create USART3 transmit pointer queue\r\n");
MOVW	R1, #lo_addr(?lstr10_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr10_USART3_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART3_driver.c,414 :: 		} else {
IT	AL
BAL	L_USART3_XmtTask35
L_USART3_XmtTask34:
;USART3_driver.c,415 :: 		USB_PutQueue("Diag: USART3 transmit pointer queue created successfully\r\n");
MOVW	R1, #lo_addr(?lstr11_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr11_USART3_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART3_driver.c,416 :: 		vQueueAddToRegistry(U3XmtPointerQueue, "USART3 pointer queue");
MOVW	R2, #lo_addr(?lstr_12_USART3_driver+0)
MOVT	R2, #hi_addr(?lstr_12_USART3_driver+0)
MOVW	R1, #lo_addr(_U3XmtPointerQueue+0)
MOVT	R1, #hi_addr(_U3XmtPointerQueue+0)
LDR	R1, [R1, #0]
MOV	R0, R1
MOV	R1, R2
BL	_vQueueAddToRegistry+0
;USART3_driver.c,417 :: 		}
L_USART3_XmtTask35:
;USART3_driver.c,420 :: 		xSemaphoreGive(U3XmtSemHandle); // This gets us past the semaphore block initially
MOVW	R1, #lo_addr(_U3XmtSemHandle+0)
MOVT	R1, #hi_addr(_U3XmtSemHandle+0)
LDR	R1, [R1, #0]
MOV	R3, #0
MOV	R2, #0
MOV	R0, R1
MOVS	R1, #0
BL	_xQueueGenericSend+0
;USART3_driver.c,421 :: 		USB_PutQueue("Diag: USART3 task started\r\n");
MOVW	R1, #lo_addr(?lstr13_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr13_USART3_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART3_driver.c,423 :: 		while (1) {
L_USART3_XmtTask36:
;USART3_driver.c,424 :: 		USART3_Tx(); // Check for outgoing USART3 messages
BL	_USART3_Tx+0
;USART3_driver.c,428 :: 		}
IT	AL
BAL	L_USART3_XmtTask36
;USART3_driver.c,429 :: 		}
L_end_USART3_XmtTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART3_XmtTask
_ShowUSART3Regs:
;USART3_driver.c,440 :: 		void ShowUSART3Regs(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USART3_driver.c,443 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,444 :: 		sprintf(BufNum,"USART3_CR1 register:  %08LX\r\n",USART3_CR1);
MOVW	R1, #lo_addr(USART3_CR1+0)
MOVT	R1, #hi_addr(USART3_CR1+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_14_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_14_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,445 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,447 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,448 :: 		sprintf(BufNum,"USART3_CR2 register:  %08LX\r\n",USART3_CR2);
MOVW	R1, #lo_addr(USART3_CR2+0)
MOVT	R1, #hi_addr(USART3_CR2+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_15_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_15_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,449 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,451 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,452 :: 		sprintf(BufNum,"USART3_CR3 register:  %08LX\r\n",USART3_CR3);
MOVW	R1, #lo_addr(USART3_CR3+0)
MOVT	R1, #hi_addr(USART3_CR3+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_16_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_16_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,453 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,455 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,456 :: 		sprintf(BufNum,"USART3_BRR register:  %08LX\r\n",USART3_BRR);
MOVW	R1, #lo_addr(USART3_BRR+0)
MOVT	R1, #hi_addr(USART3_BRR+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_17_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_17_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,457 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,459 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,460 :: 		sprintf(BufNum,"USART3_SR register:   %08LX\r\n",USART3_SR);
MOVW	R1, #lo_addr(USART3_SR+0)
MOVT	R1, #hi_addr(USART3_SR+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_18_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_18_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,461 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,463 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,464 :: 		sprintf(BufNum,"GPIOD_MODER register: %08LX\r\n",GPIOD_MODER);
MOVW	R1, #lo_addr(GPIOD_MODER+0)
MOVT	R1, #hi_addr(GPIOD_MODER+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_19_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_19_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,465 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,467 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,468 :: 		sprintf(BufNum,"GPIOD_AFRH register:  %08LX\r\n",GPIOD_AFRH);
MOVW	R1, #lo_addr(GPIOD_AFRH+0)
MOVT	R1, #hi_addr(GPIOD_AFRH+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_20_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_20_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,469 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,471 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USART3_driver.c,472 :: 		sprintf(BufNum,"GPIOD_AFRL register:  %08LX\r\n",GPIOD_AFRL);
MOVW	R1, #lo_addr(GPIOD_AFRL+0)
MOVT	R1, #hi_addr(GPIOD_AFRL+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_21_USART3_driver+0)
MOVT	R1, #hi_addr(?lstr_21_USART3_driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USART3_driver.c,473 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;USART3_driver.c,474 :: 		}
L_end_ShowUSART3Regs:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _ShowUSART3Regs
