/**************************************************************************************************
  USART3_driver.h
**************************************************************************************************/
#ifndef USART3_DRIVER_H
#define USART3_DRIVER_H

// Defines specific to USART3
#define U3_RCV_BYTE_Q_LENGTH 256
#define U3_RCV_BUF_SIZE 2048
#define U3_XMT_BUF_SIZE 2048





// Structures
/*
typedef struct AMessage {
     unsigned MsgLen;   // Length of message
     char *TheMessage;  // Pointer to the message
} xMessage;
*/
typedef struct AMessage {
     unsigned MsgLen;   // Length of message
     char *TheMessage;  // Pointer to the message
};




// Function Prototypes
void ShowUSART3Regs(void);

void USART3_SetBaud(void);
void USART3_RxQueueInit(void);
void USART3_StartRx(void);
void USART3_RcvInit(void);
void USART3_Rx(void);
void USART3_Rx1(void);
void USART3_Rx2(void);

void USART3_PutQueueText(char *Msg);
void USART3_PutQueueBinary(char *Msg, unsigned Len);


//void USART3_StartTx(void);
//void USART3_SendMsg(struct AMessage *s);
void USART3_Tx(void);



#endif


/**************************************************************************************************
  End of File
**************************************************************************************************/