/**************************************************************************************************
  USB_Driver3.c
  This module is used for communications with the user through a custom PC program.

  Copyright (C) 2015  Val Gretchev

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.

***************************************************************************************************


**************************************************************************************************/
#ifndef USB_DRIVER_H
#define USB_DRIVER_H

// Function Prototypes
void USB_Initialize(void);
void USB_CheckIn(void);

void USB_PutQueue(char *msg);
void USB_CheckOut(void);

#endif


/**************************************************************************************************
  End of File
**************************************************************************************************/