USART2_driver_ucPortCountLeadingZeros:
;portmacro.h,183 :: 		static inline uint8_t ucPortCountLeadingZeros(uint32_t ulBitmap)
;portmacro.h,185 :: 		asm CLZ R0, R0;
CLZ	R0, R0
;portmacro.h,186 :: 		return R0;
UXTB	R0, R0
;portmacro.h,187 :: 		}
L_end_ucPortCountLeadingZeros:
BX	LR
; end of USART2_driver_ucPortCountLeadingZeros
USART2_driver_vPortRaiseBASEPRI:
;portmacro.h,229 :: 		portFORCE_INLINE static void vPortRaiseBASEPRI( void )
;portmacro.h,234 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,236 :: 		asm ISB;
ISB	#15
;portmacro.h,237 :: 		asm DSB;
DSB	#15
;portmacro.h,238 :: 		}
L_end_vPortRaiseBASEPRI:
BX	LR
; end of USART2_driver_vPortRaiseBASEPRI
USART2_driver_ulPortRaiseBASEPRI:
;portmacro.h,241 :: 		portFORCE_INLINE static uint32_t ulPortRaiseBASEPRI( void )
;portmacro.h,245 :: 		ulOriginalBASEPRI = CPU_REG_GET(CPU_BASEPRI);
MRS	R12, #17
MOV	R0, R12
; ulOriginalBASEPRI start address is: 4 (R1)
MOV	R1, R0
;portmacro.h,247 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,249 :: 		asm ISB;
ISB	#15
;portmacro.h,250 :: 		asm DSB;
DSB	#15
;portmacro.h,254 :: 		return ulOriginalBASEPRI;
MOV	R0, R1
; ulOriginalBASEPRI end address is: 4 (R1)
;portmacro.h,255 :: 		}
L_end_ulPortRaiseBASEPRI:
BX	LR
; end of USART2_driver_ulPortRaiseBASEPRI
USART2_driver_vPortSetBASEPRI:
;portmacro.h,258 :: 		portFORCE_INLINE static void vPortSetBASEPRI( uint32_t ulNewMaskValue )
; ulNewMaskValue start address is: 0 (R0)
; ulNewMaskValue end address is: 0 (R0)
; ulNewMaskValue start address is: 0 (R0)
;portmacro.h,260 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewMaskValue);
MOV	R1, R0
; ulNewMaskValue end address is: 0 (R0)
MOV	R12, R1
MSR	#17, R12
;portmacro.h,261 :: 		}
L_end_vPortSetBASEPRI:
BX	LR
; end of USART2_driver_vPortSetBASEPRI
_USART2_Interrupt:
;USART2_driver.c,113 :: 		void USART2_Interrupt() iv IVT_INT_USART2 ics ICS_AUTO {
SUB	SP, SP, #12
STR	LR, [SP, #0]
;USART2_driver.c,116 :: 		BaseType_t xHigherPriorityTaskWoken = pdFALSE;
MOV	R0, #0
STR	R0, [SP, #8]
;USART2_driver.c,118 :: 		if ((RXNE_USART2_SR_bit) /* || (ORE_bit) */ ) {
MOVW	R1, #lo_addr(RXNE_USART2_SR_bit+0)
MOVT	R1, #hi_addr(RXNE_USART2_SR_bit+0)
_LX	[R1, ByteOffset(RXNE_USART2_SR_bit+0)]
CMP	R0, #0
IT	EQ
BEQ	L_USART2_Interrupt0
;USART2_driver.c,119 :: 		R_data = USART2_DR;                // Fetch a byte from UART hardware
MOVW	R0, #lo_addr(USART2_DR+0)
MOVT	R0, #hi_addr(USART2_DR+0)
LDR	R0, [R0, #0]
STRB	R0, [SP, #4]
;USART2_driver.c,120 :: 		xQueueSendFromISR(U2RcvByteQueueHandle,&R_data,&xHigherPriorityTaskWoken);
ADD	R2, SP, #8
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_U2RcvByteQueueHandle+0)
MOVT	R0, #hi_addr(_U2RcvByteQueueHandle+0)
LDR	R0, [R0, #0]
MOV	R3, #0
BL	_xQueueGenericSendFromISR+0
;USART2_driver.c,121 :: 		}
L_USART2_Interrupt0:
;USART2_driver.c,123 :: 		if ((TXE_USART2_SR_bit)&&(TXEIE_USART2_CR1_bit)) {
MOVW	R1, #lo_addr(TXE_USART2_SR_bit+0)
MOVT	R1, #hi_addr(TXE_USART2_SR_bit+0)
_LX	[R1, ByteOffset(TXE_USART2_SR_bit+0)]
CMP	R0, #0
IT	EQ
BEQ	L__USART2_Interrupt56
MOVW	R1, #lo_addr(TXEIE_USART2_CR1_bit+0)
MOVT	R1, #hi_addr(TXEIE_USART2_CR1_bit+0)
_LX	[R1, ByteOffset(TXEIE_USART2_CR1_bit+0)]
CMP	R0, #0
IT	EQ
BEQ	L__USART2_Interrupt55
L__USART2_Interrupt54:
;USART2_driver.c,124 :: 		T_data = U2XmtBuf[U2XmtBufPtr++];  // Get a byte from the transmit buffer
MOVW	R2, #lo_addr(_U2XmtBufPtr+0)
MOVT	R2, #hi_addr(_U2XmtBufPtr+0)
LDRH	R1, [R2, #0]
MOVW	R0, #lo_addr(_U2XmtBuf+0)
MOVT	R0, #hi_addr(_U2XmtBuf+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, R1
LDRB	R1, [R0, #0]
; T_data start address is: 12 (R3)
UXTB	R3, R1
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;USART2_driver.c,125 :: 		if (T_data == NUL) {               // If it is the end of message marker
CMP	R1, #0
IT	NE
BNE	L_USART2_Interrupt4
; T_data end address is: 12 (R3)
;USART2_driver.c,126 :: 		TXEIE_USART2_CR1_bit = 0;     // Disable transmitter interrupts
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART2_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART2_CR1_bit+0)
_SX	[R0, ByteOffset(TXEIE_USART2_CR1_bit+0)]
;USART2_driver.c,127 :: 		xSemaphoreGiveFromISR(U2XmtSemHandle,&xHigherPriorityTaskWoken);
ADD	R1, SP, #8
MOVW	R0, #lo_addr(_U2XmtSemHandle+0)
MOVT	R0, #hi_addr(_U2XmtSemHandle+0)
LDR	R0, [R0, #0]
BL	_xQueueGiveFromISR+0
;USART2_driver.c,128 :: 		} else {
IT	AL
BAL	L_USART2_Interrupt5
L_USART2_Interrupt4:
;USART2_driver.c,129 :: 		USART2_DR = T_data;           // Transfer data byte to transmit register
; T_data start address is: 12 (R3)
MOVW	R0, #lo_addr(USART2_DR+0)
MOVT	R0, #hi_addr(USART2_DR+0)
STR	R3, [R0, #0]
; T_data end address is: 12 (R3)
;USART2_driver.c,130 :: 		}
L_USART2_Interrupt5:
;USART2_driver.c,123 :: 		if ((TXE_USART2_SR_bit)&&(TXEIE_USART2_CR1_bit)) {
L__USART2_Interrupt56:
L__USART2_Interrupt55:
;USART2_driver.c,132 :: 		portYIELD_FROM_ISR(xHigherPriorityTaskWoken);
LDR	R0, [SP, #8]
CMP	R0, #0
IT	EQ
BEQ	L_USART2_Interrupt6
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(PENDSVSET_bit+0)
MOVT	R1, #hi_addr(PENDSVSET_bit+0)
_LX	[R1, ByteOffset(PENDSVSET_bit+0)]
BFI	R0, R2, BitPos(PENDSVSET_bit+0), #1
_SX	[R1, ByteOffset(PENDSVSET_bit+0)]
DSB	#15
ISB	#15
L_USART2_Interrupt6:
;USART2_driver.c,133 :: 		}
L_end_USART2_Interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _USART2_Interrupt
_USART2_SetBaud:
;USART2_driver.c,138 :: 		void USART2_SetBaud(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART2_driver.c,155 :: 		UART2_Init_Advanced(9600, _UART_8_BIT_DATA, _UART_NOPARITY, _UART_ONE_STOPBIT, &_GPIO_MODULE_USART2_PD56);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART2_PD56+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART2_PD56+0)
PUSH	(R0)
MOVW	R3, #0
MOVW	R2, #0
MOVW	R1, #0
MOVW	R0, #9600
BL	_UART2_Init_Advanced+0
ADD	SP, SP, #4
;USART2_driver.c,157 :: 		NVIC_IntEnable(IVT_INT_USART2); // Set interrupt vector
MOVW	R0, #54
BL	_NVIC_IntEnable+0
;USART2_driver.c,158 :: 		NVIC_SetIntPriority(IVT_INT_USART2, _NVIC_INT_PRIORITY_LVL4);
MOVS	R1, #4
MOVS	R0, #54
BL	_NVIC_SetIntPriority+0
;USART2_driver.c,159 :: 		}
L_end_USART2_SetBaud:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_SetBaud
_USART2_RxQueueInit:
;USART2_driver.c,164 :: 		void USART2_RxQueueInit(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART2_driver.c,165 :: 		U2RcvByteQueueHandle = xQueueCreate(U2_RCV_BYTE_Q_LENGTH, sizeof(char));
MOVS	R2, #0
MOVS	R1, #1
MOVS	R0, #128
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_U2RcvByteQueueHandle+0)
MOVT	R1, #hi_addr(_U2RcvByteQueueHandle+0)
STR	R0, [R1, #0]
;USART2_driver.c,166 :: 		if (U2RcvByteQueueHandle == NULL) {
CMP	R0, #0
IT	NE
BNE	L_USART2_RxQueueInit7
;USART2_driver.c,167 :: 		USB_PutQueue("Error: Could not create USART2 receive byte queue\r\n");
MOVW	R0, #lo_addr(?lstr1_USART2_driver+0)
MOVT	R0, #hi_addr(?lstr1_USART2_driver+0)
BL	_USB_PutQueue+0
;USART2_driver.c,168 :: 		} else {
IT	AL
BAL	L_USART2_RxQueueInit8
L_USART2_RxQueueInit7:
;USART2_driver.c,169 :: 		USB_PutQueue("Diag: USART2 receive byte queue created successfully\r\n");
MOVW	R0, #lo_addr(?lstr2_USART2_driver+0)
MOVT	R0, #hi_addr(?lstr2_USART2_driver+0)
BL	_USB_PutQueue+0
;USART2_driver.c,170 :: 		vQueueAddToRegistry(U2RcvByteQueueHandle, "U2 RcvByte Queue");
MOVW	R1, #lo_addr(?lstr_3_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr_3_USART2_driver+0)
MOVW	R0, #lo_addr(_U2RcvByteQueueHandle+0)
MOVT	R0, #hi_addr(_U2RcvByteQueueHandle+0)
LDR	R0, [R0, #0]
BL	_vQueueAddToRegistry+0
;USART2_driver.c,171 :: 		}
L_USART2_RxQueueInit8:
;USART2_driver.c,172 :: 		}
L_end_USART2_RxQueueInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_RxQueueInit
_USART2_StartRx:
;USART2_driver.c,177 :: 		void USART2_StartRx(void) {
;USART2_driver.c,178 :: 		RXNEIE_USART2_CR1_bit = 1;        // Interrupt when receive buffer is full (RXNE=1)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RXNEIE_USART2_CR1_bit+0)
MOVT	R0, #hi_addr(RXNEIE_USART2_CR1_bit+0)
_SX	[R0, ByteOffset(RXNEIE_USART2_CR1_bit+0)]
;USART2_driver.c,179 :: 		}
L_end_USART2_StartRx:
BX	LR
; end of _USART2_StartRx
_USART2_RcvInit:
;USART2_driver.c,184 :: 		void USART2_RcvInit(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART2_driver.c,185 :: 		USART2_SetBaud();
BL	_USART2_SetBaud+0
;USART2_driver.c,186 :: 		USART2_RxQueueInit();
BL	_USART2_RxQueueInit+0
;USART2_driver.c,187 :: 		USART2_StartRx();
BL	_USART2_StartRx+0
;USART2_driver.c,188 :: 		}
L_end_USART2_RcvInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_RcvInit
_USART2_Rx:
;USART2_driver.c,193 :: 		void USART2_Rx(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART2_driver.c,194 :: 		U2_RxFuncPtr();    // Use the function pointer to go to a state
MOVW	R4, #lo_addr(_U2_RxFuncPtr+0)
MOVT	R4, #hi_addr(_U2_RxFuncPtr+0)
LDR	R4, [R4, #0]
BLX	R4
;USART2_driver.c,195 :: 		}
L_end_USART2_Rx:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_Rx
_USART2_Rx1:
;USART2_driver.c,200 :: 		void USART2_Rx1(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USART2_driver.c,203 :: 		xQueueReceive(U2RcvByteQueueHandle, &RxChar, 0xFFFFFFFFU); // Block here
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_U2RcvByteQueueHandle+0)
MOVT	R0, #hi_addr(_U2RcvByteQueueHandle+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
BL	_xQueueGenericReceive+0
;USART2_driver.c,205 :: 		switch (RxChar) {
IT	AL
BAL	L_USART2_Rx19
;USART2_driver.c,206 :: 		case NUL:         // Discard NUL character
L_USART2_Rx111:
;USART2_driver.c,207 :: 		break;
IT	AL
BAL	L_USART2_Rx110
;USART2_driver.c,209 :: 		case '\r':        // Use return character
L_USART2_Rx112:
;USART2_driver.c,210 :: 		U2RcvBuf[U2RcvBufPtr++] = RxChar;  // Put received character into buffer
MOVW	R2, #lo_addr(_U2RcvBufPtr+0)
MOVT	R2, #hi_addr(_U2RcvBufPtr+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
;USART2_driver.c,216 :: 		break;
IT	AL
BAL	L_USART2_Rx110
;USART2_driver.c,218 :: 		case '\n':        // Use new line character
L_USART2_Rx113:
;USART2_driver.c,220 :: 		U2RcvBuf[U2RcvBufPtr++] = RxChar;  // Put received character into buffer
MOVW	R2, #lo_addr(_U2RcvBufPtr+0)
MOVT	R2, #hi_addr(_U2RcvBufPtr+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R1, R0, #1
UXTB	R1, R1
STRB	R1, [R2, #0]
;USART2_driver.c,221 :: 		U2RcvBuf[U2RcvBufPtr] = 0;         // End marker
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
ADDS	R1, R0, R1
MOVS	R0, #0
STRB	R0, [R1, #0]
;USART2_driver.c,222 :: 		U2RcvBufPtr = 0;                   // Point to start of buffer
MOVS	R0, #0
STRB	R0, [R2, #0]
;USART2_driver.c,223 :: 		U2_RxFuncPtr = USART2_Rx2;          // Go to state 2
MOVW	R1, #lo_addr(_USART2_Rx2+0)
MOVT	R1, #hi_addr(_USART2_Rx2+0)
MOVW	R0, #lo_addr(_U2_RxFuncPtr+0)
MOVT	R0, #hi_addr(_U2_RxFuncPtr+0)
STR	R1, [R0, #0]
;USART2_driver.c,225 :: 		break;
IT	AL
BAL	L_USART2_Rx110
;USART2_driver.c,227 :: 		default:
L_USART2_Rx114:
;USART2_driver.c,228 :: 		if (U2RcvBufPtr <  sizeof(U2RcvBuf)-2)     // Prevents buffer overrun
MOVW	R0, #lo_addr(_U2RcvBufPtr+0)
MOVT	R0, #hi_addr(_U2RcvBufPtr+0)
LDRB	R1, [R0, #0]
MOVW	R0, #2046
CMP	R1, R0
IT	GE
BGE	L_USART2_Rx115
;USART2_driver.c,229 :: 		U2RcvBuf[U2RcvBufPtr++] = RxChar;       // Put character in buffer
MOVW	R2, #lo_addr(_U2RcvBufPtr+0)
MOVT	R2, #hi_addr(_U2RcvBufPtr+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
L_USART2_Rx115:
;USART2_driver.c,230 :: 		break;
IT	AL
BAL	L_USART2_Rx110
;USART2_driver.c,231 :: 		}
L_USART2_Rx19:
LDRB	R0, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_USART2_Rx111
LDRB	R0, [SP, #4]
CMP	R0, #13
IT	EQ
BEQ	L_USART2_Rx112
LDRB	R0, [SP, #4]
CMP	R0, #10
IT	EQ
BEQ	L_USART2_Rx113
IT	AL
BAL	L_USART2_Rx114
L_USART2_Rx110:
;USART2_driver.c,232 :: 		}
L_end_USART2_Rx1:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USART2_Rx1
_USART2_Rx2:
;USART2_driver.c,238 :: 		void USART2_Rx2(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USART2_driver.c,242 :: 		switch (U2RcvBuf[0]) {
IT	AL
BAL	L_USART2_Rx216
;USART2_driver.c,246 :: 		case 'a':  // Diagnostic test for USART2
L_USART2_Rx218:
;USART2_driver.c,247 :: 		USART2_PutQueue("Command 'a' received\r\n");
MOVW	R0, #lo_addr(?lstr4_USART2_driver+0)
MOVT	R0, #hi_addr(?lstr4_USART2_driver+0)
BL	_USART2_PutQueue+0
;USART2_driver.c,248 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,249 :: 		case 'b':  // This is a test to displays the web server commands on USART2
L_USART2_Rx219:
;USART2_driver.c,250 :: 		TestForHTTP();
BL	_TestForHTTP+0
;USART2_driver.c,251 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,252 :: 		case 'c':  // Comment out USB_PutQueue and uncomment USART2_PutQueu in WiFi_ESP_Driver.c
L_USART2_Rx220:
;USART2_driver.c,253 :: 		SendLength((char*)indexPage1);
MOVW	R0, #lo_addr(_indexPage1+0)
MOVT	R0, #hi_addr(_indexPage1+0)
BL	_SendLength+0
;USART2_driver.c,254 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,255 :: 		case 'd':  // Display sizef indexPage1
L_USART2_Rx221:
;USART2_driver.c,256 :: 		DisplaySizePage1();
BL	_DisplaySizePage1+0
;USART2_driver.c,259 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,260 :: 		case 'e':  // Display strlen indexPage1
L_USART2_Rx222:
;USART2_driver.c,261 :: 		DisplayPageSize(indexPage1);
MOVW	R0, #lo_addr(_indexPage1+0)
MOVT	R0, #hi_addr(_indexPage1+0)
BL	_DisplayPageSize+0
;USART2_driver.c,264 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,265 :: 		case 'f': // Test
L_USART2_Rx223:
;USART2_driver.c,266 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 8 (R2)
MOV	R2, R0
;USART2_driver.c,267 :: 		sprintf(BufNum,"AT+CWJAP_DEF=\"");
MOVW	R1, #lo_addr(?lstr_5_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr_5_USART2_driver+0)
STR	R2, [SP, #4]
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #8
LDR	R2, [SP, #4]
;USART2_driver.c,268 :: 		strcat(BufNum,(char*)SSID);
MOVW	R0, #lo_addr(_SSID+0)
MOVT	R0, #hi_addr(_SSID+0)
STR	R2, [SP, #4]
MOV	R1, R0
MOV	R0, R2
BL	_strcat+0
LDR	R2, [SP, #4]
;USART2_driver.c,269 :: 		strcat(BufNum,"\",\"");
MOVW	R0, #lo_addr(?lstr6_USART2_driver+0)
MOVT	R0, #hi_addr(?lstr6_USART2_driver+0)
STR	R2, [SP, #4]
MOV	R1, R0
MOV	R0, R2
BL	_strcat+0
LDR	R2, [SP, #4]
;USART2_driver.c,270 :: 		strcat(BufNum,(char*)Password);
MOVW	R0, #lo_addr(_Password+0)
MOVT	R0, #hi_addr(_Password+0)
STR	R2, [SP, #4]
MOV	R1, R0
MOV	R0, R2
BL	_strcat+0
LDR	R2, [SP, #4]
;USART2_driver.c,271 :: 		strcat(BufNum,"\"\r\n");
MOVW	R0, #lo_addr(?lstr7_USART2_driver+0)
MOVT	R0, #hi_addr(?lstr7_USART2_driver+0)
STR	R2, [SP, #4]
MOV	R1, R0
MOV	R0, R2
BL	_strcat+0
LDR	R2, [SP, #4]
;USART2_driver.c,272 :: 		USART2_PutQueue(BufNum);
MOV	R0, R2
; BufNum end address is: 8 (R2)
BL	_USART2_PutQueue+0
;USART2_driver.c,273 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,274 :: 		case 'g':
L_USART2_Rx224:
;USART2_driver.c,275 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,276 :: 		case 'h':
L_USART2_Rx225:
;USART2_driver.c,277 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,278 :: 		case 'i':
L_USART2_Rx226:
;USART2_driver.c,279 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,280 :: 		case 'j':
L_USART2_Rx227:
;USART2_driver.c,281 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,282 :: 		case 'k':
L_USART2_Rx228:
;USART2_driver.c,283 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,284 :: 		case 'l':
L_USART2_Rx229:
;USART2_driver.c,285 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,286 :: 		case 'm':
L_USART2_Rx230:
;USART2_driver.c,287 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,288 :: 		case 'n':
L_USART2_Rx231:
;USART2_driver.c,289 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,290 :: 		case 'o':
L_USART2_Rx232:
;USART2_driver.c,291 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,292 :: 		case 'p':
L_USART2_Rx233:
;USART2_driver.c,293 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,294 :: 		case 'q':
L_USART2_Rx234:
;USART2_driver.c,295 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,296 :: 		case 'r':
L_USART2_Rx235:
;USART2_driver.c,297 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,298 :: 		case 's':
L_USART2_Rx236:
;USART2_driver.c,299 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,300 :: 		case 't':
L_USART2_Rx237:
;USART2_driver.c,301 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,302 :: 		case 'u':
L_USART2_Rx238:
;USART2_driver.c,303 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,304 :: 		case 'v':
L_USART2_Rx239:
;USART2_driver.c,305 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,306 :: 		case 'w':
L_USART2_Rx240:
;USART2_driver.c,307 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,308 :: 		case 'x':
L_USART2_Rx241:
;USART2_driver.c,309 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,310 :: 		case 'y':
L_USART2_Rx242:
;USART2_driver.c,311 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,312 :: 		case 'z': // Force a system reset
L_USART2_Rx243:
;USART2_driver.c,313 :: 		SystemReset();
BL	_SystemReset+0
;USART2_driver.c,314 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,316 :: 		default:
L_USART2_Rx244:
;USART2_driver.c,317 :: 		USART2_PutQueue("Error: Unknown command: ");
MOVW	R0, #lo_addr(?lstr8_USART2_driver+0)
MOVT	R0, #hi_addr(?lstr8_USART2_driver+0)
BL	_USART2_PutQueue+0
;USART2_driver.c,319 :: 		BufNum = GetBuffer();    // Get a free buffer
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USART2_driver.c,320 :: 		(void)sprintf(BufNum,"%c\r\n",U2RcvBuf[0]);
MOVW	R1, #lo_addr(_U2RcvBuf+0)
MOVT	R1, #hi_addr(_U2RcvBuf+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_9_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr_9_USART2_driver+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USART2_driver.c,321 :: 		USART2_PutQueue(BufNum);  // Send the message
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USART2_PutQueue+0
;USART2_driver.c,322 :: 		break;
IT	AL
BAL	L_USART2_Rx217
;USART2_driver.c,323 :: 		}
L_USART2_Rx216:
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_USART2_Rx218
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_USART2_Rx219
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #99
IT	EQ
BEQ	L_USART2_Rx220
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #100
IT	EQ
BEQ	L_USART2_Rx221
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #101
IT	EQ
BEQ	L_USART2_Rx222
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #102
IT	EQ
BEQ	L_USART2_Rx223
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #103
IT	EQ
BEQ	L_USART2_Rx224
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #104
IT	EQ
BEQ	L_USART2_Rx225
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #105
IT	EQ
BEQ	L_USART2_Rx226
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #106
IT	EQ
BEQ	L_USART2_Rx227
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #107
IT	EQ
BEQ	L_USART2_Rx228
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #108
IT	EQ
BEQ	L_USART2_Rx229
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #109
IT	EQ
BEQ	L_USART2_Rx230
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #110
IT	EQ
BEQ	L_USART2_Rx231
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #111
IT	EQ
BEQ	L_USART2_Rx232
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #112
IT	EQ
BEQ	L_USART2_Rx233
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #113
IT	EQ
BEQ	L_USART2_Rx234
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #114
IT	EQ
BEQ	L_USART2_Rx235
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #115
IT	EQ
BEQ	L_USART2_Rx236
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #116
IT	EQ
BEQ	L_USART2_Rx237
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #117
IT	EQ
BEQ	L_USART2_Rx238
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #118
IT	EQ
BEQ	L_USART2_Rx239
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #119
IT	EQ
BEQ	L_USART2_Rx240
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #120
IT	EQ
BEQ	L_USART2_Rx241
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #121
IT	EQ
BEQ	L_USART2_Rx242
MOVW	R0, #lo_addr(_U2RcvBuf+0)
MOVT	R0, #hi_addr(_U2RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #122
IT	EQ
BEQ	L_USART2_Rx243
IT	AL
BAL	L_USART2_Rx244
L_USART2_Rx217:
;USART2_driver.c,324 :: 		U2_RxFuncPtr = USART2_Rx1;     // Go back to state 1
MOVW	R1, #lo_addr(_USART2_Rx1+0)
MOVT	R1, #hi_addr(_USART2_Rx1+0)
MOVW	R0, #lo_addr(_U2_RxFuncPtr+0)
MOVT	R0, #hi_addr(_U2_RxFuncPtr+0)
STR	R1, [R0, #0]
;USART2_driver.c,325 :: 		}
L_end_USART2_Rx2:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USART2_Rx2
_USART2_RcvTask:
;USART2_driver.c,331 :: 		void USART2_RcvTask(void *pvParameters) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART2_driver.c,333 :: 		USART2_RcvInit();
BL	_USART2_RcvInit+0
;USART2_driver.c,335 :: 		while (1) {
L_USART2_RcvTask45:
;USART2_driver.c,336 :: 		USART2_Rx();    // Check for incoming USART2 messages
BL	_USART2_Rx+0
;USART2_driver.c,340 :: 		}
IT	AL
BAL	L_USART2_RcvTask45
;USART2_driver.c,341 :: 		}
L_end_USART2_RcvTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_RcvTask
_USART2_PutQueue:
;USART2_driver.c,357 :: 		void USART2_PutQueue(char *msg) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
STR	R0, [SP, #4]
;USART2_driver.c,360 :: 		rtnCode = xQueueSend(U2XmtPointerQueue, &msg, 0); // No blocking
ADD	R2, SP, #4
MOVW	R1, #lo_addr(_U2XmtPointerQueue+0)
MOVT	R1, #hi_addr(_U2XmtPointerQueue+0)
LDR	R1, [R1, #0]
MOV	R3, #0
MOV	R0, R1
MOV	R1, R2
MOVS	R2, #0
BL	_xQueueGenericSend+0
;USART2_driver.c,362 :: 		if (rtnCode == pdFAIL)
CMP	R0, #0
IT	NE
BNE	L_USART2_PutQueue47
;USART2_driver.c,363 :: 		USB_PutQueue("Error: Failed to enter message pointer into USART2 queue\r\n");
MOVW	R1, #lo_addr(?lstr10_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr10_USART2_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
L_USART2_PutQueue47:
;USART2_driver.c,364 :: 		}
L_end_USART2_PutQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USART2_PutQueue
_USART2_StartTx:
;USART2_driver.c,369 :: 		void USART2_StartTx(void) {
;USART2_driver.c,370 :: 		TXEIE_USART2_CR1_bit = 1;         // Interrupt when transmit buffer is empty (TXE=1)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART2_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART2_CR1_bit+0)
_SX	[R0, ByteOffset(TXEIE_USART2_CR1_bit+0)]
;USART2_driver.c,371 :: 		}
L_end_USART2_StartTx:
BX	LR
; end of _USART2_StartTx
_USART2_SendMsg:
;USART2_driver.c,376 :: 		void USART2_SendMsg(char *s) {
; s start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; s end address is: 0 (R0)
; s start address is: 0 (R0)
;USART2_driver.c,377 :: 		U2XmtBuf = s;            // Pointer to the message for the interrupt handler
MOVW	R1, #lo_addr(_U2XmtBuf+0)
MOVT	R1, #hi_addr(_U2XmtBuf+0)
STR	R0, [R1, #0]
; s end address is: 0 (R0)
;USART2_driver.c,378 :: 		U2XmtBufPtr = 0;         // Set character counter to start of text message
MOVS	R2, #0
MOVW	R1, #lo_addr(_U2XmtBufPtr+0)
MOVT	R1, #hi_addr(_U2XmtBufPtr+0)
STRH	R2, [R1, #0]
;USART2_driver.c,379 :: 		USART2_StartTx();         // Start the transmitter
BL	_USART2_StartTx+0
;USART2_driver.c,380 :: 		}
L_end_USART2_SendMsg:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_SendMsg
_USART2_Tx:
;USART2_driver.c,386 :: 		void USART2_Tx(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USART2_driver.c,390 :: 		xSemaphoreTake(U2XmtSemHandle, portMAX_DELAY); // Block here
MOVW	R0, #lo_addr(_U2XmtSemHandle+0)
MOVT	R0, #hi_addr(_U2XmtSemHandle+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
MOVS	R1, #0
BL	_xQueueGenericReceive+0
;USART2_driver.c,391 :: 		rtnCode = xQueueReceive(U2XmtPointerQueue, &pcReceivedAddr, 0xFFFFFFFFU); // Block here
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_U2XmtPointerQueue+0)
MOVT	R0, #hi_addr(_U2XmtPointerQueue+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
BL	_xQueueGenericReceive+0
;USART2_driver.c,393 :: 		USART2_SendMsg(pcReceivedAddr);
LDR	R0, [SP, #4]
BL	_USART2_SendMsg+0
;USART2_driver.c,394 :: 		}
L_end_USART2_Tx:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USART2_Tx
_USART2_XmtTask:
;USART2_driver.c,400 :: 		void USART2_XmtTask(void *pvParameters) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USART2_driver.c,402 :: 		U2XmtSemHandle = xSemaphoreCreateBinary(); // Semaphore indicating transmitter is idle
MOVS	R2, #3
MOVS	R1, #0
MOV	R0, #1
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_U2XmtSemHandle+0)
MOVT	R1, #hi_addr(_U2XmtSemHandle+0)
STR	R0, [R1, #0]
;USART2_driver.c,403 :: 		if (U2XmtSemHandle == NULL) {
CMP	R0, #0
IT	NE
BNE	L_USART2_XmtTask48
;USART2_driver.c,404 :: 		USB_PutQueue("Error: Could not create USART2 transmit semaphore\r\n");
MOVW	R1, #lo_addr(?lstr11_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr11_USART2_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART2_driver.c,405 :: 		} else {
IT	AL
BAL	L_USART2_XmtTask49
L_USART2_XmtTask48:
;USART2_driver.c,406 :: 		USB_PutQueue("Diag: USART2 transmit semaphore created successfully\r\n");
MOVW	R1, #lo_addr(?lstr12_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr12_USART2_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART2_driver.c,407 :: 		vQueueAddToRegistry(U2XmtSemHandle, "USART2 transmit Semaphore");
MOVW	R2, #lo_addr(?lstr_13_USART2_driver+0)
MOVT	R2, #hi_addr(?lstr_13_USART2_driver+0)
MOVW	R1, #lo_addr(_U2XmtSemHandle+0)
MOVT	R1, #hi_addr(_U2XmtSemHandle+0)
LDR	R1, [R1, #0]
MOV	R0, R1
MOV	R1, R2
BL	_vQueueAddToRegistry+0
;USART2_driver.c,408 :: 		}
L_USART2_XmtTask49:
;USART2_driver.c,411 :: 		U2XmtPointerQueue = xQueueCreate(64, sizeof(char *)); // Queue of message pointers
MOVS	R2, #0
MOVS	R1, #4
MOVS	R0, #64
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_U2XmtPointerQueue+0)
MOVT	R1, #hi_addr(_U2XmtPointerQueue+0)
STR	R0, [R1, #0]
;USART2_driver.c,412 :: 		if (U2XmtPointerQueue == NULL) {
CMP	R0, #0
IT	NE
BNE	L_USART2_XmtTask50
;USART2_driver.c,413 :: 		USB_PutQueue("Error: Could not create USART2 transmit pointer queue\r\n");
MOVW	R1, #lo_addr(?lstr14_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr14_USART2_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART2_driver.c,414 :: 		} else {
IT	AL
BAL	L_USART2_XmtTask51
L_USART2_XmtTask50:
;USART2_driver.c,415 :: 		USB_PutQueue("Diag: USART2 transmit pointer queue created successfully\r\n");
MOVW	R1, #lo_addr(?lstr15_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr15_USART2_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART2_driver.c,416 :: 		vQueueAddToRegistry(U2XmtPointerQueue, "USART2 pointer queue");
MOVW	R2, #lo_addr(?lstr_16_USART2_driver+0)
MOVT	R2, #hi_addr(?lstr_16_USART2_driver+0)
MOVW	R1, #lo_addr(_U2XmtPointerQueue+0)
MOVT	R1, #hi_addr(_U2XmtPointerQueue+0)
LDR	R1, [R1, #0]
MOV	R0, R1
MOV	R1, R2
BL	_vQueueAddToRegistry+0
;USART2_driver.c,417 :: 		}
L_USART2_XmtTask51:
;USART2_driver.c,419 :: 		xSemaphoreGive(U2XmtSemHandle); // This gets us past the semaphore block initially
MOVW	R1, #lo_addr(_U2XmtSemHandle+0)
MOVT	R1, #hi_addr(_U2XmtSemHandle+0)
LDR	R1, [R1, #0]
MOV	R3, #0
MOV	R2, #0
MOV	R0, R1
MOVS	R1, #0
BL	_xQueueGenericSend+0
;USART2_driver.c,420 :: 		USART2_PutQueue("USART2 task started\r\n");
MOVW	R1, #lo_addr(?lstr17_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr17_USART2_driver+0)
MOV	R0, R1
BL	_USART2_PutQueue+0
;USART2_driver.c,421 :: 		USB_PutQueue("Diag: USART2 task started\r\n");
MOVW	R1, #lo_addr(?lstr18_USART2_driver+0)
MOVT	R1, #hi_addr(?lstr18_USART2_driver+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USART2_driver.c,423 :: 		while (1) {
L_USART2_XmtTask52:
;USART2_driver.c,424 :: 		USART2_Tx();    // Check for outgoing USART2 messages
BL	_USART2_Tx+0
;USART2_driver.c,428 :: 		}
IT	AL
BAL	L_USART2_XmtTask52
;USART2_driver.c,429 :: 		}
L_end_USART2_XmtTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USART2_XmtTask
